commit 8a0bd93e8a81b105206c1433e2da55b1acef1070
Author: Keith Packard <keithp@koto.keithp.com>
Date:   Tue Nov 13 18:56:44 2007 -0800

    Bump version number to 2.5

 README                  |   15 +++++++++++++--
 configure.in            |    2 +-
 fontconfig/fontconfig.h |    4 ++--
 3 files changed, 16 insertions(+), 5 deletions(-)

commit 8a3dc4880c1182ea446cdbc0885e956c6517cf83
Author: Tor Lillqvist <tml@iki.fi>
Date:   Tue Nov 13 16:41:55 2007 -0800

    Workaround for stat() brokenness in Microsoft's C library (bug 8526)

    Fix a couple of longstanding problems with fontconfig on Windows that
    manifest themselves especially in GIMP. The root cause to the problems
    is in
    Microsoft's incredibly stupid stat() implementation. Basically, stat()
    returns wrong timestamp fields for files on NTFS filesystems on
    machines
    that use automatic DST switching.

    See for instance http://bugzilla.gnome.org/show_bug.cgi?id=154968 and
    http://www.codeproject.com/datetime/dstbugs.asp

    As fccache.c now looks at more fields in the stat struct I fill in
    them all.
    I noticed that fstat() is used only on a fd just after opening it,
    so on
    Win32 I just call my stat() replacement before opening instead...
    Implementing a good replacement for fstat() would be harder because
    the code
    in fccache.c wants to compare inode numbers. There are no (readily
    accessible) inode numbers on Win32, so I fake it with the hash of
    the full
    file name, in the case as it is on disk. And fstat() doesn't know
    the full
    file name, so it would be rather hard to come up with a inode
    number to
    identify the file.

    The patch also adds similar handling for the cache directory as for
    the fonts
    directory: If a cachedir element in fonts.conf contains the magic
    string
    "WINDOWSTEMPDIR_FONTCONFIG_CACHE" it is replaced at runtime with a
    path under
    the machine's (or user's) temp folder as returned by GetTempPath(). I
    don't
    want to hardcode any pathnames in a fonts.conf intended to be
    distributed to
    end-users, most of which who wouldn't know how to edit it anyway. And
    requiring an installer to edit it gets complicated.

 configure.in         |    6 +++-
 fc-cache/Makefile.am |    3 ++
 src/fccache.c        |   93
 +++++++++++++++++++++++++++++++++++++++++++++++++-
 src/fcxml.c          |   24 +++++++++++++
 4 files changed, 124 insertions(+), 2 deletions(-)

commit 1315db01b626aedd27e3e05bde96ce46c253629b
Author: Keith Packard <keithp@koto.keithp.com>
Date:   Tue Nov 13 15:48:30 2007 -0800

    Revert "Remove fcprivate.h, move the remaining macros to fcint.h."

    This reverts commit b607922909acfc7ae96de688ed34efd19cd038ac.

    Conflicts:

	src/Makefile.am

    Xft still uses the macros that are in fcprivate.h. Document those
    macros and
    include fcprivate.h in the published header files.

 doc/check-missing-doc	 |    1 +
 doc/fcobjectset.fncs	 |   11 ++++
 doc/fcpattern.fncs	 |   12 ++++-
 fontconfig/Makefile.am  |    3 +-
 fontconfig/fcprivate.h  |  123
 +++++++++++++++++++++++++++++++++++++++++++++++
 fontconfig/fontconfig.h |    2 +-
 src/Makefile.am	 |    3 +-
 src/fcint.h		 |   95 +------------------------------------
 8 files changed, 152 insertions(+), 98 deletions(-)

commit eaf4470a465cbfb95e2ba4df017d45f7b1d9c131
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Tue Nov 13 15:16:58 2007 -0800

    Document that FcConfigGetFonts returns the internal fontset (bug
    13197)

    FcConfigGetFonts returns the internal font set used by the library
    which
    must not be freed by the application or 'bad things' will happen.

 doc/fcconfig.fncs |	3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3fb38716aefef0fac300dee059403c04c1cbaa6c
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Tue Nov 13 15:11:35 2007 -0800

    Document that Match calls FcFontRenderPrepare (bug 13162).

    The behaviour of FcFontMatch and FcFontSetMatch is hard to understand
    without
    knowing that they call FcFontRenderPrepare.

 doc/fcconfig.fncs  |	12 ++++++++----
 doc/fcfontset.fncs |	12 ++++++++----
 2 files changed, 16 insertions(+), 8 deletions(-)

commit fab44f3cb63dc8bd1285dcbd6ad4f1f468f91daf
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Tue Nov 13 14:58:39 2007 -0800

    Document several function return values (Bug 13145).

    Several functions had no indication of what the return value would be,
    mostly these were allocation failure returns.

 doc/fcatomic.fncs     |    4 +++-
 doc/fcconfig.fncs     |   21 ++++++++++++++-------
 doc/fcconstant.fncs   |    8 ++++++--
 doc/fcfile.fncs       |   28 +++++++++++++++-------------
 doc/fcfontset.fncs    |    3 ++-
 doc/fcinit.fncs       |    7 +++++--
 doc/fcobjectset.fncs  |    3 ++-
 doc/fcobjecttype.fncs |    6 ++++--
 8 files changed, 51 insertions(+), 29 deletions(-)

commit ed7955a58f93927eb304ecf8d4d5274dbdc2362b
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Mon Nov 5 16:08:55 2007 -0800

    Fix parallel build in doc directory.

    docbook2man has fixed output file names; place output in a
    subdirectory to
    avoid collisions.

 doc/Makefile.am |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 37e9d33950df03f76b6938ae5675ecfc853eb903
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Mon Nov 5 15:52:45 2007 -0800

    Update version numbers to 2.4.92 (2.5 RC2)

 README			 |   49
 +++++++++++++++++++++++++++++++++++++++++++++-
 fontconfig/fontconfig.h |    2 +-
 2 files changed, 48 insertions(+), 3 deletions(-)

commit a504f6b5394b96d2c6a24772b61705227a8e88ab
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 18:12:51 2007 -0500

    Simplify/improve 30-metric-aliases.conf

 conf.d/30-metric-aliases.conf |  192
 +++++++++++++++++++++++------------------
 1 files changed, 109 insertions(+), 83 deletions(-)

commit cbff442c69bfbb6895f5033dfcda325c0508cb3f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 17:07:36 2007 -0500

    Remove list of available conf files from README.
    It was redundant and out-dated.

 conf.d/README |   29 +----------------------------
 1 files changed, 1 insertions(+), 28 deletions(-)

commit 0294bda4800b94828b59139e6205730c74261c40
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 17:05:36 2007 -0500

    Fix documented conf-file naming format in README

 conf.d/README |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 07d04da76c4009552866ae0d2f85659186ef77d6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 17:01:44 2007 -0500

    Remove 25-unhint-nonlatin.conf from default configuration by not
    linking it.

 conf.d/Makefile.am |	 1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 9bac30859b9b2b532b9028dc6fe1730b87e95686
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 16:46:19 2007 -0500

    Oops, fix Makefile.am.

 conf.d/Makefile.am |	 4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 93b4049c9ac6283fbf05a2a414ff3b4edaef822e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 16:43:49 2007 -0500

    Remove 20-lohit-gujarati.conf.  It's covered by
    25-unhint-nonlatin.conf now.

 conf.d/20-lohit-gujarati.conf |   11 -----------
 conf.d/Makefile.am	       |    2 --
 2 files changed, 0 insertions(+), 13 deletions(-)

commit 7465091fa90753440ed775de5783387bc4fd9cc4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 16:43:14 2007 -0500

    Remove redundant/obsolete comments from conf files.

    Conf files had an initial comment mentioning the files' name.
    This was outdated and wrong in most cases.	There's no real use
    in that.

 conf.d/10-autohint.conf	  |    1 -
 conf.d/10-no-sub-pixel.conf	  |    1 -
 conf.d/10-sub-pixel-bgr.conf	  |    1 -
 conf.d/10-sub-pixel-rgb.conf	  |    1 -
 conf.d/10-sub-pixel-vbgr.conf	  |    1 -
 conf.d/10-sub-pixel-vrgb.conf	  |    1 -
 conf.d/10-unhinted.conf	  |    1 -
 conf.d/20-fix-globaladvance.conf |    1 -
 conf.d/20-unhint-small-vera.conf |    1 -
 conf.d/25-unhint-nonlatin.conf   |    1 -
 conf.d/30-metric-aliases.conf	  |    1 -
 conf.d/30-urw-aliases.conf	  |    1 -
 conf.d/50-user.conf		  |    1 -
 conf.d/51-local.conf		  |    1 -
 conf.d/65-fonts-persian.conf	  |    1 -
 conf.d/70-no-bitmaps.conf	  |    1 -
 conf.d/70-yes-bitmaps.conf	  |    1 -
 conf.d/80-delicious.conf	  |    1 -
 18 files changed, 0 insertions(+), 18 deletions(-)

commit 531a143858aa1b5c82ee20bdacc292c0a31b6cfb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 16:40:25 2007 -0500

    Use binding="same" in 30-urw-aliases.conf and remove duplicate
    entries.

    Times, Helvetical, and Courier are already handled in
    30-metric-aliases.conf.
    Remove them here and add a comment instead.

 conf.d/30-urw-aliases.conf |	27 ++++++++-------------------
 1 files changed, 8 insertions(+), 19 deletions(-)

commit 4b51f173c99152586db26b03752873a4b4020672
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 16:36:55 2007 -0500

    Split 40-generic.conf into 40-nonlatin.conf and 45-latin.conf

 conf.d/40-generic.conf  |   80
 -----------------------------------------------
 conf.d/40-nonlatin.conf |   51 ++++++++++++++++++++++++++++++
 conf.d/45-latin.conf	 |   56 +++++++++++++++++++++++++++++++++
 conf.d/Makefile.am	 |    6 ++-
 conf.d/README		 |    5 ++-
 5 files changed, 114 insertions(+), 84 deletions(-)

commit 39968fb223bf2eeb5502553c8d316dc4914a32ba
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 16:14:35 2007 -0500

    Add/update config files from Fedora.

 conf.d/25-unhint-nonlatin.conf |  228
 ++++++++++++++++++++++++++++++++++++++++
 conf.d/30-amt-aliases.conf	|   21 ----
 conf.d/30-metric-aliases.conf	|  186 ++++++++++++++++++++++++++++++++
 conf.d/40-generic.conf		|   22 +++-
 conf.d/65-nonlatin.conf	|   45 ++++++++
 conf.d/Makefile.am		|    6 +-
 conf.d/README			|    3 +-
 7 files changed, 483 insertions(+), 28 deletions(-)

commit cf223cc7bcae94e839d7ac1e980f289cca5199b0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 15:29:44 2007 -0500

    Add FcGetLangs() and FcLangGetCharSet().

 doc/fclangset.fncs	 |   16 ++++++++++++++++
 fontconfig/fontconfig.h |    6 ++++++
 src/fcint.h		 |    3 ---
 src/fclang.c		 |   20 ++++++++++++++++++--
 4 files changed, 40 insertions(+), 5 deletions(-)

commit 811995b79db16be39046dbbffcc5a7d66f88b731
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Mon Nov 5 15:29:03 2007 -0500

    Fix trivial bugs in edit-sgml.c

 doc/edit-sgml.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit de1faa42d1425f80366707a730ea919c57e57b2f
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sun Nov 4 12:20:45 2007 -0800

    Export FcConfig{G,S}etRescanInverval from .so, mark as deprecated.

    These two names are typos of the correct names. Instead of simply
    changing
    them, the correct thing to do is leave them in the library, add
    the correct
    functions and mark them as deprecated so any source packages will
    be updated.

    This requires bumping the minor version of the library (for adding
    APIs)
    instead of bumping the major version of the library (for removing
    APIs).

 configure.in		 |    6 +++---
 fontconfig/fontconfig.h |   13 +++++++++++++
 src/Makefile.am	 |    5 +++--
 src/fccfg.c		 |   16 ++++++++++++++++
 src/fcdeprecate.h	 |   36 ++++++++++++++++++++++++++++++++++++
 src/fcint.h		 |    1 +
 6 files changed, 72 insertions(+), 5 deletions(-)

commit 69d3eb9cb8e58ab771170f68868748204a4793ab
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 23:43:48 2007 -0700

    Ignore new generated documentation

 .gitignore |	 3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit dc7b6f1d79b5508706be9242b79180727701e54f
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 23:42:32 2007 -0700

    Link new function documentation into the fontconfig-devel.sgml

 doc/fontconfig-devel.sgml |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit dac27f2f1a766b042487827c726b3ccae147d282
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 23:41:38 2007 -0700

    Formatting syntax mistake in doc/fclangset.fncs.

    <parameter>ls</function> needed to be <parameter>ls</parameter>.

 doc/fclangset.fncs |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9bfb41ffefe41c90c8b16e155e04e6c6a5a2c1fd
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 23:23:55 2007 -0700

    Generate fccache.sgml, fcdircache.sgml and fclangset.sgml.

    Just adding the .fncs versions doesn't get these files generated.

 doc/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit bfdc0047c670b0ac38bf050bbb81e0ef7299aa1f
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 23:23:09 2007 -0700

    Fix formatting syntax in doc/fccache.fncs

 doc/fccache.fncs |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit f2772d6b45bcfc27618968fdbb08dcc50a18be22
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 23:03:11 2007 -0700

    Replace incorrect documentation uses of 'char' with 'FcChar8'
    (bug 13002).

 doc/fcconfig.fncs	   |   10 +++++-----
 doc/fcfile.fncs	   |	6 +++---
 doc/fcfreetype.fncs	   |	4 ++--
 doc/fcpattern.fncs	   |	6 +++---
 doc/fontconfig-devel.sgml |	2 +-
 5 files changed, 14 insertions(+), 14 deletions(-)

commit b4a3e834126a3cac7fbf2212087825f886be1f1d
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 22:53:12 2007 -0700

    Remove references to FcConfigParse and FcConfigLoad.

    These functions no longer exist.

 doc/fcconfig.fncs |	3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit fc141b492bab23d58d248fc3b6d34bcb9c5faa99
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 22:45:31 2007 -0700

    Have FcConfigSetCurrent accept the current configuration and simply
    return
    without updating anything.

 src/fccfg.c |	  3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7c6939793b1691b4b950a856cdcd31f1e020b14a
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 22:39:54 2007 -0700

    Update documentation for stale FcConfigGetConfig function.

    The old per-user cache filename is no longer used.

 doc/fcconfig.fncs |	5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 026fe895e487d0a9607a8506ab8be2ff6022ea19
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 22:31:16 2007 -0700

    Update documentation for FcStrCopyFilename (bug 12964).

    FcStrCopyFilename constructs a canonical path for any argument,
    including
    expanding leading ~ and editing '.' and '..' elements out of the
    resulting
    path.

 doc/fcstring.fncs |   15 ++++++++++-----
 1 files changed, 10 insertions(+), 5 deletions(-)

commit a190678e3c4497870679808dde418191407be91d
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 22:23:28 2007 -0700

    Document previously undocumented functions. (bug 12963)

 doc/Makefile.am	   |	3 +
 doc/check-missing-doc	   |	4 +-
 doc/fccache.fncs	   |   68 ++++++++++++++++++++++++
 doc/fccharset.fncs	   |   24 +++++++++
 doc/fcconfig.fncs	   |   31 +++++++++++
 doc/fcdircache.fncs	   |   88 ++++++++++++++++++++++++++++++++
 doc/fcfile.fncs	   |   29 ++++++----
 doc/fcfontset.fncs	   |   83 ++++++++++++++++++++++++++++++
 doc/fcfreetype.fncs	   |   22 ++++++++
 doc/fclangset.fncs	   |  124
 +++++++++++++++++++++++++++++++++++++++++++++
 doc/fcmatrix.fncs	   |	2 +
 doc/fcpattern.fncs	   |   52 ++++++++++++++++++-
 doc/fcstring.fncs	   |   80 ++++++++++++++++++++++++-----
 doc/fcstrset.fncs	   |   11 ++++
 doc/fcvalue.fncs	   |   21 ++++++++
 doc/fontconfig-devel.sgml |   26 +++++++++-
 16 files changed, 638 insertions(+), 30 deletions(-)

commit 9a54f8a1945e614e07446412a2df534fbc1f77cb
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 22:01:33 2007 -0700

    Verify documentation covers exposed symbols.

    Add check-missing-doc script to make sure the documentation matches
    the
    complete list of symbols exported from the header files before
    release.

 doc/Makefile.am       |    6 +++++-
 doc/check-missing-doc |   23 +++++++++++++++++++++++
 2 files changed, 28 insertions(+), 1 deletions(-)

commit c833409f6b68c191ac354cd2fdeb183f73a65c4c
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 21:58:34 2007 -0700

    Use FcLangDifferentTerritory instead of FcLangDifferentCountry.

 src/fclang.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 9b84ecff92b8dccf6559a858e35762c0f664429a
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 21:57:51 2007 -0700

    Don't check cache file time stamps when cleaning cache dir.

    Cache file mtime is meaningless now that the directory time is
    encoded in
    the cache.

 fc-cache/fc-cache.c |	 10 +---------
 1 files changed, 1 insertions(+), 9 deletions(-)

commit 1d93c1752f03b833603ea31c2cfbd16868c44922
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 21:56:36 2007 -0700

    Typo error in function name: Inverval -> interval

 src/fccfg.c |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b868a1447341ebe9962007069ec8658550e62483
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 21:55:39 2007 -0700

    Track line numbers in sgml edit tool input.

    Errors in the documentation can be hard to find unless the tool
    outputs the
    line number where the problem exists.

 doc/edit-sgml.c |   85
 +++++++++++++++++++++++++++++++++---------------------
 1 files changed, 52 insertions(+), 33 deletions(-)

commit 088b582a26bce1ab3ec081a80fd6a6fe43223da5
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 21:54:49 2007 -0700

    Clean up exported names in fontconfig.h.

    Fix typo errors (Inverval indeed).
    Remove FcPattern *p from FcValue (unused)
    Remove spurious FcPublic from formals.

 fontconfig/fontconfig.h |   24 +++++++++++++-----------
 1 files changed, 13 insertions(+), 11 deletions(-)

commit e37d10fa74217a6102003882d49ac323f28db678
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 14:16:29 2007 -0700

    Make file_stat argument to FcDirCacheLoadFile optional.

    Allow file_stat to be NULL by using a local stat structure in
    that case.

 src/fccache.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 2ddce88cde79d8bf8959d614af883999d5c66a85
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 13:44:59 2007 -0700

    Document skipping of fonts from FcFileScan/FcDirScan.

    FcFileScan and FcDirScan will skip fonts under direction of the
    configuration and default fontconfig policy.

 doc/fcfile.fncs |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 5d82c4c85d201011e60adcf887d15341ecdd5729
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 13:26:16 2007 -0700

    Correct documentation for FcConfigUptoDate (bug 12948).

    FcConfigUptoDate only checks whether files have been modified
    since the
    configuration was created. Any changes to the configuration through
    the API
    since then are not considered.

 doc/fcconfig.fncs |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b607922909acfc7ae96de688ed34efd19cd038ac
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 13:09:01 2007 -0700

    Remove fcprivate.h, move the remaining macros to fcint.h.

    fcprivate.h was supposed to extend the fontconfig API for the various
    fontconfig utilities. Instead, just have those utilities use the
    internal
    fcint.h header file (which they already do), removing fcprivate.h
    from the
    installation and hence from the defacto public API.

 fontconfig/Makefile.am |    3 +-
 fontconfig/fcprivate.h |  123
 ------------------------------------------------
 src/Makefile.am	|    3 +-
 src/fcint.h		|   95 ++++++++++++++++++++++++++++++++++++-
 4 files changed, 96 insertions(+), 128 deletions(-)

commit 910db318ae67693f7bc17f0bdc61caaf555365ae
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Sat Nov 3 13:05:25 2007 -0700

    Correct documentation for FcAtomicLock (Bug 12947).

    FcAtomicLock can only be called once from any process.

 doc/fcatomic.fncs |	6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit d0e2a0f3a37ace2d5de6f18e7871a8efaf6580c2
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Fri Oct 26 02:02:19 2007 -0400

    Port fonts-persian.conf to new alias syntax with binding="same"

    Signed-off-by: Keith Packard <keithp@koto.keithp.com>

 conf.d/65-fonts-persian.conf |  377
 ++++++++++++++----------------------------
 1 files changed, 121 insertions(+), 256 deletions(-)

commit 681bb379de1847cf288ba27cf29243c8395cff17
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 22:30:49 2007 -0700

    Respect "binding" attribute in <alias> entries.

    This makes creating "same" aliases for renamed font families far
    easier.

 fonts.dtd   |	  2 ++
 src/fcxml.c |	 58
 ++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 38 insertions(+), 22 deletions(-)

commit 0602c605af04ea73af700b223ec4ac1dfd5a36f1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:	Thu Oct 25 21:35:45 2007 -0700

    Make fc-match --sort call FcFontRenderPrepare.

    This makes the --sort and regular output the same for each font.

 fc-match/fc-match.c |	 20 ++++++++++++++++++--
 1 files changed, 18 insertions(+), 2 deletions(-)

commit ad27687f725faf7df83b161c77e99bc7bedf5b3d
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 21:23:36 2007 -0700

    Also check configDirs mtimes in FcConfigUptoDate

    Checking only config files and font directories can miss changes which
    affect only a configuration directory. Check those to catch any
    changes.

 src/fccfg.c |	 17 +++--------------
 1 files changed, 3 insertions(+), 14 deletions(-)

commit 89d6119c0283969cb28dc6dfc8eac4cc1b52bf6a
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 15:19:14 2007 -0700

    A few fixups for make distcheck

 Makefile.am	 |    2 +-
 doc/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e66c65fd41928babb3ba2ae2dc58f13d25e57661
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 15:07:54 2007 -0700

    Set version numbers to 2.4.91 (2.5 RC1)

 README			 |   59
 +++++++++++++++++++++++++++++++++++++++++++++-
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 59 insertions(+), 4 deletions(-)

commit 7a1a7c0c15793e77cb162dd3393971332896460e
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 14:36:24 2007 -0700

    Build fix for Solaris 10 with GCC.

    Solaris 10 with GCC doesn't appear capable of supporting the symbol
    visibility stuff, so disable it.

 src/fcint.h |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fc990b2e86008967f499fe0df88de8e074a3670e
Author: Behdad Esfahbod <freedesktop@behdad.org>
Date:	Thu Oct 25 14:20:06 2007 -0700

    Update CaseFolding.txt to Unicode 5.1.0

 fc-case/CaseFolding.txt |  184
 +++++++++++++++++++++++++++++++++++++++++++++--
 src/fcstr.c		 |    2 +-
 2 files changed, 178 insertions(+), 8 deletions(-)

commit 4ee9ca67867ec9517c90d6947bb88d3f25707746
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 20:25:21 2006 -0700

    Match 'ultra' on word boundaries to detect ultra bold fonts. (bug
    2511)

    Added FcStrContainsWord to detect strings on word boundaries.

 src/fcfreetype.c |   15 +++++++++++++--
 src/fcint.h	  |    3 +++
 src/fcstr.c	  |   50
 +++++++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 65 insertions(+), 3 deletions(-)

commit 349182784fdd0acf5d1262d8876c967f69dc30aa
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 01:51:38 2007 -0700

    fontconfig needs configure option to use gnu iconv (bug 4083).

    Existing Solaris workaround was broken; mis-matching values caused
    the test
    for libiconv to always fail.

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7f46cdbb87a4a2113effb45c6e67b00a86363234
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 01:35:32 2007 -0700

    Ensure weight/slant values present even when style is supplied
    (bug 9313).

    If the provided style value doesn't match any available font, fall
    back to
    using the weight and slant values by ensuring that those are in
    the pattern.

 src/fcdefault.c |   16 +++++-----------
 1 files changed, 5 insertions(+), 11 deletions(-)

commit 43d0454597dfb5375b1268edb79172779cc51113
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 01:26:09 2007 -0700

    Distribute man source files for command line programs (bug 9678).

    For systems on whch DOCBOOK is unavailable, distribute command
    line program
    manual pages in .man format.

 fc-cache/Makefile.am |    6 +++---
 fc-cat/Makefile.am   |    6 +++---
 fc-list/Makefile.am  |    6 +++---
 fc-match/Makefile.am |    6 +++---
 4 files changed, 12 insertions(+), 12 deletions(-)

commit cf3e888b71a22e5c5875b96bf29557746044bd2b
Author: Dwayne Bailey <dwayne@translate.org.za>
Date:	Thu Oct 25 01:16:06 2007 -0700

    Add/fix *.orth files for South African languages

    This adds the missing orth files for Ndebele (South) (nr), Northern
    Sotho
    (nso), Swati (ss) and Southern Sotho (st).	It also fixes the Tswana
    (tn)
    orth file.

 fc-lang/iso639-1 |    4 ++--
 fc-lang/iso639-2 |    8 ++++----
 fc-lang/nr.orth  |   29 +++++++++++++++++++++++++++++
 fc-lang/nso.orth |   34 ++++++++++++++++++++++++++++++++++
 fc-lang/ss.orth  |   29 +++++++++++++++++++++++++++++
 fc-lang/st.orth  |   29 +++++++++++++++++++++++++++++
 fc-lang/tn.orth  |    2 ++
 7 files changed, 129 insertions(+), 6 deletions(-)

commit 28a4ea7f714956d34f7ac65354577b87bec5620d
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 01:09:11 2007 -0700

    Fix parallel build in fontconfig/docs (bug 10481).

 doc/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 79641a3b0c2b4a0c2e1a315028f0e54a9d846003
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 01:03:40 2007 -0700

    Handle UltraBlack weight.

    UltraBlack is weight 950 on the CSS scale; handle this by name
    and value
    encoding it as fontconfig weight 215.

 fontconfig/fontconfig.h |    2 ++
 src/fcfreetype.c	 |    7 ++++++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit d02f6a70f1cb4cdad882ffe429918a119641ddbb
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 01:02:58 2007 -0700

    Oops. Left debugging printf in previous commit.

 src/fcfreetype.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 61139cf638becf023a9d5e01c90adc5aa19f83c5
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 00:49:19 2007 -0700

    Spelling errors in documentation. (bug 10879).

    Thanks to David <ssdk@ispras.ru> for spotting these.

 doc/fcconfig.fncs |	4 ++--
 doc/fcstring.fncs |	2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit feecc86cea6bd1cb588f68e06b85d85727289989
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 00:46:41 2007 -0700

    There is no U+1257 (bug 10899).

    The Eritrean Tigrinya orthography mistakenly included this unicode
    value.

 fc-lang/ti_er.orth |	 2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4657944d0c39a640b2e30dfbd95f13d79a99460b
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 00:41:28 2007 -0700

    FcInit should return FcFalse when FcInitLoadConfigAndFonts fails. (bug
    10976)

    Thanks to David <ssdk@ispras.ru> for spotting this error.

 src/fcinit.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 28baf727367513ad06ddb1c53daff062e8f39e8c
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:	Thu Oct 25 00:38:44 2007 -0700

    Store FcVendorFoundries in read-only memory.

    Create fixed size strings for vendor and foundry.

 src/fcfreetype.c |   62
 +++++++++++++++++++++++++++---------------------------
 1 files changed, 31 insertions(+), 31 deletions(-)

commit 481f6c23079b6dbf5239478f2bb22ee4c72404b4
Author: Tilman Sauerbeck <tilman@code-monkey.de>
Date:	Thu Oct 25 00:36:37 2007 -0700

    Store FcNoticeFoundries in read-only memory.

    Use a single character array and a separate table of integer indices.

 src/fcfreetype.c |   75
 ++++++++++++++++++++++++++++++++++++------------------
 1 files changed, 50 insertions(+), 25 deletions(-)

commit a72ef35ce68efa3687dee84d49dc40a5ccd22917
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 25 00:22:04 2007 -0700

    Replace makealias pattern with something supported by POSIX grep
    (bug 11083)

    The suggested replacement in the bug was not supported by GNU grep,
    so I
    created something that should be supported everywhere (famous
    last words).

 src/makealias |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 369b6b5bfbab57bbc7fb6482f6fd9c88e5057e5a
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Wed Oct 24 21:59:33 2007 -0700

    Add BRAILLE PATTERN BLANK to list of blank glyphs.

    Braille pattern blank is often imaged as a blank glyph.

 fonts.conf.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 007cae508c831561c7a4f06092858ea7bf517e2e
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Wed Oct 24 21:52:56 2007 -0700

    Move <cachedir> elements to the end of fonts.conf.

    This allows users to select alternate directories for cache files,
    ahead of
    the 'standard' directories.

 fonts.conf.in |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit d50cfeb805f7dec304c1d51d7a7c1c35f55d2e68
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Wed Oct 24 21:47:40 2007 -0700

    Leave generated headers out of distribution (bug 12734).

    If the generated header files are included in the distribution,
    a build
    outside of the source directory will use them. For machine-specific
    files,
    this generates the wrong result (fcarch.h). Leaving them out of the
    distribution forces them to be built.

 fc-arch/Makefile.am	  |    4 +---
 fc-case/Makefile.am	  |    4 +---
 fc-glyphname/Makefile.am |    4 +---
 fc-lang/Makefile.am	  |    4 +---
 4 files changed, 4 insertions(+), 12 deletions(-)

commit 1bd0b5ba7365fc7b4ef39e46efc66a6f25c052c5
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 09:48:31 2007 -0700

    Eliminate relocations from FcCodePageRange structure (bug 10982).

    FcCodePageRange was using char pointers; replace them with char
    arrays.

 src/fcfreetype.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 96925b99c0551c4ed6bf7099473d0d36964f52cd
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 09:43:22 2007 -0700

    Eliminate relocations for glyph name table.

    Glyph names (now used only for dingbats) were using many relocations,
    causing startup latency plus per-process memory usage. Replace
    pointers with
    table indices, shrinking table size and elimninating relocations.

 fc-glyphname/fc-glyphname.c |	 28 ++++++++++++++++++++--------
 src/fcfreetype.c	     |	 16 ++++++++--------
 2 files changed, 28 insertions(+), 16 deletions(-)

commit bc5e8adb4d05d1d03007951f46aaacc63c3b2197
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 09:41:00 2007 -0700

    Must not insert cache into hash table before completely validating.

    The cache was inserted into the hash table before the timestamps
    in the
    cache were verified; if that verification failed, an extra pointer
    to the
    now freed cache would be left in the hash table. FcFini would fail an
    assertion as a result.

 src/fccache.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e85789a99770dbd1a4abe9da3eadb355c19f5216
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 08:58:14 2007 -0700

    Place language name in constant array instead of pointer.

    Constant char array of 8 bytes is the same size as a pointer plus
    a short
    string, so this actually saves memory and eliminates a pile of
    relocations.

 fc-lang/fc-lang.c |	2 +-
 src/fclang.c	   |	2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 26437d4924b0f53f03915e5f3616992eb1fb72e7
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 08:56:42 2007 -0700

    FcConfigParseAndLoad doc was missing the last param.

    Typo lost the last param to this function.

 doc/fcconfig.fncs |	2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 07e646cc8422bda778ecf1c084129556a39a0f2a
Author: Mike FABIAN <mfabian@suse.de>
Date:	Thu Oct 18 05:44:28 2007 -0700

    Avoid crashes if config files contain junk.

    If ~/.fonts.conf contains:

      <edit mode="assign_replace" name="spacing">
	 <int>mono</int>
	   </edit>

    fontconfig crashes:

	mfabian@magellan:~$ fc-match sans
	    Fontconfig error: "~/.fonts.conf", line 46: "mono": not
	    a valid
	integer
	    セグメンテーション違反です (core dumped)
		mfabian@magellan:~$

    Of course the above is nonsense, “mono” is no valid integer
    indeed.

    But I think nevertheless fontconfig should not crash in that case.

    The problem was caused by partially truncated expression trees
    caused by
    parse errors -- typechecking these walked the tree without verifying
    the
    integrity of the structure. Of course, the whole tree will be
    discarded
    shortly after being loaded as it contained an error.

 src/fcxml.c |	  4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit fa9a7448d83da498b3494fd0ff7d756569f94425
Author: Hideki Yamane <henrich@iijmio-mail.jp>
Date:	Thu Oct 18 05:17:36 2007 -0700

    Handle Japanese fonts better. (debian bug #435971)

    Add some commonly available Japanese fonts to the standard aliases.

 conf.d/65-nonlatin.conf |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 2a3e3c442de4c675e28e754dea0fe2f7f0686ade
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 05:05:59 2007 -0700

    Have fc-cache remove invalid cache files from cache directories.

    Old cache file versions, or corrupted cache files should be removed
    when
    cleaning cache directories with fc-cache. This only affects filenames
    which
    match the fontconfig cache file format, so other files will be
    left alone.

 fc-cache/fc-cache.c |	 34 ++++++++++++++++++----------------
 1 files changed, 18 insertions(+), 16 deletions(-)

commit 238489030a64fa883f8f9fc3d73247b7f7257899
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 05:04:39 2007 -0700

    Don't use X_OK bit when checking for writable directories (bug 12438)

    Some mingw versions have broken X_OK checking; instead of trying
    to work
    around this in a system-depedent manner, simply don't bother
    checking for
    X_OK along with W_OK as such cases are expected to be mistakes,
    and not
    sensible access control.

 fc-cache/fc-cache.c |	  2 +-
 src/fccache.c	     |	  4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 2b0d3d8af5a83604972e4e0fe80802e448d6dd11
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 05:01:41 2007 -0700

    Verbose message about cleaning directories was imprecise

    Non-existent directories are now described as 'non-existent'
    instead of
    'unwritable'.

 fc-cache/fc-cache.c |	  3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 50124d1e484b84796abb7d8a6c1995edaff23e80
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 04:58:31 2007 -0700

    Improve verbose messages from fc-cache.

    fc-cache would say 'skipping: %d fonts, %d dirs' or 'caching: %d
    fonts, %d
    dirs', which could easily mislead the user. Add 'existing cache is
    valid' or
    'new cache contents' to these messages to explain what it is doing.

 fc-cache/fc-cache.c |	  4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e12f718f65fc874e9170761f670930124815663e
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 04:54:51 2007 -0700

    Remove unneeded call to access(2) in fc-cache.

    This call was followed by a call to stat(2) which provided the
    necessary
    information. This call to access(2) was necessary when cache
    files were
    stored in the font directory as that would check for write permission
    correctly.

 fc-cache/fc-cache.c |	 18 +++---------------
 1 files changed, 3 insertions(+), 15 deletions(-)

commit f7da903d370dcf662a301930b003485f25db618f
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 04:31:33 2007 -0700

    Make FC_FULLNAME include all fullname entries, elide nothing. [bug
    12827]

    The old policy of eliding fullname entries which matched FC_FAMILY or
    FC_FAMILY + FC_STYLE meant that applications could not know what the
    font foundry set as the fullname of the font. Hiding information
    is not
    helpful.

 src/fcfreetype.c |   64
 ------------------------------------------------------
 1 files changed, 0 insertions(+), 64 deletions(-)

commit 144ca878311af885db820a35db31563ba87ee6ad
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 04:29:13 2007 -0700

    Comment about mmaping cache files was misleading.

 src/fccache.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit db6f19f13b1719617c54a1658b8faa31da56e1d4
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 04:13:51 2007 -0700

    Store font directory mtime in cache file.

    Instead of relying on mtime ordering between a directory and its
    associated
    cache file, write the directory mtime into the cache file itself. This
    makes
    cache file checks more reliable across file systems.

    This change is made in a way that old programs can use new cache
    files, but
    new programs will need new cache files.

 fc-arch/fcarch.tmpl.h |   14 +++++-----
 src/fccache.c	       |   64
 +++++++++++++++++++++++++++++++-----------------
 src/fcdir.c	       |    8 +++++-
 src/fcint.h	       |    5 ++-
 4 files changed, 58 insertions(+), 33 deletions(-)

commit 00268a50e8b99e80ff25ee2a77a925398f89693f
Author: Keith Packard <keithp@koto.keithp.com>
Date:	Thu Oct 18 03:52:29 2007 -0700

    Fix ChangeLog generation to avoid circular make dependency

 Makefile.am |	 11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit 3ae9258f9e825ed576dc315ec79009188bb422e2
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 5 12:31:03 2007 -0700

    Free temporary string in FcDirCacheUnlink (Bug #11758)

    In FcDirCacheUnlink(), the line

      cache_hashed = FcStrPlus (cache_dir, cache_base);

    allocates memory in cache_hashed that is never free()'d before
    the function
    exits.

    Reported by Ben Combee.

 src/fccache.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c80a08d6bf08a27ede95035f3f02cd5abfa2cafd
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Mar 12 10:32:23 2007 -0700

    Work around FreeType bug when glyph name buffer is too small.

    Recent versions of FreeType do not correctly deal with glyph name
    buffers
    that are too small; work around this by declaring a buffer that can
    hold any
    PS name (127 bytes).

 src/fcfreetype.c |   21 +++++++++++++++++----
 1 files changed, 17 insertions(+), 4 deletions(-)

commit fa741cd4fffbbaa5d4ba9a15f53550ac7817cc92
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Mar 12 10:30:51 2007 -0700

    rehash increment could be zero, causing rehash infinite loop.

    Bump the rehash value by one so that it is always positive.

 fc-glyphname/fc-glyphname.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9b74b78fe87f75f7026bfb23ab43ef347e109ca6
Author: Stephan Kulow <coolo@novell.com>
Date:	Mon Mar 12 10:21:35 2007 -0700

    Make FcPatternDuplicate copy the binding instead of always using
    Strong.

    I noticed that Qt always uses a different font than fc-match
    advertises.
    Debugging the issue, I found that a call that looks pretty innocent is
    changing all weak bindings to strong bindings and as such changes the
    semantic of the match: FcPatternDuplicate.

 src/fcpat.c |	 10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 2373f904265a05761039cfc5fe305bf588e831c5
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 16:09:47 2006 -0800

    Update for version 2.4.2

 INSTALL		 |    2 +-
 README			 |   36 ++++++++++++++++++++++++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 4 files changed, 37 insertions(+), 5 deletions(-)

commit e3b65ee06808cda296215b88111a259a200cc37c
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:	Sat Dec 2 15:09:57 2006 -0800

    Fix fc-cat documentation (bug 8935).

    Adapt documentation to reality.

    (1) The fc-cat usage message should reflect the
    options accepted by the program.

    (2) The fc-cat.1 manpage was fairly broken (unreadable).

 fc-cat/fc-cat.c    |	 9 +++++++--
 fc-cat/fc-cat.sgml |	26 +++++++++++++++++++++++---
 2 files changed, 30 insertions(+), 5 deletions(-)

commit 61895ed16c0c06e4d6b2abeb8ff292d53b4ea499
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 15:06:13 2006 -0800

    Add space between type and formal in devel man pages (bug 8935)

    Most parameters are pointers and have '*' in the type; for those
    which do not, use '%' to mark where a space needs to be inserted.

 doc/edit-sgml.c       |    5 +++++
 doc/fcblanks.fncs     |    4 ++--
 doc/fccharset.fncs    |    8 ++++----
 doc/fcconfig.fncs     |   12 ++++++------
 doc/fcconstant.fncs   |    4 ++--
 doc/fcfile.fncs       |    4 ++--
 doc/fcfreetype.fncs   |   12 ++++++------
 doc/fcmatrix.fncs     |   12 ++++++------
 doc/fcobjectset.fncs  |    2 +-
 doc/fcobjecttype.fncs |    4 ++--
 doc/fcpattern.fncs    |   32 ++++++++++++++++----------------
 doc/fcstring.fncs     |   16 ++++++++--------
 doc/fcvalue.fncs      |    4 ++--
 13 files changed, 62 insertions(+), 57 deletions(-)

commit b1aa20098f641a16d02e70a161450e6b85afe410
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:	Sat Dec 2 14:28:03 2006 -0800

    Use <literal> instead of <sgmltag> when documenting fonts.conf. Bug
    8935.

 doc/fontconfig-user.sgml |   87
 ++++++++++++++++++++++-----------------------
 1 files changed, 43 insertions(+), 44 deletions(-)

commit 2cae0512cdf3544ff78b04f6c05a4cb585e50bb8
Author: Peter Breitenlohner <peb@mppmu.mpg.de>
Date:	Sat Dec 2 14:18:11 2006 -0800

    A VPATH build of fontconfig-2.4.1 fails for various reasons. Bug 8933.

    VPATH builds without doctools breaks as it cannot find the distributed
    pre-formatted documentation.

 configure.in	 |    2 +-
 doc/Makefile.am |   14 +++++++++-----
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 0f963b0d3ec417a39f6aa2ba22ba56c2a79d05aa
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 13:57:45 2006 -0800

    Segfault scanning non-font files. Disallow scan edit of user
    vars. (#8767)

    Missing NULL font check before attempting to edit scanned pattern.
    Also, <match target="scan"> rules are now checked to ensure all
    edited variables are in the predefined set; otherwise, the resulting
    cache files will not be stable.

 src/fcdir.c |	  2 +-
 src/fcint.h |	  1 +
 src/fcxml.c |	  6 ++++++
 3 files changed, 8 insertions(+), 1 deletions(-)

commit c9c6875014661d4326100bae0464279d76bd657f
Author: Kean Johnston <kean@armory.com>
Date:	Sat Dec 2 13:36:56 2006 -0800

    Don't use varargs CPP macros in fccache.c. (bug 8733)

    src/fccache.c uses a trick to try and use a function name that is
    also a
    macro name. It does this using the varargs args() macro. Replace that
    with separate macros for each number of formals.

 src/fccache.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 72ffe6536a6825a32095c8185aff836a12326ac5
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 13:22:27 2006 -0800

    Add FcFreeTypeQueryFace external API. Bug #7311.

    Expose ability to build an FcPattern directly from an FT_Face
    object.

 configure.in		 |    4 +-
 doc/fcfreetype.fncs	 |   17 +++++++++++++++-
 fontconfig/fcfreetype.h |    6 +++++
 src/fcfreetype.c	 |   50
 ++++++++++++++++++++++++++--------------------
 4 files changed, 52 insertions(+), 25 deletions(-)

commit 5e234d9e764d8c52d93b918a5c92b7956c95882b
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 13:14:23 2006 -0800

    Fix grep pattern in makealias to work on non-Gnu grep (bug 8368).

    grep -l -w '^foo' doesn't work on Solaris. Replace with
    grep -l '^foo\>' instead which does. Also, grep -l will
    report the filename more than once (!), so add | head -1
    to pick just the first one.

 src/makealias |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2b77216ee21de95ec352672aa025195a83925b32
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 13:04:05 2006 -0800

    Avoid writing uninitialized structure pad bytes to cache files.

    The union inside the FcValue structure contains pad bytes. Instead of
    copying the whole structure to the cache block, copy only the
    initialized
    fields to avoid writing whichever bytes serve as padding within the
    structure.

 src/fcpat.c |	 17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit 64d7e303df441f274ee194a401dcd14dfb58af7e
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 12:14:49 2006 -0800

    Warn (and recover) from config file without <cachedir> elements.

    When updating from older fontconfig versions, if the config file
    is not replaced, it will not contain <cachedir> elements. Lacking
    these,
    fontconfig has no place to store cached font information and cannot
    operate
    reasonably.

    Add code to check and see if the loaded configuration has no cache
    directories, and if so, warn the user and add both the default
    system cache
    directory and the normal per-user cache directory.

 src/fcinit.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 253ec7609c13b46c717c801206ebb1a6c7f06e27
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Dec 2 11:47:07 2006 -0800

    Use explicit platform/nameid order when scanning ttf files.

    Instead of accepting whatever order names appear in the font file,
    use an explicit ordering for both platform and nameid.

    Platforms are high precedence than nameids.

    The platform order is:

	microsoft, apple unicode, macintosh, (other)

    The family nameid order is:

	preferred family, font family

    The fullname nameid order is:

	mac full name, full name

    The style nameid order is

	preferred subfamily, font subfamily

    This will change the names visible to users in various application
    UIs, but
    should not change how existing font names are matched as all names
    remain
    present in the resulting database. The hope is that family names
    will, in
    general, be less ambiguous. Testing here shows that commercial fonts
    have longer names now while DejaVu has a shorter family name, and
    moves more
    of the font description to the style name.

 src/fcfreetype.c |  237
 ++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 149 insertions(+), 88 deletions(-)

commit b5803016d74856eb44b05876f0d7178bfec0df47
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Nov 12 17:15:55 2006 -0800

    FcStrCanonAbsoluteFilename should be static.

 src/fcstr.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bae5db78ddab473695a7efee374a75d6fe02426f
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Nov 12 17:15:24 2006 -0800

    Add sparc64 architecture string.

 fc-arch/fcarch.tmpl.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0334e5a294dd6a36c94936f6c9c709e86773cf64
Author: Mike FABIAN <mfabian@suse.de>
Date:	Fri Oct 27 10:26:50 2006 -0700

    Do not clean cache files for different architectures

    Use filenames to clean cache files for current architecture
    only. This is
    sufficient as cache files live in their own directory where
    filenames are
    under fontconfig control.

 fc-cache/fc-cache.c |	  9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 0596d7296c94b2bb9817338b8c1a76da91673fb9
Author: Han-Wen Nienhuys <hanwen@xs4all.nl>
Date:	Sun Sep 17 17:03:33 2006 -0700

    More fixes for Win32 building (bug 8311)

    Our build system barfs on autogen.sh, which ignores
    --noconfigure. Configure
    needs a host of options to make the cross compile work in our case.

    Fix typo in fccache.c

 autogen.sh    |    7 +++++++
 src/fccache.c |    3 ++-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 1de7a4cc09172bbc99912e1410f46fc16c1a05ec
Author: Han-Wen Nienhuys <hanwen@xs4all.nl>
Date:	Sun Sep 17 14:34:46 2006 -0700

    FcStrCanonFileName buggy for mingw. (bug 8311)

    FcStrCanonFileName checks whether s[0] == '/', and recurses if not.

    This only works on POSIX. On dos, this crashes with a stack overflow.

    The patch attached splits this functionality in two functions
    (FcStrCanonAbsoluteFilename) and uses GetFullPathName on windows to
    get an
    absolute path.  It also fixes a number of other issues. With this
    patch,
    LilyPond actually produces output on Windows.

 src/fccache.c |    5 +++
 src/fcstr.c   |   88
 +++++++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 78 insertions(+), 15 deletions(-)

commit cc104e6a910427db009be36ec34125962889ecb8
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 17 14:20:18 2006 -0700

    Detect and use available random number generator (bug 8308)

    Prefer random over lrand48 over rand

 configure.in  |    2 +-
 src/fccache.c |   13 ++++++++++++-
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 706a1b367abc4589c7eccfd7cea3af1029bc2d8c
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 17 14:09:12 2006 -0700

    Build fontconfig.def from header files when needed.

    Instead of attempting to track exported symbols manually in
    fontconfig.def.in, build it directly from the public fontconfig
    header files
    to ensure it exports the public API.

 configure.in	       |    1 -
 src/Makefile.am       |   18 +++-
 src/fontconfig.def.in |  303
 -------------------------------------------------
 3 files changed, 17 insertions(+), 305 deletions(-)

commit 6262fefe54823476070053d53eb3f52fd516ebfe
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 17 13:50:31 2006 -0700

    Remove documentation for non-existant FcConfigNormalizeFontDir.

    FcConfigNormalizeFontDir was present in some of the 2.3.9x release
    but not
    in the final 2.4 release. However, the documentation persisted.

 doc/fcconfig.fncs |   11 -----------
 1 files changed, 0 insertions(+), 11 deletions(-)

commit b9cc1c4ed81c8caefb5b857f37fdc24e804a5ef9
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 15 10:12:15 2006 -0700

    Update for version 2.4.1

 README			 |   13 +++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 13 insertions(+), 4 deletions(-)

commit 97c3d5b692c7a45dc1d923fe04b6f2e011583d2d
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 15 00:23:40 2006 -0700

    Reimplement FcConfigAppFontAddDir; function was lost in 2.4.0.

    With the cache restructuring of 2.4.0, the ability to add
    application-specific font files and directories was accidentally lost.
    Reimplement this using by sharing the logic used to load configured
    font
    directories.

 src/fccfg.c |	 86
 ++++++++++++++++++++++++++++------------------------------
 src/fcdir.c |	  4 +-
 src/fcint.h |	  3 +-
 3 files changed, 46 insertions(+), 47 deletions(-)

commit b190ad9da46ff2e8a9ede0afcb59a6c59641515b
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Sep 13 18:55:45 2006 -0700

    Add warning flags to fc-cache build. Clean up warnings in fc-cache.

    Looks like the last directory in the project which didn't use
    $(WARN_CFLAGS)
    for some reason. Adding that found the usual collection of char *
    vs FcChar8
    * issues (why, oh why is FcChar8 not just char...)

 fc-cache/Makefile.am |    2 +-
 fc-cache/fc-cache.c  |   31 ++++++++-----------------------
 2 files changed, 9 insertions(+), 24 deletions(-)

commit 7943a75b7d6750d8a71eb8316bd3bbcb32f1cc47
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Sep 13 18:51:11 2006 -0700

    Add signatures for m68k and mipsel (thanks debian buildd)

 fc-arch/fcarch.tmpl.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit fb47a1f752417d45ad0eac98526cf9de893fc9ca
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 11 11:10:48 2006 -0700

    Add ppc64 signature. Bug 8227

 fc-arch/fcarch.tmpl.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0fc03ffe443f4bfb1c830eb75c14ca336f2186e1
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 11 11:09:26 2006 -0700

    Update installation notes for 2.4 base.

 INSTALL |   19 ++++++++++++-------
 1 files changed, 12 insertions(+), 7 deletions(-)

commit 76c443222313577236c898f7644098e7cad80c75
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 22:08:40 2006 -0700

    Update to version 2.4.0

 INSTALL		 |    3 +++
 README			 |   38 ++++++++++++++++++++++++++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    4 ++--
 4 files changed, 42 insertions(+), 5 deletions(-)

commit 6c5619a08575943f75d2341e1a4931ec5faf716b
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 21:32:14 2006 -0700

    Split much of the configuration into separate files. Renumber files

    Most of the remaining elements in fonts.conf have been moved to
    separate
    files. The numbering scheme for conf.d files has been documented
    in the
    README and the files have been renumbered. Config files have been
    validated against the DTD and a few minor errors fixed.

 conf.d/10-autohint.conf	  |    9 +
 conf.d/10-no-sub-pixel.conf	  |    9 +
 conf.d/10-sub-pixel-bgr.conf	  |    9 +
 conf.d/10-sub-pixel-rgb.conf	  |    9 +
 conf.d/10-sub-pixel-vbgr.conf	  |    9 +
 conf.d/10-sub-pixel-vrgb.conf	  |    9 +
 conf.d/10-unhinted.conf	  |    9 +
 conf.d/10-urw-aliases.conf	  |   52 ----
 conf.d/15-amt-aliases.conf	  |   21 --
 conf.d/20-lohit-gujarati.conf	  |   11 +
 conf.d/20-unhint-small-vera.conf |   49 ++++
 conf.d/30-amt-aliases.conf	  |   21 ++
 conf.d/30-unhint-small-vera.conf |   49 ----
 conf.d/30-urw-aliases.conf	  |   52 ++++
 conf.d/40-generic.conf		  |   66 +++++
 conf.d/49-sansserif.conf	  |   21 ++
 conf.d/60-LohitGujarati.conf	  |    5 -
 conf.d/60-delicious.conf	  |   20 --
 conf.d/60-fonts-persian.conf	  |  539
 --------------------------------------
 conf.d/60-latin.conf		  |   42 +++
 conf.d/65-fonts-persian.conf	  |  539
 ++++++++++++++++++++++++++++++++++++++
 conf.d/65-nonlatin.conf	  |   38 +++
 conf.d/69-unifont.conf		  |   24 ++
 conf.d/70-no-bitmaps.conf	  |   13 +
 conf.d/70-no-sub-pixel.conf	  |    9 -
 conf.d/70-sub-pixel-bgr.conf	  |    9 -
 conf.d/70-sub-pixel-rgb.conf	  |    9 -
 conf.d/70-sub-pixel-vbgr.conf	  |    9 -
 conf.d/70-sub-pixel-vrgb.conf	  |    9 -
 conf.d/70-yes-bitmaps.conf	  |   13 +
 conf.d/73-autohint.conf	  |    9 -
 conf.d/73-unhinted.conf	  |    9 -
 conf.d/76-no-bitmaps.conf	  |   13 -
 conf.d/76-yes-bitmaps.conf	  |   13 -
 conf.d/80-delicious.conf	  |   20 ++
 conf.d/90-synthetic.conf	  |   64 +++++
 conf.d/Makefile.am		  |   55 +++--
 conf.d/README			  |   46 +++-
 fonts.conf.in			  |  207 ---------------
 39 files changed, 1113 insertions(+), 1006 deletions(-)

commit 9596dce93b751c01770da175d208d78aeaf6ae00
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 21:30:06 2006 -0700

    Don't display tests for DESTDIR on make install.

    Make install output quieter by eliding the shell commands
    used to test for DESTDIR being set during make install.

 Makefile.am |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d08feb851a585b6cfe3ef1f390d60dd8886249b2
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 21:29:08 2006 -0700

    Include cachedir in fonts.dtd.

    Fonts.dtd <fontconfig> element was missing the new cachedir element.

 fonts.dtd |	7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 9419bb34f6eac685fcf957faf6a38a5cdfa811d9
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 21:21:01 2006 -0700

    Fix conf.d directory sorting.

    Sort was using broken comparison function.

 src/fcxml.c |	 10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 248b5903b7057b3c44ea1cd3a9b0d27624eba24a
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 19:37:22 2006 -0700

    Rename conf.avail to conf.d

 Makefile.am			      |    2 +-
 conf.avail/10-urw-aliases.conf       |   52 ----
 conf.avail/15-amt-aliases.conf       |   21 --
 conf.avail/20-fix-globaladvance.conf |   29 --
 conf.avail/30-unhint-small-vera.conf |   49 ---
 conf.avail/50-user.conf	      |    7 -
 conf.avail/51-local.conf	      |    7 -
 conf.avail/60-LohitGujarati.conf     |    5 -
 conf.avail/60-delicious.conf	      |   20 --
 conf.avail/60-fonts-persian.conf     |  539
 ----------------------------------
 conf.avail/70-no-sub-pixel.conf      |    9 -
 conf.avail/70-sub-pixel-bgr.conf     |    9 -
 conf.avail/70-sub-pixel-rgb.conf     |    9 -
 conf.avail/70-sub-pixel-vbgr.conf    |    9 -
 conf.avail/70-sub-pixel-vrgb.conf    |    9 -
 conf.avail/73-autohint.conf	      |    9 -
 conf.avail/73-unhinted.conf	      |    9 -
 conf.avail/76-no-bitmaps.conf	      |   13 -
 conf.avail/76-yes-bitmaps.conf       |   13 -
 conf.avail/Makefile.am		      |   71 -----
 conf.avail/README		      |    8 -
 conf.d/10-urw-aliases.conf	      |   52 ++++
 conf.d/15-amt-aliases.conf	      |   21 ++
 conf.d/20-fix-globaladvance.conf     |   29 ++
 conf.d/30-unhint-small-vera.conf     |   49 +++
 conf.d/50-user.conf		      |    7 +
 conf.d/51-local.conf		      |    7 +
 conf.d/60-LohitGujarati.conf	      |    5 +
 conf.d/60-delicious.conf	      |   20 ++
 conf.d/60-fonts-persian.conf	      |  539
 ++++++++++++++++++++++++++++++++++
 conf.d/70-no-sub-pixel.conf	      |    9 +
 conf.d/70-sub-pixel-bgr.conf	      |    9 +
 conf.d/70-sub-pixel-rgb.conf	      |    9 +
 conf.d/70-sub-pixel-vbgr.conf	      |    9 +
 conf.d/70-sub-pixel-vrgb.conf	      |    9 +
 conf.d/73-autohint.conf	      |    9 +
 conf.d/73-unhinted.conf	      |    9 +
 conf.d/76-no-bitmaps.conf	      |   13 +
 conf.d/76-yes-bitmaps.conf	      |   13 +
 conf.d/Makefile.am		      |   71 +++++
 conf.d/README			      |    8 +
 configure.in			      |    1 -
 42 files changed, 898 insertions(+), 899 deletions(-)

commit 9e292c889f1138b1af2f60621d7e2bfd8c490ff7
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 16:52:21 2006 -0700

    Add XML headers to new conf files. Move link make commands to
    conf.avail dir

    Fix up new config fragments to include XML headers as required.
    Move symbolic link installation to conf.avail directory to centralize
    both
    steps.

 conf.avail/10-urw-aliases.conf       |    5 +++
 conf.avail/15-amt-aliases.conf       |    5 +++
 conf.avail/20-fix-globaladvance.conf |    5 +++
 conf.avail/30-unhint-small-vera.conf |    5 +++
 conf.avail/Makefile.am		      |   22 ++++++++++++++
 conf.d/Makefile.am		      |   52
 ----------------------------------
 6 files changed, 42 insertions(+), 52 deletions(-)

commit 49b44b277f2a8a67009a3b68b178b2f1a4c7f72a
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 16:41:58 2006 -0700

    Insert newly created caches into reference data structure.

    All caches used in the application must be in the cache reference
    list so
    internal references can be tracked correctly. Failing to have
    newly created
    caches in the list would cause the cache to be deallocated while
    references
    were still present.

 src/fccache.c |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit 766a9b2f61458202be0fbf5745ce1e02ecd95c6e
Merge: 5d2f7a9... 164e267...
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 15:49:24 2006 -0700

    Merge branch 'jhcloos'

commit 5d2f7a9d9224d4df1655cd1d6fd72646734b0272
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 9 10:04:42 2006 -0700

    Accept locale environment variables that do not contain territory.

    Locale environment variables (LC_ALL, LC_CTYPE, LANG) must contain
    language,
    and may contain territory and encoding. Don't accidentally require
    territory
    as that will cause fontconfig to fall back to 'en'.

 src/fcdefault.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 164e267d286eccbbdde69e8935a658dced4331b4
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Sat Sep 9 01:24:08 2006 -0400

    Make conf.avail and conf.d work

    Add conf.avail to configure.in

    Add install: target to conf.d/Makefile.am to
    create the initial symlinks to conf.avail

 conf.d/Makefile.am |	52
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in	    |	 1 +
 2 files changed, 53 insertions(+), 0 deletions(-)

commit f6cfbe16bfc252b46532f699b496e4a41a1a1c22
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Sep 7 15:17:10 2006 -0700

    Attempt to fix makealias usage for build on Mac OS X.

    Avoid using fcalias.h or fcaliastail.h on systems which don't
    support it.
    Provided solution still generates these files, but does not use them.

 src/fcint.h   |    3 ++-
 src/makealias |    2 ++
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 6cff1dca81b60fcd75e19f3ed827aae98f643fd1
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Sep 7 14:37:52 2006 -0700

    Replace gnu-specific sed command with simple grep.

    makealias was using a gnu-extension to sed addressing, replace that
    with a
    simple (and more robuse) grep command. Also, found a bug in the public
    header file that was leaving one symbol out of the process.

 fontconfig/fontconfig.h |    2 +-
 src/makealias		 |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 31e0f0321057a7612ed5a7fa890dad09e6a53ee6
Author: David Turner <david@freetype.org>
Date:	Thu Sep 7 14:29:35 2006 -0700

    Replace character discovery loop with simpler, faster version.

    The existing loop for discovering which characters map to glyphs is
    ugly and
    inefficient. The replacement is functionally identical, but far
    cleaner and
    faster.

 src/fcfreetype.c |   83
 +++++++++++++++++++----------------------------------
 1 files changed, 30 insertions(+), 53 deletions(-)

commit 8d779ce4b3cdac796e20ca568654c0ef1c576809
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Sep 7 14:22:16 2006 -0700

    Reference patterns in FcCacheCopySet.

    As patterns are put into the font set copy, mark them as referenced
    so the
    cache stays around while the font set is in use.

 src/fccache.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 4c34c0c52a4e943c6770a6178e5012a3d6fe96d0
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Sep 7 10:37:24 2006 -0700

    Create fc_cachedir at install time. Bug 8157.

 Makefile.am |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 88b6bebc3d648464ad9bcb7f106694ed85a84460
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Sep 6 23:58:14 2006 -0700

    Update for version 2.3.97.

 Makefile.am		 |    2 +-
 README			 |   41 +++++++++++++++++++++++++++++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 4 files changed, 42 insertions(+), 5 deletions(-)

commit c3796ac6061373bcf0276a931036987c01741215
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Sep 6 17:45:40 2006 -0700

    Charset hashing depended on uniqueness of leaves.

    Charset hashing actually use the value of the leaf pointers, which is
    clearly wrong, especially now that charsets are not shared across
    multiple
    font directories.

 src/fccharset.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 08bef687018f2391c2f2b6fc3849878c121b67dd
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Sep 6 17:43:08 2006 -0700

    Parallel build fix for fcalias.h and fcaliastail.h

    These are built from the same script, but creating a single
    dependency rule
    caused parallel make to run the script twice.

 src/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 8e0b03f55085d6fd80f6a262b496303f5a74d2ad
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Sep 6 17:14:46 2006 -0700

    Update architecture signatures for x86-64 and ppc.

    I think the cache file data types are stable for now; add-back the
    signatures for x86-64 and ppc.

 fc-arch/fcarch.tmpl.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 23816bf9acbd6cc5dd942daaba3cc084ea70d99d
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Tue Sep 5 02:24:01 2006 -0700

    Eliminate .so PLT entries for local symbols. (thanks to Arjan van
    de Ven)

    Using a simple shell script that processes the public headers,
    two header
    files are constructed that map public symbols to hidden internal
    aliases
    avoiding the assocated PLT entry for referring to a public symbol.

    A few mistakes in the FcPrivate/FcPublic annotations were also
    discovered
    through this process

 .gitignore		  |    2 ++
 fc-arch/Makefile.am	  |    9 ++++++++-
 fc-case/Makefile.am	  |    9 ++++++++-
 fc-glyphname/Makefile.am |    9 ++++++++-
 fc-lang/Makefile.am	  |    9 ++++++++-
 fc-lang/fc-lang.c	  |    1 -
 fontconfig/fontconfig.h  |   10 +++++-----
 src/Makefile.am	  |   15 ++++++++++++++-
 src/fcatomic.c		  |    3 +++
 src/fcblanks.c		  |    3 +++
 src/fccache.c		  |    3 +++
 src/fccfg.c		  |    3 +++
 src/fccharset.c	  |    3 +++
 src/fcdbg.c		  |    3 +++
 src/fcdefault.c	  |    3 +++
 src/fcdir.c		  |    3 +++
 src/fcfreetype.c	  |    4 ++++
 src/fcfs.c		  |    3 +++
 src/fcinit.c		  |    3 +++
 src/fcint.h		  |    5 ++++-
 src/fclang.c		  |    3 +++
 src/fclist.c		  |    3 +++
 src/fcmatch.c		  |    3 +++
 src/fcmatrix.c		  |    3 +++
 src/fcname.c		  |    3 +++
 src/fcpat.c		  |    3 +++
 src/fcserialize.c	  |    3 +++
 src/fcstr.c		  |    3 +++
 src/fcxml.c		  |    3 +++
 src/ftglue.c		  |    3 +++
 src/makealias		  |   24 ++++++++++++++++++++++++
 31 files changed, 145 insertions(+), 12 deletions(-)

commit 323ecd0cd3b8eeb50c4af87d57f2ea7b19f37215
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 23:19:59 2006 -0700

    Correct reference count when sharing cache file objects.

    Multiple maps of the same cache file share the same mapped object;
    bump the
    cache object reference count in this case

 src/fccache.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit afe5a6716058e4b952a6ec1ab3f328a1c069a8c4
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 22:39:51 2006 -0700

    Oops, fc-lang broke when I added cache referencing.

    Add FcCacheObjectReference/FcCacheObjectDereference stubs to fc-cache.

 fc-lang/fc-lang.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 17389539a046f7231447d531ef7f3d131c1d7515
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 22:26:24 2006 -0700

    Make cache reference counting more efficient.

    Eliminate need to reference cache object once per cached font, instead
    just count the number of fonts used from the cache and bump the
    reference
    count once by that amount. I think this makes this refernece technique
    efficient enough for use.

 src/fccache.c |    9 +++++++++
 src/fccfg.c   |    5 ++++-
 src/fcint.h   |    3 +++
 3 files changed, 16 insertions(+), 1 deletions(-)

commit 9e612141df7e693ef98071f102cecb5d777ceecb
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 22:20:25 2006 -0700

    Reference count cache objects.

    Caches contain patterns and character sets which are reference
    counted and
    visible to applications. Reference count the underlying cache object
    so that
    it stays around until all reference objects are no longer in use.

    This is less efficient than just leaving all caches around forever,
    but does
    avoid eternal size increases in case applications ever bother
    to actually
    look for changes in the font configuration.

 src/fccache.c	 |  255
 +++++++++++++++++++++++++++++++++++++++++--------------
 src/fccfg.c	 |   22 +-----
 src/fccharset.c |    5 +
 src/fcint.h	 |   16 ++--
 src/fcpat.c	 |   10 ++-
 5 files changed, 213 insertions(+), 95 deletions(-)

commit 8fe2104a1e5771ac8079a438fa21e00f946be8b3
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 13:59:58 2006 -0700

    Leave cache files mapped permanently.

    Without reference counting on cache objects, there's no way to
    know when
    an application is finished using objects pulled from the cache. Until
    some
    kinf of cache reference counting can be done, leave all cache
    objects mapped
    for the life of the library (until FcFini is called). To mitigate
    the cost
    of this, ensure that each instance of a cache file is mapped only
    once.

 src/fccache.c |  143
 ++++++++++++++++++++++++++++++++++++++++++++------------
 src/fcinit.c  |    1 +
 src/fcint.h   |    3 +
 3 files changed, 116 insertions(+), 31 deletions(-)

commit 469010c1bdd5cc8801405ef809540bd4b17f41c1
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 15:57:19 2006 -0400

    Update Makefile.am files

 Makefile.am		|    2 +-
 conf.avail/Makefile.am |   34 ++++++++++++++++++++--------------
 2 files changed, 21 insertions(+), 15 deletions(-)

commit c3425fa671663b11aa5288a0b52a0618c5d075ef
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 15:47:52 2006 -0400

    Move some section from fonts.conf into conf.avail files

    URL aliases, AMT aliases, Che globaladvance fixes and Vera <8pt
    unhinting
    sections all moved into conf.avail, to load before user and local
    confs.

 conf.avail/10-urw-aliases.conf       |   47 ++++++++++++
 conf.avail/15-amt-aliases.conf       |   16 ++++
 conf.avail/20-fix-globaladvance.conf |   24 ++++++
 conf.avail/30-unhint-small-vera.conf |   44 +++++++++++
 fonts.conf.in			      |  133
 ----------------------------------
 5 files changed, 131 insertions(+), 133 deletions(-)

commit 9a9fd975a1330e21f0184cdb237cfb2a2f19c098
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 12:46:01 2006 -0700

    Can't typecheck values for objects with no known type.

    Objects that aren't part of the built-in object list don't have
    predefined
    types, so we can't typecheck them.

 src/fcxml.c |	  2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 60018915891bd146271b687278782fe38b4c4461
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 15:45:28 2006 -0400

    Re-order old conf.d files

    Make sure they continue to load after ~/.fonts.conf and local.conf

 conf.avail/20-LohitGujarati.conf  |	5 -
 conf.avail/20-fonts-persian.conf  |  539
 -------------------------------------
 conf.avail/30-no-sub-pixel.conf   |	9 -
 conf.avail/30-sub-pixel-bgr.conf  |	9 -
 conf.avail/30-sub-pixel-rgb.conf  |	9 -
 conf.avail/30-sub-pixel-vbgr.conf |	9 -
 conf.avail/30-sub-pixel-vrgb.conf |	9 -
 conf.avail/33-autohint.conf	   |	9 -
 conf.avail/33-unhinted.conf	   |	9 -
 conf.avail/36-no-bitmaps.conf	   |   13 -
 conf.avail/36-yes-bitmaps.conf    |   13 -
 conf.avail/60-LohitGujarati.conf  |	5 +
 conf.avail/60-fonts-persian.conf  |  539
 +++++++++++++++++++++++++++++++++++++
 conf.avail/70-no-sub-pixel.conf   |	9 +
 conf.avail/70-sub-pixel-bgr.conf  |	9 +
 conf.avail/70-sub-pixel-rgb.conf  |	9 +
 conf.avail/70-sub-pixel-vbgr.conf |	9 +
 conf.avail/70-sub-pixel-vrgb.conf |	9 +
 conf.avail/73-autohint.conf	   |	9 +
 conf.avail/73-unhinted.conf	   |	9 +
 conf.avail/76-no-bitmaps.conf	   |   13 +
 conf.avail/76-yes-bitmaps.conf    |   13 +
 22 files changed, 633 insertions(+), 633 deletions(-)

commit 31f8061b5d0a60f497eaafe6d38006ae71e53163
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 15:36:46 2006 -0400

    Make room for chunks from fonts.conf in conf.avail

 conf.avail/10-LohitGujarati.conf |    5 -
 conf.avail/10-fonts-persian.conf |  539
 --------------------------------------
 conf.avail/20-LohitGujarati.conf |    5 +
 conf.avail/20-fonts-persian.conf |  539
 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 544 insertions(+), 544 deletions(-)

commit d55620c90676951fc70ec9430c2670edca2147cb
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 15:32:37 2006 -0400

    Replace load of conf.d in fonts.conf.in

 fonts.conf.in |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit f6e645c4993fff77d596dba734c09cdb255f4ca0
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 15:30:10 2006 -0400

    Update Makefile.am to match conf.avail changes

 conf.avail/Makefile.am |   21 ++++++++++++---------
 1 files changed, 12 insertions(+), 9 deletions(-)

commit cbdd74d6569b5975b86bd425b56b1b50aa73d2bb
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 15:27:29 2006 -0400

    Number the remaining conf.avail files

 conf.avail/30-no-sub-pixel.conf   |	9 +++++++++
 conf.avail/30-sub-pixel-bgr.conf  |	9 +++++++++
 conf.avail/30-sub-pixel-rgb.conf  |	9 +++++++++
 conf.avail/30-sub-pixel-vbgr.conf |	9 +++++++++
 conf.avail/30-sub-pixel-vrgb.conf |	9 +++++++++
 conf.avail/33-autohint.conf	   |	9 +++++++++
 conf.avail/33-unhinted.conf	   |	9 +++++++++
 conf.avail/36-no-bitmaps.conf	   |   13 +++++++++++++
 conf.avail/36-yes-bitmaps.conf    |   13 +++++++++++++
 conf.avail/autohint.conf	   |	9 ---------
 conf.avail/no-bitmaps.conf	   |   13 -------------
 conf.avail/no-sub-pixel.conf	   |	9 ---------
 conf.avail/sub-pixel-bgr.conf	   |	9 ---------
 conf.avail/sub-pixel-rgb.conf	   |	9 ---------
 conf.avail/sub-pixel-vbgr.conf    |	9 ---------
 conf.avail/sub-pixel-vrgb.conf    |	9 ---------
 conf.avail/unhinted.conf	   |	9 ---------
 conf.avail/yes-bitmaps.conf	   |   13 -------------
 18 files changed, 89 insertions(+), 89 deletions(-)

commit a04ac99f0f3e487c7611772442727a6eb4f44393
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 02:13:13 2006 -0700

    Hide FreeType glue code from library ABI.

    FreeType glue code was escaping the shared library.

 src/ftglue.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 4984242e3681a50a9c19f352783f145f91ecb868
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Sep 4 00:47:07 2006 -0700

    Hide private functions in shared library. Export functionality
    for utilities.

    Borrowing header stuff written for cairo, fontconfig now exposes
    in the
    shared library only the symbols which are included in the public
    header
    files. All private symbols are hidden using suitable compiler
    directives.

    A few new public functions were required for the fontconfig utility
    programs
    (fc-cat and fc-cache) so those were added, bumping the .so minor
    version number
    in the process.

 configure.in		 |    9 +-
 fc-cache/fc-cache.c	 |   30 ++--
 fc-cat/Makefile.am	 |    2 +-
 fc-cat/fc-cat.c	 |   37 ++---
 fontconfig/fcfreetype.h |   14 +-
 fontconfig/fontconfig.h |  403
 +++++++++++++++++++++++++++--------------------
 src/fccache.c		 |   48 ++++++
 src/fccharset.c	 |    5 -
 src/fcint.h		 |  337 ++++++++++++++++++---------------------
 9 files changed, 481 insertions(+), 404 deletions(-)

commit 57b42cef2ad2f18618ca0748325fc800165bdc1b
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 01:33:09 2006 -0400

    Move user and local conf file loading into conf.avail files

 conf.avail/50-user.conf  |    7 +++++++
 conf.avail/51-local.conf |    7 +++++++
 fonts.conf.in		  |   11 -----------
 3 files changed, 14 insertions(+), 11 deletions(-)

commit 04ceb322c8e8c4bfc5f4df27d15e8353058a19b8
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 01:28:07 2006 -0400

    Support all five possibilities for sub-pixel

    Make sub-pixel.conf be sub-pixel-rgb.conf and add the
    three other possibilites: bgr, vrgb and vbgr.

 conf.avail/sub-pixel-bgr.conf	|    9 +++++++++
 conf.avail/sub-pixel-rgb.conf	|    9 +++++++++
 conf.avail/sub-pixel-vbgr.conf |    9 +++++++++
 conf.avail/sub-pixel-vrgb.conf |    9 +++++++++
 conf.avail/sub-pixel.conf	|    9 ---------
 5 files changed, 36 insertions(+), 9 deletions(-)

commit 085d12cd4bcc215a5fb2bc403148e68c45bd3d2a
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 01:24:02 2006 -0400

    Standardize conf.avail number prefixing convention

    Always use \d- rather than just \d as prefix

 conf.avail/10-LohitGujarati.conf |    5 +++++
 conf.avail/10LohitGujarati.conf  |    5 -----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 709f32438d814f73b6ce677a48b81a238cd0d6aa
Author: James Cloos <cloos@lugabout.jhcloos.org>
Date:	Mon Sep 4 01:21:55 2006 -0400

    Move files from conf.d to conf.avail

    All of the files in conf.d are now in conf.avail
    Makefile.am is updated to reflect the change

 Makefile.am			  |    2 +-
 conf.avail/10-fonts-persian.conf |  539
 ++++++++++++++++++++++++++++++++++++++
 conf.avail/10LohitGujarati.conf  |    5 +
 conf.avail/60-delicious.conf	  |   20 ++
 conf.avail/Makefile.am		  |   40 +++
 conf.avail/README		  |    8 +
 conf.avail/autohint.conf	  |    9 +
 conf.avail/no-bitmaps.conf	  |   13 +
 conf.avail/no-sub-pixel.conf	  |    9 +
 conf.avail/sub-pixel.conf	  |    9 +
 conf.avail/unhinted.conf	  |    9 +
 conf.avail/yes-bitmaps.conf	  |   13 +
 conf.d/10-fonts-persian.conf	  |  539
 --------------------------------------
 conf.d/10LohitGujarati.conf	  |    5 -
 conf.d/60-delicious.conf	  |   20 --
 conf.d/Makefile.am		  |   40 ---
 conf.d/README			  |    8 -
 conf.d/autohint.conf		  |    9 -
 conf.d/no-bitmaps.conf		  |   13 -
 conf.d/no-sub-pixel.conf	  |    9 -
 conf.d/sub-pixel.conf		  |    9 -
 conf.d/unhinted.conf		  |    9 -
 conf.d/yes-bitmaps.conf	  |   13 -
 23 files changed, 675 insertions(+), 675 deletions(-)

commit 34227592c23db4d462d36773532cef67731e2831
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 3 16:27:09 2006 -0700

    Remove all .cvsignore files

 .cvsignore		 |   35 -----------------------------------
 conf.d/.cvsignore	 |    2 --
 doc/.cvsignore		 |   16 ----------------
 fc-cache/.cvsignore	 |    6 ------
 fc-case/.cvsignore	 |    6 ------
 fc-cat/.cvsignore	 |    6 ------
 fc-glyphname/.cvsignore |    6 ------
 fc-lang/.cvsignore	 |    6 ------
 fc-list/.cvsignore	 |    6 ------
 fc-match/.cvsignore	 |    6 ------
 fontconfig/.cvsignore	 |    2 --
 src/.cvsignore		 |    7 -------
 test/.cvsignore	 |    2 --
 13 files changed, 0 insertions(+), 106 deletions(-)

commit 822ec78c54a24a0f1589154ac2d4906b02b111ef
Merge: e79c648... fb2092c...
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 3 16:07:11 2006 -0700

    Merge branch 'fc-2_4_branch' to master

    Moving development back to master.

commit fb2092c18fbf4af69e2cbafc265c4b0ad7e54346
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 3 15:20:46 2006 -0700

    Finish INSTALL changes. .gitignore ChangeLog

 .gitignore |	 1 +
 INSTALL    |	 2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 2ec3ed0806cfd2cd17cae4117a7047451a52cf95
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 3 14:58:49 2006 -0700

    Update instructions for doing a release. Autogen ChangeLog from
    git-log.

 INSTALL     |	 21 ++++++++++++++++-----
 Makefile.am |	 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+), 5 deletions(-)

commit d3c392b6693ce79fbab42e9a8cf543f6182c5917
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 3 14:46:17 2006 -0700

    Remove ChangeLog

 ChangeLog | 3496
 -------------------------------------------------------------
 1 files changed, 0 insertions(+), 3496 deletions(-)

commit 0945cbe73019404c880be0de7f703ef77aec8a08
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Sep 3 14:42:48 2006 -0700

    Change version to 2.3.96

 README			 |   67
 +++++++++++++++++++++++++++++++++++++++++++++-
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 67 insertions(+), 4 deletions(-)

commit 2a5ea80023657724e3e6ba629d828ab5e33bdb70
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 2 23:10:59 2006 -0700

    Oops; missed the 60-delicious.conf file.

    This file fixes Delicious Heavy fonts to have the correct weight
    value.

 conf.d/60-delicious.conf |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit e3b771a63e837b341bbd1e3e7e9c868244506f62
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 2 23:09:44 2006 -0700

    Using uninitialized (and wrong) variable in FcStrCopyFilename.

    A typo from the change in where filename canonicalization occurs.

 src/fcstr.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 04cedae0d5a720662bdc0de3d4cb97f6c77e7d1a
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 2 20:23:31 2006 -0700

    Don't segfault when string values can't be parsed as charsets or
    langsets.

    If parsing charsets or langsets fails, return a FcTypeVoid value
    instead of
    a charset/langset value with a NULL pointer in it (which is invalid).

 src/fcname.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit fb6e30ab3ef74021978d260fb7f2c40a0b5a0b06
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 2 20:07:29 2006 -0700

    Fix missing initialization/destruction of new 'scan' target subst
    list.

    Forgot to initialize and destroy the new substitution list for the
    'scan'
    match target.

 src/fccfg.c |	  2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c2c6976d1a88cc35143ffcc34f3c38d0a28d34f4
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 2 17:52:12 2006 -0700

    Add FcMatchScan to resolve Delicious font matching issues (bug #6769)

    The Delicious family includes one named Delicious Heavy, a bold
    variant
    which is unfortunately marked as having normal weight. Because
    the family
    name is 'Delicious', fontconfig accidentally selects this font
    instead of
    the normal weight variant. The fix here rewrites the scanned data
    by running
    the scanned pattern through a new substitution sequence tagged with
    <match target=scan>; a sample for the Delicious family is included to
    demonstrate how it works (and fix Delicious at the same time).

    Also added was a new match predicate -- the 'decorative' predicate
    which is
    automatically detected in fonts by searching style names for key
    decorative
    phrases like SmallCaps, Shadow, Embosed and Antiqua. Suggestions for
    additional decorative key words are welcome. This should have
    little effect
    on font matching except when two fonts share the same characteristics
    except
    for this value.

 conf.d/Makefile.am	  |    1 +
 doc/fontconfig-user.sgml |    6 ++++--
 fontconfig/fontconfig.h  |    3 ++-
 fonts.dtd		  |    6 +++++-
 src/fccfg.c		  |   35 +++++++++++++++++++++++++++--------
 src/fcdbg.c		  |    7 +++++++
 src/fcdefault.c	  |    1 +
 src/fcdir.c		  |   18 +++++++++++++++++-
 src/fcfreetype.c	  |   34 +++++++++++++++++++++++++++++++++-
 src/fcint.h		  |    2 ++
 src/fcmatch.c		  |   33 ++++++++++++++++++++-------------
 src/fcname.c		  |   34 ++++++++++++++++++++++++++++++----
 src/fcxml.c		  |    4 ++++
 13 files changed, 153 insertions(+), 31 deletions(-)

commit 3b8a03c09d3a45f578680b5fe80255af9761b3fa
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 2 14:54:14 2006 -0700

    Allow font caches to contain newer version numbers

    Use the version number inside the cache file to mark backward
    compatible
    changes while continuing to reserve the filename number for
    incompatible
    changes.

 src/fccache.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9b511b290548ad2920cda94507a3311efc461e8a
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sat Sep 2 14:52:37 2006 -0700

    Unify directory canonicalization into FcStrAddFilename.

    Instead of making filename canonicalization occur in multiple
    places, it
    occurs only in FcStrAddFilename now, as all filenames pass through
    that
    function at one point.

 fc-cache/fc-cache.c |	  2 +-
 fc-cat/fc-cat.c     |	  2 +-
 src/fcdir.c	     |	 17 ++++-------------
 src/fcstr.c	     |	 24 +++++++++++-------------
 4 files changed, 17 insertions(+), 28 deletions(-)

commit 813258dc8e3a8c964af49abe810e76a95241926d
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 22:08:41 2006 -0700

    Move Free family names to bottom of respective aliases. (bug 7429)

    The FreeSans, FreeSerif and FreeMono fonts cover a large number of
    languages, but are of generally poor quality. Moving these after
    fonts which
    cover specific languages but which have higher quality glyphs
    should improve
    font selection.

 fonts.conf.in |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 5cafbd4da08aa8110a94deba59dc631c39ef7285
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 22:04:52 2006 -0700

    Document FC_DEBUG values (bug 6393). Document name \ escape syntax.

    Limited FC_DEBUG documentation (just shows values and vague idea
    of what
    they're related to). Also document \ escape syntax for font names,
    including
    how family name and values have different escape requirements.

 doc/fontconfig-user.sgml |   40 ++++++++++++++++++++++++++++++++++++++--
 1 files changed, 38 insertions(+), 2 deletions(-)

commit 7295c6f5faa595422e0825aa2e91883147d5b50e
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 21:30:54 2006 -0700

    Guess that mac roman names with lots of high bits are actually SJIS.

    Many Japanese fonts incorrectly include names tagged as Roman
    encoding and
    English language which are actually Japanese names in the SJIS
    encoding.
    Guess that names with a large number of high bits set are SJIS encoded
    Japanese names rather than English names.

 src/fcfreetype.c |   81
 ++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 64 insertions(+), 17 deletions(-)

commit db970d3596fbbc75f652f1a9fe7f7ce98e651ad2
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 21:12:44 2006 -0700

    Prefer Bitstream Vera to DejaVu families.

    DejaVu is a modified version of Bitstream Vera that covers
    significantly
    more languages, but does so with spotty quality, lacking hinting
    for many
    glyphs, especially for the synthesized serif oblique face. Use
    Bitstream
    Vera (where installed).

 fonts.conf.in |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 3bb1812f0d173b153415e2191ecdd27a95fc4b05
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 15:33:27 2006 -0700

    Fonts matching lang not territory should satisfy sort pattern lang.

    A pattern specifying 'Chinese' (:lang=zh) without a territory
    should be
    satisfied by any font supporting any Chinese lang. The code was
    requiring
    that the lang tags match exactly, causing this sort to fail.

 src/fcmatch.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cfccd4873a44da5b041368d5fca4f05180dcf041
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 13:22:45 2006 -0700

    Really only rebuild caches for system fonts at make install time.

    Oops. Fix actual fc-cache command line instead of just the displayed
    version.

 Makefile.am |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit caf996342b53bf2ca4eedbe54bc86b68456d7470
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 12:59:09 2006 -0700

    Add Assamese orthography (as.orth). Bug #8050

    Behdad Esfahbod says Assamese is the same as Bengali, so this
    just uses
    bn.orth.

 fc-lang/as.orth  |   28 ++++++++++++++++++++++++++++
 fc-lang/iso639-1 |    2 +-
 2 files changed, 29 insertions(+), 1 deletions(-)

commit c9e6d2c8cc920937546faa63c889570fa7b4745c
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 12:45:43 2006 -0700

    Chinese/Macau needs the Hong Kong orthography instead of Taiwan
    (bug 7884)

    From Abel Cheung:
    Currently zh_mo.orth includes zh_tw.orth, which means it is assumed
    Macau
    only uses traditional Chinese characters used in Taiwan; however
    that is
    wrong, as a majority of Macau people speaks Cantonese too, and
    also uses
    additional traditional Chinese chars from Hong Kong (there are
    already some
    place names that can't be represented in just chars used in
    Taiwan). So it
    should include zh_hk.orth instead.

 fc-lang/zh_mo.orth |	 9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 5b8e43a48ea1a5fb4e54dd12fe965439df2bf95d
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 12:36:31 2006 -0700

    Avoid #warning directives on non-GCC compilers. (bug 7683)

    Detect GCC and use #warning only on GCC systems.

 configure.in	  |    4 +++-
 src/fcfreetype.c |    2 ++
 2 files changed, 5 insertions(+), 1 deletions(-)

commit ab2cb932b25af20896c08f4641dfa696ed651418
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 12:26:15 2006 -0700

    Add @EXPAT_LIBS@ to Libs.private in fontconfig.pc (bug 7683)

    Linking against fontconfig requires expat on systems without chained
    shared
    library dependencies.

 fontconfig.pc.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1741499e2387f0c1e692801a1ef3c6ce5d043f9f
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 12:07:10 2006 -0700

    Fix memory leaks in fc-cache directory cleaning code.

    valgrind found a few leaks in the new cache cleaning code.

 fc-cache/fc-cache.c |	  9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit fd7223c770e74730480bdf9ecf36f3152a12473e
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 12:05:04 2006 -0700

    Only rebuild caches for system fonts at make install time.

    Rebuilding user-specific fonts will stick those cache files in
    the system
    font cache directory.

 Makefile.am |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8587d77ce64147b7fb324458ba100910ebba93f4
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 02:27:45 2006 -0700

    Add some ignores

 .gitignore |	 2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 09bd9ae2be032efb05a8be7bae584fa18756d951
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 02:22:59 2006 -0700

    Fontset pattern references are relative to fontset, not array.

    Within a fontset, the patterns are stored as pointers in an array.
    When stored as offsets, the offsets are relative to the fontset object
    itself, not the base of the array of pointers.

 src/fcint.h |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 18b6857c6476517db7932025847ae952feba758d
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 01:49:47 2006 -0700

    Fix fc-lang to use new charset freezer API.

    Charset freezer api now uses allocated object. Also required minor
    fixes to
    charset freezer code to remove assumption that all input charsets are
    persistant.

 fc-lang/fc-lang.c |   30 ++++++++++++++++++------------
 src/fccharset.c   |   11 +++++------
 src/fcint.h	   |	6 ++++++
 3 files changed, 29 insertions(+), 18 deletions(-)

commit bc5e487f2a1ad9946aa5c6e19cd75794fc38d530
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 01:15:14 2006 -0700

    Pass directory information around in FcCache structure. Freeze
    charsets.

    Instead of passing directory information around in separate variables,
    collect it all in an FcCache structure. Numerous internal and tool
    interfaces changed as a result of this.

    Charsets are now pre-frozen before being serialized. This causes
    them to
    share across multiple fonts in the same cache.

 fc-cache/fc-cache.c	     |	109 ++++-----
 fc-cat/fc-cat.c	     |	 83 ++-----
 fc-glyphname/fc-glyphname.c |	 13 -
 src/fccache.c		     |	300 ++++++++++--------------
 src/fccfg.c		     |	169 ++++++++------
 src/fccharset.c	     |	550
 ++++++++++++++++++++++---------------------
 src/fcdir.c		     |	177 +++++++-------
 src/fcinit.c		     |	  1 -
 src/fcint.h		     |	 60 +++--
 src/fcpat.c		     |	  8 +
 src/fcserialize.c	     |	  3 +
 11 files changed, 702 insertions(+), 771 deletions(-)

commit aec8c90b450c115718fd87bc270e35ee6b605967
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Fri Sep 1 01:12:13 2006 -0700

    Remove stale architecture signatures.

    All but x86 are known to be wrong.

 fc-arch/fcarch.tmpl.h |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 551b6b2cd7d94dd90a9eb22bdb752f264afc48ce
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Aug 31 18:16:00 2006 -0700

    Allow FcTypeLangSet to match either FcTypeLangSet or FcTypeString.

    Applications explicitly setting FC_LANG with string would fail due
    to typechecking disallowing this case.

 src/fcname.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit bf0c80fc4996157dda7bed8b8b2e4c8a13611ada
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Aug 31 18:14:45 2006 -0700

    Change $(pkgcachedir) to $(fc_cachedir) in fc-cat and fc-cache
    Makefile.am

    make distcheck caught this bug; the effect of 'make uninstall'
    would have been to execute 'rm -rf /', somewhat less that desirable.

 fc-cache/Makefile.am |    6 ++----
 fc-cat/Makefile.am   |    2 --
 2 files changed, 2 insertions(+), 6 deletions(-)

commit f57783d2e9c7362b1e5d5e3a967ba90fa49ade6e
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Aug 31 14:38:18 2006 -0700

    Revert ABI changes from version 2.3

    Accidental ABI changes and additions were discovered by looking at the
    differences in fontconfig.h. All of those have been reverted.

 fc-cache/fc-cache.c	 |    4 ++--
 fc-list/fc-list.c	 |    2 +-
 fontconfig/fontconfig.h |   23 +++++------------------
 src/fccache.c		 |   16 ++++++++++++++--
 src/fcint.h		 |    6 ++++++
 5 files changed, 28 insertions(+), 23 deletions(-)

commit 0a87ce715e1862c56702f5be43af9f246aa34e68
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Aug 31 11:56:43 2006 -0700

    With no args, fc-cat now dumps all directories.

    Automatically list all font directories when no arguments are given to
    fc-cat. Also add -r option to recurse from specified cache
    directories.
    fc-cat also now prints the cache filename in verbose mode, along
    with the
    related directory name.

 fc-cat/fc-cat.c |  119
 +++++++++++++++++++++++++++++++++++++++++++------------
 src/fccache.c	 |   16 +++++---
 src/fcint.h	 |    2 +-
 3 files changed, 104 insertions(+), 33 deletions(-)

commit d8ab9e6c42cb3513a6623df0c2866e1ebbd96485
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Aug 31 09:42:49 2006 -0700

    Automatically remove invalid cache files.

    Cache files for missing or more recently modified directories are
    automatically removed at the end of every fc-cache run.

 fc-cache/Makefile.am |    2 +-
 fc-cache/fc-cache.c  |  130
 +++++++++++++++++++++++++++++++++++++++++++++++++-
 fc-cat/fc-cat.c      |    3 +-
 src/fccache.c	      |    6 +-
 src/fcint.h	      |    2 +-
 5 files changed, 135 insertions(+), 8 deletions(-)

commit e9a564e2cd3cb40109a1133dbbcee9f938f141b3
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Thu Aug 31 09:07:32 2006 -0700

    Serialized value lists were only including one value.

    The next pointer in the serialized value list wasn't getting set,
    so they
    were truncated at a single value.

 src/fcpat.c |	  1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c50ea916b0e56520948804b67fc7df57bb490575
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Aug 30 23:09:39 2006 -0700

    Use intptr_t instead of off_t inside FcCache structure.

    This avoids OS-dependencies in the cache file structure.

 src/fcint.h	   |	2 +-
 src/fcserialize.c |	1 -
 2 files changed, 1 insertions(+), 2 deletions(-)

commit 76abb77f26c43d069919f80e960c71c2242fb5c2
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Aug 30 22:23:25 2006 -0700

    Fix fc-cat again. Sigh.

    Internal interfaces in cache management changed again...

 fc-cat/fc-cat.c |   37 +++++++++++++++++++++++++------------
 src/fccache.c	 |   19 ++++++++++---------
 src/fcint.h	 |    9 ++++++---
 3 files changed, 41 insertions(+), 24 deletions(-)

commit 2d3387fd720f33f80847ae6cbb83d94c9a52fde3
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Aug 30 21:59:53 2006 -0700

    Skip broken caches. Cache files are auto-written, don't rewrite
    in fc-cache.

    Validate cache contents and skip broken caches, looking down cache
    path for
    valid ones.

    Every time a directory is scanned, it will be written to a cache
    file if
    possible, so fc-cache doesn't need to re-write the cache file. This
    makes
    detecting when the cache was generated a bit tricky, so we guess
    that if the
    cache wasn't valid before running and is valid afterwards, the
    cache file
    was written.

    Also, allow empty charsets to be serialized with null leaves/numbers.

    Eliminate a leak in FcEdit by switching to FcObject sooner.

    Call FcFini from fc-match to make valgrind happy.

 fc-cache/fc-cache.c |	 25 ++++-----
 fc-match/fc-match.c |	  1 +
 src/fccache.c	     |	148
 +++++++++++++++++++++++++++------------------------
 src/fccfg.c	     |	 80 ++++++++--------------------
 src/fccharset.c     |	 56 +++++++++++--------
 src/fcdir.c	     |	  2 +-
 src/fcint.h	     |	 19 +++++--
 src/fcxml.c	     |	 19 +++----
 8 files changed, 169 insertions(+), 181 deletions(-)

commit 09f9f6f62ac94f7b1a6df649a00c64f78ab132f5
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Aug 30 18:50:58 2006 -0700

    Rework Object name database to unify typechecking and object lookup.

    Eliminate ancient list of object name databases and load names
    into single
    hash table that includes type information. Typecheck all pattern
    values to
    avoid mis-typed pattern elements.

 fc-case/fc-case.c |   13 --
 src/fcint.h	   |	7 +-
 src/fcmatch.c	   |	9 +-
 src/fcname.c	   |  389
 ++++++++++++++++++++++++++++++-----------------------
 src/fcpat.c	   |	2 +-
 5 files changed, 233 insertions(+), 187 deletions(-)

commit c02886485b293179e8492cad9a34eb431dd4bfc9
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Aug 30 13:51:03 2006 -0700

    FcCharSetSerialize was using wrong offset for leaves. Make fc-cat
    work.

    FcCharSetSerialize was computing the offset to the unserialized leaf,
    which left it pointing at random data when the cache was reloaded.

    fc-cat has been updated to work with the new cache structure.

    Various debug messages extended to help diagnose serialization errors.

 fc-cat/fc-cat.c |  134
 +++++++++++++++++++++++++++++--------------------------
 src/fccache.c	 |    6 +--
 src/fccharset.c |    3 +-
 src/fcdbg.c	 |   20 +++++++-
 src/fcint.h	 |   15 +++++--
 src/fcpat.c	 |    7 +++
 6 files changed, 110 insertions(+), 75 deletions(-)

commit e3096d90fd3e0ba8b62d2c6df4cfb24f08a0766c
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Aug 30 04:24:03 2006 -0700

    Fix build problems caused by cache rework.

    Pagesize no longer matters in architecture decisions, the entire
    cache file
    is mmaped into the library. However, lots of intptr_t values are in
    use now,
    so that value is important.

    fc-lang now requires fcserialize.c, which has been added to the
    repository.

 fc-arch/fc-arch.c     |   14 +----
 fc-arch/fcarch.tmpl.h |    4 +-
 fc-lang/fc-lang.c     |    1 +
 src/fcserialize.c     |  159
 +++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 165 insertions(+), 13 deletions(-)

commit 7ce196733129b0e664c1bdc20f973f15167292f7
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Wed Aug 30 04:16:22 2006 -0700

    Rework cache files to use offsets for all data structures.

    Replace all of the bank/id pairs with simple offsets, recode several
    data structures to always use offsets inside the library to avoid
    conditional paths. Exposed data structures use pointers to hold
    offsets,
    setting the low bit to distinguish between offset and pointer.

    Use offset-based data structures for lang charset encodings;
    eliminates
    separate data structure format for that file.

    Much testing will be needed; offsets are likely not detected
    everywhere in
    the library yet.

 fc-arch/fcarch.tmpl.h	 |    3 +-
 fc-lang/fc-lang.c	 |  185 ++++-----
 fontconfig/fontconfig.h |    3 -
 src/Makefile.am	 |    1 +
 src/fccache.c		 |  581 +++++++++++----------------
 src/fccfg.c		 |  102 +++---
 src/fccharset.c	 |  493 ++++++++---------------
 src/fcdbg.c		 |   43 ++-
 src/fcdefault.c	 |   64 ++--
 src/fcfs.c		 |  133 ++-----
 src/fcint.h		 |  477 +++++++++++++---------
 src/fclang.c		 |  120 ++-----
 src/fclist.c		 |   86 ++---
 src/fcmatch.c		 |  179 +++------
 src/fcname.c		 |  142 ++------
 src/fcpat.c		 | 1025
 ++++++++++++++---------------------------------
 src/fcstr.c		 |    1 +
 src/fcxml.c		 |   15 +-
 18 files changed, 1394 insertions(+), 2259 deletions(-)

commit 2a9179d8895c1cc90d02917f7bb6fac30ffb6a62
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Aug 28 11:51:12 2006 -0700

    Revert to original FcFontSetMatch algorithm to avoid losing fonts.

    The fancy new FcFontSetMatch algorithm would discard fonts for the
    wrong reasons; fc-match sans:lang=en,ja would discard all fonts
    without
    Japanese support. This commit reverts to the original algorithm which
    ensure that FcFontSetMatch always matches the first font in the
    FcFontSetSort return list.

 src/fcmatch.c |  229
 ++++++++-------------------------------------------------
 1 files changed, 32 insertions(+), 197 deletions(-)

commit ad05e3135b43f82c64d74f17dfec0b44fe7efcf0
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Aug 28 10:38:27 2006 -0700

    Add ppc architecture

 fc-arch/fcarch.tmpl.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7a03bbdceb4ea5b673caf89bfcafa84211a456f0
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Aug 28 10:30:22 2006 -0700

    During test run, remove cache directory to avoid stale cache usage.

    As file timestamps have only one second granularity, an old cache
    file could easily be used when a test took less than 1 second to run.
    Just remove the cache directory and its contents before each test
    is run.
    Also, remove mention of the old cache file from the test config file.

 test/fonts.conf.in |	 1 -
 test/run-test.sh   |	 4 +---
 2 files changed, 1 insertions(+), 4 deletions(-)

commit 1e4080ea49160c5af24400b8daf701412a0cc7cb
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Aug 28 10:07:43 2006 -0700

    Add x86-64 architecture and signature.

 fc-arch/fcarch.tmpl.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7db39f729859827b246da242a26ddba13cb8c4b1
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Mon Aug 28 09:43:12 2006 -0700

    Regenerate x86 line in fcarch.tmpl.h to match change in cache data.

    Also remove spurious printf of directory names.

 fc-arch/Makefile.am   |    2 +-
 fc-arch/fcarch.tmpl.h |    2 +-
 src/fcdir.c	       |    1 -
 3 files changed, 2 insertions(+), 3 deletions(-)

commit 0d9e31c810a36cddadff7572fdbb5a1b505e495e
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 23:40:51 2006 -0700

    Eliminate ./ and ../ elements from font directory names when scanning.

    FcStrCanonFilename eliminates ./ and ../ elements from pathnames
    through
    simple string editing. Also, relative path names are fixed by
    prepending the
    current working directory.

 src/fcdir.c |	 45 ++++++++++++++++++++++++++++++---------------
 src/fcint.h |	  3 +++
 src/fcstr.c |	 57
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 90 insertions(+), 15 deletions(-)

commit af180c40376690b7ced5262156fbe13c9ebba1e2
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 22:24:39 2006 -0700

    Fix up fc-cache and fc-cat for no global cache changes.

    fc-cache and fc-cat use internal (fcint.h) APIs that have
    changed with the elimination of the global cache.

 fc-cache/fc-cache.c |	  2 +-
 fc-cat/fc-cat.c     |	119
 ++++++---------------------------------------------
 src/fccache.c	     |	 77 +++++++++++++++++++++++----------
 src/fcdir.c	     |	 13 ++---
 src/fcint.h	     |	  4 ++
 5 files changed, 76 insertions(+), 139 deletions(-)

commit 00f059e930f12ca7c66cf2ffbc6c4ae789912af7
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 21:53:48 2006 -0700

    Eliminate global cache. Eliminate multi-arch cache code.

    With the removal of the in-directory cache files, and the addition of
    per-user cache directories, there is no longer any reason to
    preserve the
    giant global cache file. Eliminating of this unifies the cache
    structure
    and simplifies the overall caching strategies greatly.

 fc-cache/fc-cache.c |	  3 +-
 src/fccache.c	     | 1051
 ++++++---------------------------------------------
 src/fccfg.c	     |	 23 +-
 src/fcdir.c	     |	164 +++++----
 src/fcint.h	     |	 70 +----
 5 files changed, 203 insertions(+), 1108 deletions(-)

commit cf65c0557e9fa1b86003d1ec8643f44f4344ebd2
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 18:29:51 2006 -0700

    Add architecture to cache filename.

    Make cache filenames unique by inserting the architecture name
    into the
    filename.

 src/fccache.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit db50cbdaf592349c204ab0af0e7061ea72237044
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 18:19:39 2006 -0700

    Eliminate NormalizeDir. Eliminate gratuitous stat/access calls
    per dir.

    Normalized directory names offer protection against looped directory
    trees
    but cost enormous numbers of system calls (stat per file in the
    hierarchy).
    Also, cache file directory name contents are validated each time the
    directory is modified, don't re-validate every time the cache file
    is loaded
    with an access and stat call.

 fc-cache/fc-cache.c |	  7 +---
 src/fccache.c	     |	 55 +---------------------------
 src/fccfg.c	     |	100
 ---------------------------------------------------
 src/fcdir.c	     |	  6 ---
 4 files changed, 4 insertions(+), 164 deletions(-)

commit d2f786849c0c4503360a5c09469505b05164c6d2
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 17:04:01 2006 -0700

    Write caches to first directory with permission. Valid cache in
    FcDirCacheOpen.

    Previous policy was to attempt to update the cache in place and bail
    if that
    didn't work. Now, search for the first writable directory and
    place the
    cache file there instead. Furthermore, on startup, search directory
    list for
    valid cache files instead of bailing if the first found cache
    file wasn't
    valid.

 fonts.conf.in |    2 +-
 src/fccache.c |   90
 ++++++++++++++++++++++++++------------------------------
 2 files changed, 43 insertions(+), 49 deletions(-)

commit 2b629781d74b5a7db1fff873ce5322e59a0f863a
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 16:25:07 2006 -0700

    Construct short architecture name from architecture signature.

    Map existing architecture signature to short architecture name
    at build time. This architecture name is (as yet) unused, but will
    be used
    to build per-architecture cache files with names made unique by
    including
    the architecture name. The auto-detected architecture name can
    be overridden
    with the --with-arch=ARCH configure option.

 Makefile.am	       |    2 +-
 configure.in	       |   17 ++++++
 fc-arch/Makefile.am   |   50 +++++++++++++++++
 fc-arch/fc-arch.c     |  144
 +++++++++++++++++++++++++++++++++++++++++++++++++
 fc-arch/fcarch.tmpl.h |   32 +++++++++++
 5 files changed, 244 insertions(+), 1 deletions(-)

commit 199a92241151c391d9becca4fae1cc7e5e32ca80
Author: Keith Packard <keithp@neko.keithp.com>
Date:	Sun Aug 27 16:21:16 2006 -0700

    Add .gitignore

 .gitignore |	73
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 73 insertions(+), 0 deletions(-)

commit 7410e40bd93beb4ab1a577d084112413431cede2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Aug 4 16:13:00 2006 +0000

    2006-08-04 Keith Packard (keithp@keithp.com) reviewed by: plam
    Make cache directories configurable. Simplify and correct some
    code which
	deals with per-directory caches.

 ChangeLog		 |   24 ++++
 configure.in		 |   22 +++-
 fc-cache/fc-cache.c	 |    7 +-
 fontconfig/fontconfig.h |    4 +-
 fonts.conf.in		 |    5 +
 fonts.dtd		 |   12 ++
 src/Makefile.am	 |    3 +-
 src/fccache.c		 |  323
 ++++++++++++++++++++++++-----------------------
 src/fccfg.c		 |   28 ++++-
 src/fcdir.c		 |    6 +-
 src/fcinit.c		 |    2 +
 src/fcint.h		 |   13 ++-
 src/fcxml.c		 |   17 +++
 test/fonts.conf.in	 |    1 +
 test/run-test.sh	 |    6 +-
 15 files changed, 294 insertions(+), 179 deletions(-)

commit 62a4a8459adaf26833e1dad0ee96ea5a4b8c3d54
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Jul 19 02:14:28 2006 +0000

    2006-07-19 Jon Burgess (jburgess@uklinux.net) reviewed by: plam
    Fix file-descriptor leak in FcGlobalCacheDestroy.

 ChangeLog     |    7 +++++++
 src/fccache.c |    2 ++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 1c14f2d96390ebafb390a953aa9b847e4a7303d7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Jun 2 18:48:30 2006 +0000

    2006-05-31 Yong Li (rigel863@gmail.com) reviewed by: plam, Bedhad
    Esfahbod
    TrueType Collection table offsets are absolute, not relative.

 ChangeLog    |    7 +++++++
 src/ftglue.c |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 31b7e6d7f58616ebdc6281c3230282a2d7b57d6d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 28 07:00:25 2006 +0000

    2006-04-27 Paolo Borelli (pborelli@katamail.com) reviewed by: plam
    Make FcStrCopy slightly more efficient.

 ChangeLog   |	  7 +++++++
 src/fcstr.c |	 12 +++++++-----
 2 files changed, 14 insertions(+), 5 deletions(-)

commit 0037aad501e18e53acd2590483b99aaa2a1fba8c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Apr 27 08:13:45 2006 +0000

    Keith Packard <keithp@keithp.com>
    Reduce transient memory usage during config file parsing by allocating
	smaller buffers (64 seems to be a magic number).

 ChangeLog   |	 20 +++++++-------------
 src/fcstr.c |	  2 +-
 2 files changed, 8 insertions(+), 14 deletions(-)

commit 529291bef436384a06db246fda30e08d5812de14
Author: Keith Packard <keithp@keithp.com>
Date:	Thu Apr 27 07:54:07 2006 +0000

    Eliminate pattern freezing

 ChangeLog    |    8 ++
 src/fcinit.c |    4 -
 src/fcint.h  |    3 -
 src/fcpat.c  |  370
 ----------------------------------------------------------
 src/fcxml.c  |    3 +-
 5 files changed, 9 insertions(+), 379 deletions(-)

commit c1c3ba06d5f5e00a1bfef4ef0dbf10f28fa86ce2
Author: Keith Packard <keithp@keithp.com>
Date:	Thu Apr 27 07:11:44 2006 +0000

    Make path names in cache files absolute (NB, cache format change) Stop
	permitting cache files to be stored in font dirs. Bump cache
	magic.
	Don't include /fonts.cache-2 in cache hash construction.
    reviewed by: Patrick Lam <plam@mit.edu>

 ChangeLog	  |   30 ++++++++++++
 src/fccache.c	  |  104 ++++++++++---------------------------------
 src/fcfreetype.c |   10 +----
 src/fcint.h	  |    8 +---
 src/fclist.c	  |    4 --
 src/fcmatch.c	  |    3 -
 src/fcpat.c	  |  130
 ------------------------------------------------------
 7 files changed, 57 insertions(+), 232 deletions(-)

commit 3b013a034acac70f3ceee05505bf5bb4dd45963b
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Apr 26 14:50:41 2006 +0000

    Really update for 2.3.95.

 README |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 73775d8f28bd8f5c40b524fe1ede63d3dfaff171
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Apr 25 15:33:07 2006 +0000

    Fix the issues with GNU libiconv vs. libc iconv (which especially
    appear on
	Solarii). Approach suggested by Tim Mooney.
    reviewed by: plam

 ChangeLog	  |   12 +++++++++++-
 configure.in	  |   37 +++++++++++++++++++++++++++++++++++--
 src/Makefile.am  |    2 +-
 src/fcfreetype.c |    3 +--
 4 files changed, 48 insertions(+), 6 deletions(-)

commit 49512317264da1996bddf0b3c82d8d2de0c201eb
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Apr 25 06:12:06 2006 +0000

    Include $(top_srcdir), $(top_srcdir)/src before anything else.
    Shuffle order of includes for building out of srcdir on win32.
    reviewed by: plam

 ChangeLog |   17 ++++++++++++++++-
 1 files changed, 16 insertions(+), 1 deletions(-)

commit f045376c0831f068e8fd8fd61773a5ed83dede7f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Apr 25 05:57:41 2006 +0000

    Include $(top_srcdir), $(top_srcdir)/src before anything else.
    Shuffle order of includes for building out of srcdir on win32.
    reviewed by: plam

 fc-cache/fc-cache.c |	 15 ++++++++-------
 fc-cat/fc-cat.c     |	 17 +++++++++--------
 fc-match/fc-match.c |	 11 ++++++-----
 src/Makefile.am     |	  6 +++---
 src/fccache.c	     |	  2 +-
 src/fccfg.c	     |	  2 +-
 src/fccharset.c     |	  2 +-
 src/fcdbg.c	     |	  2 +-
 src/fcfreetype.c    |	  2 +-
 src/fcfs.c	     |	  2 +-
 src/fcinit.c	     |	  2 +-
 src/fclist.c	     |	  2 +-
 src/fcmatch.c	     |	  2 +-
 src/fcmatrix.c      |	  2 +-
 src/fcname.c	     |	  2 +-
 src/fcpat.c	     |	  2 +-
 src/fcstr.c	     |	  2 +-
 src/fcxml.c	     |	  2 +-
 18 files changed, 40 insertions(+), 37 deletions(-)

commit 55e145b0250e5c233d9fed1f8f5efe690374cdf2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Apr 20 16:57:50 2006 +0000

    Prevent terrible perf regression by getting the if-condition right
	(reported by Wouter Bolsterlee).

 ChangeLog     |    8 +++++++-
 src/fcmatch.c |    2 +-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 93f67dfc73601ea2f73c1fa2d9f4f13a84cf1232
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Apr 19 16:53:50 2006 +0000

    Dominic Lachowicz <cinamod@hotmail.com>
    Implement mmap-like code for Windows using MapViewOfFile.

 ChangeLog     |    7 +++++++
 src/fccache.c |   23 ++++++++++++++++++++---
 2 files changed, 27 insertions(+), 3 deletions(-)

commit 56f8358364ad9078d99a35a12d7734884b8fccc2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Apr 19 16:17:46 2006 +0000

    Bump version to 2.3.95.

 ChangeLog |	8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit c001a192af784a3e7aa680cc925a4f6fc8f5b502
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Apr 19 16:17:19 2006 +0000

    Bail gracefully if the cache file does not contain enough data.

 ChangeLog		 |    5 +++++
 README			 |   23 +++++++++++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 src/fccache.c		 |   19 ++++++++++++++++++-
 5 files changed, 46 insertions(+), 5 deletions(-)

commit a77572948ed9ce3e7fdffcfadd8772a5f962e4ed
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Apr 15 00:25:20 2006 +0000

    Give the 'Standard Symbols L' match a strong (vs. weak) binding.

 ChangeLog     |    5 +++++
 fonts.conf.in |   13 ++++++++-----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 8cfa0bbc822169c5c2dae8a0e089c225c5944558
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 14 18:35:16 2006 +0000

    Fix Gecko-exposed segfault from my last hack to FcObjectToPtrLookup.
	Simplify code and get things straight.

 ChangeLog    |    6 ++++++
 src/fcname.c |   20 +++++---------------
 2 files changed, 11 insertions(+), 15 deletions(-)

commit b43dbbdc92fc81d6f8e54b30c2d5062c1a20a105
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 14 15:40:58 2006 +0000

    Actually, just add URW fonts as aliases for all of the PostScript
    fonts.
	(reported by Miguel Rodriguez).

 ChangeLog     |    6 ++++++
 fonts.conf.in |   36 ++++++++++++++++++++++++++++++------
 2 files changed, 36 insertions(+), 6 deletions(-)

commit ca2556f2632f80ae4ed7e5c9e5f5bf8f3e738992
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 14 14:51:22 2006 +0000

    Add an alias 'Standard Symbols L' for 'Symbol'.

 ChangeLog     |    5 +++++
 fonts.conf.in |    6 +++++-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 2f02e38361b24032945e24f7f8480999bf9df1e2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Apr 12 14:36:36 2006 +0000

    Fix memory leak (Coverity defect #2089).
    Ignore script if subtable is missing (Coverity defect #2088).
    Fix possible null pointer dereference (Coverity defect #784)
    and memory
	leak (Coverity defects #785, #786).
    Don't copy FcCharSet if we're going to throw it away anyway. (Reported
    by
	Kenichi Handa).
    reviewed by: plam

 ChangeLog	  |   21 +++++++++++++++++++++
 src/fccfg.c	  |    4 +++-
 src/fcfreetype.c |    5 +----
 src/fcmatch.c	  |   33 ++++++++++++++++++++-------------
 src/fcpat.c	  |    7 ++++++-
 5 files changed, 51 insertions(+), 19 deletions(-)

commit a56e89ab4f21aa6288345c63d2c43e55561632e0
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Apr 12 03:02:57 2006 +0000

    Fix bad behaviour on realloc resulting in crash.
    reviewed by: plam

 ChangeLog    |    7 +++++++
 src/fcname.c |   17 ++++++++++-------
 2 files changed, 17 insertions(+), 7 deletions(-)

commit 5c90509c073b3879fd9e3a2dc9dddeb724757ccf
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Apr 12 02:38:28 2006 +0000

    Don't crash if config is null (Coverity defect #984).

 ChangeLog     |   13 +++++++++----
 src/fccache.c |    5 +++--
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 2de24638b23f65b5586cebe3e9d9f4577a40673e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Apr 11 16:54:24 2006 +0000

    Missing bits from previous patches.
    Remove extra semi-colon.
    Fix memory leak in error case (Coverity defects #776, #985).
    Fix memory leaks (Coverity defects #779, #781) and memory use
    after free
	(Coverity defect #780).
    reviewed by: plam

 ChangeLog	 |   18 ++++++++++++++++++
 src/fccfg.c	 |   13 +++++++++----
 src/fccharset.c |    5 ++++-
 src/fclang.c	 |    1 +
 src/fcxml.c	 |    4 +++-
 5 files changed, 35 insertions(+), 6 deletions(-)

commit 04f7d3e7fd5069965bc74e678fc51b0412d15aa9
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Apr 11 14:20:59 2006 +0000

    Properly convert static charsets to dynamic charsets.
    Fix memory leak in error case (Coverity defects #1820, #1821, #1822).
    Fix memory leak (Coverity defect #1819).
    prevent crash when invalid include line is parsed (Coverity defect
    #763).
    Fix potential null pointer access (Coverity defect #1804).
    Remove dead code (Coverity defect #1194).
    Prevent potential null pointer access (Coverity defect #767),
    ensure error
	value is read (Coverity defect #1195).
    reviewed by: plam

 ChangeLog	   |   29 +++++++++++++++++++++++++++++
 fc-cat/fc-cat.c   |	4 +++-
 fc-lang/fc-lang.c |	3 +++
 src/fccharset.c   |	5 +++++
 src/fcfreetype.c  |	6 ++++--
 src/fclang.c	   |	8 +++++++-
 src/fcname.c	   |	8 --------
 src/fcpat.c	   |   11 ++++++++++-
 8 files changed, 61 insertions(+), 13 deletions(-)

commit af2ad236f037c7a53e73b9454f620de1a52f0422
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Apr 11 05:08:26 2006 +0000

    Survive missing docbook2pdf.
    reviewed by: plam

 ChangeLog	 |   11 +++++++++--
 doc/Makefile.am |   10 ++++++----
 2 files changed, 15 insertions(+), 6 deletions(-)

commit 67ed0b729718233662255a181bdcdb136c04dc5b
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Apr 10 22:08:35 2006 +0000

    Include more stub definitions to make HP-UX's C compiler happy.

 ChangeLog		     |	  7 +++++++
 fc-case/fc-case.c	     |	  3 +++
 fc-glyphname/fc-glyphname.c |	  3 +++
 fc-lang/fc-lang.c	     |	  3 +++
 4 files changed, 16 insertions(+), 0 deletions(-)

commit ac0010940e626cb9193bb4ad0271f3820c7225ee
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Apr 10 21:04:54 2006 +0000

    Swap typo in order of ALIGN and dereferencing, fixing bug 6529.

 ChangeLog    |    5 +++++
 src/fcname.c |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 3ea92166a0e45b0c7d7e9ecc0546317640c50336
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Apr 10 19:33:03 2006 +0000

    Fix string memory leak (Coverity defect #1823).
    Fix memory leak with hash collision (Coverity defect #1824).
    reviewed by: plam

 ChangeLog     |    9 +++++++++
 src/fccache.c |    1 +
 src/fccfg.c   |    5 ++++-
 3 files changed, 14 insertions(+), 1 deletions(-)

commit c814c301ee4dcc67eeacee9608fb716e67534356
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Apr 10 16:12:55 2006 +0000

    Don't leak header in non-error case (Coverity defect #1825).
    reviewed by: plam

 ChangeLog     |    6 ++++++
 src/fccache.c |    2 ++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 65448e8b2af9bec38f86ab45916a9bcc7726ae30
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Apr 10 16:06:42 2006 +0000

    src/fcdir.c (FcDirScanConfig) Don't leak in error cases (Coverity
    defects
	#777, #1826)
    reviewed by: plam

 ChangeLog   |	  6 ++++++
 src/fcdir.c |	 54 +++++++++++++++++++++++++++++++++++++-----------------
 2 files changed, 43 insertions(+), 17 deletions(-)

commit ae2aafe6028be658bd1de0fe2dd309799bf575f7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Apr 10 15:46:34 2006 +0000

    Fix double free (spotted by Coverity, CID #1965).
    Check if pattern is not null before using it (Coverity defect #1883).
    Fix memory leak with hash collision (Coverity defect #1829).
    Fix memory leak when bail cases (Coverity defect #1828).
    Don't leak directory name (Coverity defect #1827).
    reviewed by: plam

 ChangeLog	     |	 18 ++++++++++++++++++
 fc-match/fc-match.c |	  6 ++++--
 src/fccache.c	     |	 10 +++++++---
 src/fccfg.c	     |	  1 +
 4 files changed, 30 insertions(+), 5 deletions(-)

commit 86abd75965f598dba79a3df68e7bc4c5082a5764
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 7 18:07:51 2006 +0000

    LD_ADD missing dependencies for binaries. Reported by Edson Alves
    Pereira.
    reviewed by: plam

 ChangeLog	      |   10 ++++++++++
 fc-cache/Makefile.am |    2 +-
 fc-cat/Makefile.am   |    2 +-
 fc-list/Makefile.am  |    3 +--
 fc-match/Makefile.am |    2 +-
 5 files changed, 14 insertions(+), 5 deletions(-)

commit f23f5f388d93655af972083513ba4d505ec4f449
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 7 17:37:09 2006 +0000

    SGI compilation fixes (reported by Christoph Bauer):
    1) reorder union definition of _FcChar;
    2) omit .stats =.

 ChangeLog	   |	8 ++++++++
 fc-lang/fc-lang.c |	2 +-
 src/fcint.h	   |	8 ++++----
 3 files changed, 13 insertions(+), 5 deletions(-)

commit 44415a079a3e9951e0c2424edca4907a93a60db5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 7 17:27:39 2006 +0000

    Portability fixes for HP-UX (reported by Christoph Bauer). Replace
	'__inline__' by AC_C_INLINE and 'inline'. Replace '__alignof__' by
	'fc_alignof'.
    reviewed by: plam

 ChangeLog	 |   15 +++++++++++++++
 configure.in	 |    1 +
 src/fccharset.c |    4 ++--
 src/fcfs.c	 |    2 +-
 src/fcint.h	 |   15 +++++++++------
 src/fclang.c	 |    2 +-
 src/fcname.c	 |    2 +-
 src/fcpat.c	 |    6 +++---
 8 files changed, 33 insertions(+), 14 deletions(-)

commit 91fe51b4f8cf792041bc5cad34797b87abd63e67
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 7 17:06:55 2006 +0000

    Move up #include of config.h. Fail if neither inttypes.h nor
    stdint.h is
	available. Fixes bug 6171.
    reviewed by: plam

 ChangeLog   |	  8 ++++++++
 src/fcint.h |	 11 +++++++----
 2 files changed, 15 insertions(+), 4 deletions(-)

commit d6217cc6bcce0768ce1e01c077e90967ff91db5a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 7 04:42:32 2006 +0000

    Patrick Lam <plam@mit.edu>
    Make fontconfig compile under MinGW:
    1) remove unneeded #includes;
    2) make use of mmap and sysconf conditional;
    3) replace rand_r by srand/rand if needed;
    4) use chsize instead of ftruncate; and
    5) update libtool exports file

 ChangeLog	       |   18 +++
 configure.in	       |    3 +-
 fc-cache/fc-cache.c   |    7 +
 fc-cat/fc-cat.c       |    1 -
 src/fccache.c	       |   74 +++++++++-
 src/fcfreetype.c      |    3 +-
 src/fontconfig.def.in |  370
 ++++++++++++++++++++++++++++++++++---------------
 7 files changed, 353 insertions(+), 123 deletions(-)

commit 3a342c5a6ca6c27fdddf0c669392b7ab1d6e3f7e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Apr 7 04:19:49 2006 +0000

    Eliminate warning.

 ChangeLog   |	  5 +++++
 src/fcdir.c |	  2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit e79c648c7a27a1afdde813105d0727e3ee6bc9fd
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Apr 6 05:15:08 2006 +0000

    file fc-match.sgml was initially added on branch fc-2_4_branch.

commit 8b4e7628e1d8baca4f55fcdd76101b8b3e015044
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Apr 6 05:15:08 2006 +0000

    Update documentation for fc-match (SGML-ize it). (reported by Ilya
	Konstantinov)

 ChangeLog		|    8 ++
 fc-match/.cvsignore	|    1 +
 fc-match/Makefile.am	|   27 +++++++-
 fc-match/fc-match.1	|   37 -----------
 fc-match/fc-match.sgml |  169
 ++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 203 insertions(+), 39 deletions(-)

commit 392fa276dcae8d4c66607bbbd8dd30354a331afc
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Apr 6 04:52:21 2006 +0000

    Reduce amount of dirty rss by const'ing some data structures.
    Don't fail if we can't create or remove $(pkgcachedir) i.e.
	/var/cache/fontconfig. (reported by Quanah Gibson-Mount).
    reviewed by: plam

 ChangeLog	      |   15 +++++++++++++++
 fc-cache/Makefile.am |    4 ++--
 src/fcdefault.c      |    2 +-
 src/fcpat.c	      |    2 +-
 src/fcxml.c	      |    2 +-
 5 files changed, 20 insertions(+), 5 deletions(-)

commit 0d745819a9ec491349d4e122a7d44d689b2d3479
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Apr 6 04:33:11 2006 +0000

    Fix intel compiler warnings: make many variables static, eliminate
	duplicate names, reduce variable scopes, unsigned/signed printf
	formatting.
    reviewed by: plam

 ChangeLog		     |	 16 ++++++++++++++++
 fc-case/fc-case.c	     |	  8 ++++----
 fc-glyphname/fc-glyphname.c |	 12 ++++++------
 fc-lang/fc-lang.c	     |	  8 ++++----
 fc-match/fc-match.c	     |	  2 +-
 src/fccache.c		     |	 11 ++++++-----
 src/fcfreetype.c	     |	  4 +---
 src/fclang.c		     |	  5 ++---
 src/fcxml.c		     |	 14 +++++++-------
 9 files changed, 47 insertions(+), 33 deletions(-)

commit b17cf498be69f483e6355ae468f7239165df3ffb
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Mar 24 15:21:10 2006 +0000

    Fix multiarch support (don't destroy multiarch files!)
    Require pkg-config. (Thanks Behdad; better solution wanted for libxml2
	detection!)
    reviewed by: plam

 ChangeLog     |   12 ++++++++++++
 configure.in  |    2 ++
 fonts.conf.in |    7 ++++++-
 src/fccache.c |    3 ++-
 4 files changed, 22 insertions(+), 2 deletions(-)

commit ba76916ff64d476d5c5564e46a5d4209cb942864
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Mar 23 04:22:28 2006 +0000

    On Windows, unlink before rename. Reported by Tim Evans.

 ChangeLog	|    5 +++++
 src/fcatomic.c |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit c02218223153b3022071e789def3fde8b556d6d6
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Mar 23 04:21:10 2006 +0000

    On Windows, unlink before rename. Reported by Tim Evans.

 ChangeLog	|    5 +++++
 src/fcatomic.c |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit d8fda87d5e306eea6b07d0e4f8c6fb1cc2f25804
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 15 15:59:33 2006 +0000

    Fix typos in orth files. Reported by Denis Jacquerye.

 fc-lang/ab.orth  |    2 +-
 fc-lang/ibo.orth |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 04af4f56dcaa6bdfbc67c0bc184ac88ccdfb03c1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 15 15:58:59 2006 +0000

    Fix typos in orth files. Reported by Denis Jacquerye.

 ChangeLog	  |    6 ++++++
 fc-lang/ab.orth  |    2 +-
 fc-lang/ibo.orth |    2 +-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit fd11da8464309d6d562bdf2cd59e22cc3763c65a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 20:57:39 2006 +0000

    Fix Makefile.am for removal of debian/ directory.

 ChangeLog	     |	  7 +++++++
 Makefile.am	     |	 35 +----------------------------------
 config/config.guess |	 51
 +++++++++++++++++++++++++++++++++++++++++----------
 config/config.sub   |	 47
 ++++++++++++++++++++++++++++++++++++++---------
 4 files changed, 87 insertions(+), 53 deletions(-)

commit c957abedc73ac8f22bc56e04342ff3bb6cb29ad1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 20:38:39 2006 +0000

    .cvsignore
    Ignore debian/ directory for CVS.

 .cvsignore |	 1 +
 ChangeLog  |	 6 +++++-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit dcd49fcc23239be8fc0c3ca62a5fd3e059f19c02
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 20:33:42 2006 +0000

    debian/*
    Now remove debian/ directory.

 ChangeLog			   |	5 +
 debian/README.Debian		   |   45 ---
 debian/changelog		   |  718
 -------------------------------------
 debian/compat			   |	1 -
 debian/control			   |   80 ----
 debian/copyright		   |   29 --
 debian/fontconfig-udeb.install    |	3 -
 debian/fontconfig.config	   |   10 -
 debian/fontconfig.defoma	   |  162 ---------
 debian/fontconfig.dirs		   |	1 -
 debian/fontconfig.install	   |	7 -
 debian/fontconfig.postinst	   |  145 --------
 debian/fontconfig.postrm	   |   26 --
 debian/fontconfig.templates	   |   27 --
 debian/libfontconfig1-dev.install |	7 -
 debian/libfontconfig1.install	   |	1 -
 debian/local.conf.md5sum	   |   18 -
 debian/rules			   |   40 --
 18 files changed, 5 insertions(+), 1320 deletions(-)

commit ccda304eac0cafabb765a8b04d3f0b9f0c9e8944
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 20:32:56 2006 +0000

    debian/po/*
    .cvsignore
    Remove debian/ directory from sources. See Debian's subversion
    server at
	svn://svn.debian.org/pkg-freedesktop/trunk/fontconfig instead.

 ChangeLog		 |    8 ++
 debian/po/POTFILES.in	 |    1 -
 debian/po/cs.po	 |  127 ------------------------------------
 debian/po/da.po	 |  146 ------------------------------------------
 debian/po/de.po	 |  124 -----------------------------------
 debian/po/es.po	 |  163
 -----------------------------------------------
 debian/po/fr.po	 |  159
 ---------------------------------------------
 debian/po/ja.po	 |   88 -------------------------
 debian/po/nl.po	 |  125 ------------------------------------
 debian/po/pt.po	 |  112 --------------------------------
 debian/po/pt_BR.po	 |  148 ------------------------------------------
 debian/po/templates.pot |   84 ------------------------
 debian/po/tr.po	 |  117 ---------------------------------
 debian/po/zh_CN.po	 |  115 ---------------------------------
 14 files changed, 8 insertions(+), 1509 deletions(-)

commit 72b3e80625b6706edc1204fe1015b21c8d8300b8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 19:27:25 2006 +0000

    file ln.orth was initially added on branch fc-2_4_branch.

commit 2509fc7ac15e02992fe5c51f1c58d2f396447883
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 19:27:25 2006 +0000

    Add orthography for Lingala.
    reviewed by: plam

 ChangeLog	  |    8 ++++++++
 fc-lang/iso639-1 |    2 +-
 fc-lang/iso639-2 |    2 +-
 fc-lang/ln.orth  |   43 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 53 insertions(+), 2 deletions(-)

commit 37e3f33c7ec32432260b0ef750ac415763d6044f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 19:19:05 2006 +0000

    Sort directory entries while scanning them from disk; prevents
    Heisenbugs
	due to file ordering in a directory.
    reviewed by: plam

 ChangeLog   |	  8 ++++++++
 src/fcdir.c |	 45 ++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 50 insertions(+), 3 deletions(-)

commit e01166d52a1a597f32b57ac47154332c0c6ab1bf
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 19:16:10 2006 +0000

    Add a configuration file that disables hinting for the Lohit
    Gujarati font
	(since the hinting distort some glyphs quite badly).
    reviewed by: keithp

 ChangeLog	    |	 9 +++++++++
 conf.d/Makefile.am |	 1 +
 2 files changed, 10 insertions(+), 0 deletions(-)

commit e3c6d3364c79838e5c30de072b97f7f091b1f81d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 19:10:57 2006 +0000

    Sort directory entries while scanning them from disk; prevents
    Heisenbugs
	due to file ordering in a directory.
    reviewed by: plam

 ChangeLog   |	  8 ++++++++
 src/fcdir.c |	 44 +++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 49 insertions(+), 3 deletions(-)

commit d8951c0cc2474176910277e8ca840fba5d8f3655
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Mar 8 02:30:43 2006 +0000

    Remove stuff we don't use, make get_{char,short,long} functions
    of ftglue
	macros to be inlined.
    Code cleanups (excess prototype, old-style function definition).
    reviewed by: plam

 ChangeLog	  |   14 +++++++++++++
 src/fcfreetype.c |    8 +++---
 src/fcint.h	  |    3 --
 src/fcname.c	  |    2 +-
 src/ftglue.c	  |   55
 +++++++----------------------------------------------
 src/ftglue.h	  |   39 ++++++++++---------------------------
 6 files changed, 38 insertions(+), 83 deletions(-)

commit 9226e04c69d7cb472999b1d8bc0cfa3c28054ebe
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Mar 5 15:33:46 2006 +0000

    Because we hacked FcPatternGet, we don't really need to expand
    the filename
	again in FcPatternGetString.

 ChangeLog   |	  6 ++++++
 src/fcpat.c |	  3 ---
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 618adbaf7bbad8441efb589417d7144476f828c7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Mar 5 06:05:50 2006 +0000

    Ok, so some people (wine!) use FcPatternGet to fetch FC_FILE. Make
    that
	work. Reported by Bernhard Rosenkraenzer.

 ChangeLog   |	  6 +++++
 src/fcpat.c |	 73
 ++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 46 insertions(+), 33 deletions(-)

commit dc70c15aba6d14dbd5ce8bcd1bc36a39602fbc2c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Mar 3 18:35:42 2006 +0000

    Include inttypes.h instead of stdint.h if appropriate.

 ChangeLog   |	  5 +++++
 src/fcint.h |	  4 ++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit ead55be0eddcaa60ed3f7147091ada276e891ed9
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Mar 3 18:19:04 2006 +0000

    More stub definitions and remove FcFileIsDir from fc-cat.

 ChangeLog		     |	  6 ++++++
 fc-cat/fc-cat.c	     |	 10 ----------
 fc-glyphname/fc-glyphname.c |	 10 ++++++++++
 3 files changed, 16 insertions(+), 10 deletions(-)

commit c003f5aec37e099d7f5a88d29cc4b2d5f1d002eb
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Mar 3 15:12:12 2006 +0000

    Fix compilation on AIX with stub definitions (bug 6097).

 ChangeLog	   |	5 +++++
 fc-case/fc-case.c |   10 ++++++++++
 2 files changed, 15 insertions(+), 0 deletions(-)

commit bb6b19938e2c9d115abd4f36439c365b63713bb1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Mar 3 06:35:53 2006 +0000

    Get rid of C++-style comments.

 ChangeLog	  |    8 ++++++++
 src/fccache.c	  |    4 ++--
 src/fcfreetype.c |    2 +-
 src/fcfs.c	  |    8 ++++----
 src/fcpat.c	  |    5 +++--
 5 files changed, 18 insertions(+), 9 deletions(-)

commit 5b4a40a955c9607e80a8da5a42a0da5923e3c509
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Mar 3 06:12:55 2006 +0000

    debian/changelog
    Enable creation of 2.3.94 Debian packages.

 ChangeLog	  |    5 +++++
 debian/changelog |    5 +++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit b36f2a39d0ad08d5ee6757f2e419021e63b39ea4
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Mar 3 06:11:31 2006 +0000

    Fix suspicious return expression which causes junk to be returned.
    reviewed by: plam

 ChangeLog    |    8 ++++++++
 src/fclang.c |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit b152a85bdc5c911883af4b0e7930cbe12531d179
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 24 19:32:58 2006 +0000

    Fix placement of @s.

 ChangeLog   |	  5 +++++
 Makefile.am |	 14 +++++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)

commit 63d2df3f92b633ba82bfb4fb388062a21e0a0178
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 24 19:19:09 2006 +0000

    Bump version to 2.3.94.

 ChangeLog		 |    8 ++++++++
 README			 |   47
 +++++++++++++++++++++++++++++++++++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 4 files changed, 55 insertions(+), 4 deletions(-)

commit 639475e873c797792fff63fbd8efd73e2b0695fd
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 24 18:52:17 2006 +0000

    Remove unconditional emboldening (per Behdad's instructions).
    Add @s to hide some echos.

 ChangeLog		      |    9 +++++++++
 Makefile.am		      |   10 +++++-----
 conf.d/10-fonts-persian.conf |    6 ------
 3 files changed, 14 insertions(+), 11 deletions(-)

commit 0cfaf27e334e599bb3dcf8f06140e9577718191d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 24 16:41:34 2006 +0000

    Takashi Iwai <tiwai@suse.de> reviewed by: plam
    Fix double-free on error case.

 ChangeLog	  |    8 ++++++++
 src/fcfreetype.c |    1 +
 2 files changed, 9 insertions(+), 0 deletions(-)

commit cf5cf4cadb35c7ebabf025bf6781f69c390548c8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Feb 22 04:50:16 2006 +0000

    Strip \r and whitespace from input; fixes bug 3454.

 ChangeLog	   |	7 ++++++-
 fc-lang/fc-lang.c |   11 +++++++----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 69a3fc78e233957f9e1f6737eccada1494a937ae
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Feb 22 04:09:39 2006 +0000

    Allocate large arrays statically in fc-lang to fix crashes under
	MinGW/MSYS.

 ChangeLog	   |	6 ++++++
 fc-lang/fc-lang.c |   18 +++++++++---------
 2 files changed, 15 insertions(+), 9 deletions(-)

commit 656b47f6988e001c5b6fdfee7a38dc8321e71454
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 21 15:56:41 2006 +0000

    Pass the buck; make fontconfig not crash on pango badness.

 ChangeLog	  |    5 +++++
 src/fcfreetype.c |    4 ++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 9fb0e0743eaf44099bdb9b3ff04b5fc7f73792a3
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 21 15:53:43 2006 +0000

    Use embeddedbitmap rather than rh_prefer_bitmap.

 ChangeLog		      |    5 +++++
 conf.d/10-fonts-persian.conf |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit f2fb985c7a0e51109b1750e166e4244a833ffbe3
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 21 15:50:19 2006 +0000

    Eliminate redundancies.
    reviewed by: plam

 ChangeLog	  |   11 +++++++++++
 src/fccache.c	  |    3 ++-
 src/fcdir.c	  |    3 ---
 src/fcfreetype.c |    1 -
 src/fcxml.c	  |    3 +--
 src/ftglue.c	  |    1 -
 6 files changed, 14 insertions(+), 8 deletions(-)

commit b023dbd38410521a459758498f99d3a48cdd313d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 21 15:40:18 2006 +0000

    Eliminate unused vars reported by Intel's compiler.
    reviewed by: plam

 ChangeLog	   |   10 ++++++++++
 fc-list/fc-list.c |	4 ++--
 src/fcfreetype.c  |	3 +--
 src/fcstr.c	   |	3 +--
 src/fcxml.c	   |	2 --
 5 files changed, 14 insertions(+), 8 deletions(-)

commit 2b90aee36399ec13ba3af929311b37d9494adab6
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 21 15:29:54 2006 +0000

    Remove one more archaic character.
    reviewed by: plam

 ChangeLog	 |    7 +++++++
 fc-lang/ka.orth |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit dacf81ed4c541174f0dbfe2898f3309657bf6116
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 21 15:24:28 2006 +0000

    Freeze patterns created by configuration file for tiny memory savings
	(every little bit helps).
    reviewed by: plam, keithp

 ChangeLog   |	  8 ++++++++
 src/fcxml.c |	  3 ++-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 9769b43d4a4d8fe5480b672124f764e5bac1f4c9
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 21 14:12:41 2006 +0000

    Initialize fontconfig library in fc-cat to avoid segfault.
    reviewed by: plam

 ChangeLog	 |    7 +++++++
 fc-cat/fc-cat.c |   11 ++++++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)

commit 530e66b008c0d5b972b54046a5b15e76c8e989b6
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Feb 18 18:18:07 2006 +0000

    Fix the underlying cause of the below segfault (must usually call
	FcDirCacheHasCurrentArch after FcDirCacheValid).

 ChangeLog	     |	 12 ++++++++++--
 fc-cache/fc-cache.c |	  2 ++
 src/fccache.c	     |	  4 +++-
 src/fcdir.c	     |	  4 +++-
 4 files changed, 18 insertions(+), 4 deletions(-)

commit a68ce9525dedc06fd4da102492e8d1c6137b3664
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Feb 18 17:56:25 2006 +0000

    Fix segfault (reported by fcrozat) caused by incorrect input on cache
	files.

 ChangeLog     |    6 ++++++
 src/fccache.c |   21 +++++++++++++--------
 2 files changed, 19 insertions(+), 8 deletions(-)

commit 310817371cdd4163c8d2f138e4fc3295ff0afbc5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 17 14:44:42 2006 +0000

    Bump up magic version; we changed the binary format.

 ChangeLog   |	  5 +++++
 src/fcint.h |	  4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 12f46c42fa583d8e23b8f97eebac77d7b0576ed2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 17 05:47:08 2006 +0000

    Enable fc-cat to print out old-style cache info when given a directory
	name.

 ChangeLog	 |    6 ++++++
 fc-cat/fc-cat.c |   26 +++++++++++++++++++++++++-
 2 files changed, 31 insertions(+), 1 deletions(-)

commit 8c0d692125018052fa228721f30f760dfb0c0adf
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Feb 16 17:50:04 2006 +0000

    Deal correctly with changing FC_CACHE_MAGIC.

 ChangeLog     |    5 +++++
 src/fccache.c |   17 +++++++++++++++++
 2 files changed, 22 insertions(+), 0 deletions(-)

commit d2c0102944176744e440c4109bf7725240453cc7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Feb 16 15:36:43 2006 +0000

    Add -r --really-force option which blows away cache files and then
	regenerates them.

 ChangeLog	     |	  6 ++++++
 fc-cache/fc-cache.c |	 25 ++++++++++++++++++-------
 2 files changed, 24 insertions(+), 7 deletions(-)

commit 719f4b841f9763f2e4aa10a61cb2ffd41d9e8226
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Feb 16 07:12:04 2006 +0000

    Don't bail if fontconfig can't remove a dir cache file. Skip the ID
    of a
	cache file when copying. Eliminate 'source file too small' bug in
	FcDirCacheWrite.

 ChangeLog	     |	  9 ++++++++-
 fc-cache/fc-cache.c |	 16 ++++++++++------
 src/fccache.c	     |	  8 +++-----
 3 files changed, 21 insertions(+), 12 deletions(-)

commit f8a17f329815cfa5416142811b96d16f2a5cca93
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 13 22:19:30 2006 +0000

    Fix memory leak in error condition code.

 ChangeLog	  |    5 +++++
 src/fcfreetype.c |    4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 5657098e2940652065fcfd00e4cf2771d7df21ef
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 13 21:51:11 2006 +0000

    Skip bitmap fonts which can't even get it together enough to declare a
	family name; this appears to reproduce previous fontconfig
	behaviour.
    reviewed by: plam

 ChangeLog	  |    8 ++++++++
 src/fcfreetype.c |    5 +++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit d00c3cb5e046dfb04b446d8b0bb10880d190cc13
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Feb 11 05:01:32 2006 +0000

    Try to open /var/cache/fontconfig/[hashed name] before fonts.cache-2
    in a
	directory, because /var/cache/fontconfig failures ought to
	be fixable,
	unlike fonts.cache-2 failures, which may leave you screwed.
    reviewed by: plam

 ChangeLog     |    9 +++++++++
 src/fccache.c |   42 ++++++++++++++++++++----------------------
 2 files changed, 29 insertions(+), 22 deletions(-)

commit 9e07e0a77b6b1c33a52a1ec4d845797e32125baf
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Feb 11 04:50:46 2006 +0000

    Use a tri-state to mark the fonts which didn't get blocked but
    were just
	missing an element, to distinguish them from the fonts that
	do match
	the element.
    reviewed by: plam

 ChangeLog     |    8 ++++++++
 src/fcmatch.c |   18 +++++++++++-------
 2 files changed, 19 insertions(+), 7 deletions(-)

commit f11a184104a57c0d68afde8e7458c7b8473b6671
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 10 19:40:11 2006 +0000

    Don't kill fonts because they don't declare an element that's
    being matched
	on.
    reviewed by: plam

 ChangeLog     |    7 +++++++
 src/fcmatch.c |    4 ++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 879af7060b24c6d57eb29cf6cfe2f6bb04589261
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Feb 9 18:44:14 2006 +0000

    Define and pass O_BINARY to open if appropriate, for those platforms
    that
	need it. Reported by Doodle.

 ChangeLog     |    7 ++++---
 src/fccache.c |   30 +++++++++++++++++-------------
 2 files changed, 21 insertions(+), 16 deletions(-)

commit c7490074c57da387904cecfdf60595713c7bb89e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Feb 9 16:19:42 2006 +0000

    Fix attempt to close -1. Don't unboundedly grow bad caches
    (reported by
	fcrozat).

 ChangeLog     |    6 ++++++
 src/fccache.c |    8 +++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit a8c425301aeb8e417b0fa35567b2f8f64b450657
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Feb 9 15:25:57 2006 +0000

    Fix problem with missing 'en' due to euro.patch: change cache
    file format
	slightly to coincide with that generated by fc-lang.

 ChangeLog	 |    8 ++++++++
 src/fccharset.c |    8 ++++----
 2 files changed, 12 insertions(+), 4 deletions(-)

commit b10e77628c4d207ac60ae4000b1459ced9228d69
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Feb 8 03:34:17 2006 +0000

    Fix warning.

 ChangeLog     |    5 +++++
 src/fccache.c |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 5c3deb2985586a06216afd0e6a0c136d4e67a58b
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 7 22:09:01 2006 +0000

    Don't reject dirs that can't be normalized (fixes lilypond, and
    is correct
	in the context of application font directories.)
    Use normalized directory name exclusively in FcCacheReadDirs.
    reviewed by: plam

 ChangeLog     |   13 +++++++++++++
 src/fccache.c |   19 ++++++++++---------
 src/fcdir.c   |    9 ++++-----
 3 files changed, 27 insertions(+), 14 deletions(-)

commit efb11b36c4e24a619e7be1790834130ca4113c5b
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 7 21:15:33 2006 +0000

    Perf optimizations. Inline FcValueCanonicalize, reduce FcValueListPtrU
	usage, remove redundant cast.
    reviewed by: plam

 ChangeLog   |	  8 ++++++++
 src/fcpat.c |	 39 +++++++++++++++++++--------------------
 2 files changed, 27 insertions(+), 20 deletions(-)

commit 6cc02fe6b95421f6e97af9008ad9ff4febe80c36
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 7 20:56:48 2006 +0000

    src/fccharset.c (FcLangCharSetPopulate, FcCharSetInsertLeaf)
    Fix missing FcCacheBankToIndex in FcCharSetInsertLeaf. Declare
    extern for
	static arrays as arrays, not pointers. (Part of the fix for 'fonts
	don't have en' issue after Euro patch.)
    (I forgot to commit the ChangeLog last time.)
    reviewed by: plam

 ChangeLog	 |   25 +++++++++++++++++++++++++
 src/fccharset.c |    6 +++---
 2 files changed, 28 insertions(+), 3 deletions(-)

commit a81f23c0cecdc5d4cb7a443fdd4527b5f0dbca8a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 7 03:53:32 2006 +0000

    Fix hidden variable warning.

 ChangeLog	   |	6 ++++++
 fc-lang/de.orth   |	1 +
 fc-lang/el.orth   |	1 +
 fc-lang/en.orth   |	1 +
 fc-lang/es.orth   |	1 +
 fc-lang/fc-lang.c |	6 +++---
 fc-lang/fi.orth   |	2 +-
 fc-lang/fr.orth   |	1 +
 fc-lang/it.orth   |	1 +
 fc-lang/nl.orth   |	1 +
 fc-lang/pt.orth   |	1 +
 src/fccache.c	   |	1 -
 src/fccharset.c   |	9 +++++----
 13 files changed, 23 insertions(+), 9 deletions(-)

commit 799157dbbf55d1bf13b1e63faf3b530979116aca
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 7 02:33:57 2006 +0000

    Remove de-escaping logic because FcCacheWriteString doesn't escape
    anyway.
	Do blockwise reading instead of byte-wise for performance.

 ChangeLog     |    8 ++++++
 src/fccache.c |   72
 +++++++++++++++++++--------------------------------------
 2 files changed, 32 insertions(+), 48 deletions(-)

commit 8b413bb62c6743db10e7d210fb7924c9502fd60e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Feb 7 02:22:50 2006 +0000

    Takashi Iwai <tiwai@suse.de>
    Don't loop infinitely on recursive symlinks (client-side).

 ChangeLog     |    7 +++++++
 src/fccache.c |   21 +++++++++++++++------
 2 files changed, 22 insertions(+), 6 deletions(-)

commit 660acf8f2278df9276c9a1bff3533e9a74fd8c6b
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 6 23:11:41 2006 +0000

    Don't loop infinitely on recursive symlinks.
    reviewed by: plam

 ChangeLog	     |	  6 ++++++
 fc-cache/fc-cache.c |	 18 ++++++++++++++++++
 2 files changed, 24 insertions(+), 0 deletions(-)

commit fff5a5af30142c933d8e9dddda61a6a994f44c28
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 6 22:44:02 2006 +0000

    Skip subdirs when skipping over stale bits of global cache. Introduce
    state
	machine into FcGlobalCacheDir to avoid doing inappropriate
	operations
	on global dir entries, e.g. writing out an out-of-date cache
	entry.
    reviewed by: plam

 ChangeLog     |   12 ++++
 src/fccache.c |  186
 +++++++++++++++++++++++++++++++++++++++++----------------
 src/fcint.h   |    4 +
 3 files changed, 150 insertions(+), 52 deletions(-)

commit 98592bbb1dbdb867994dcf463bdd36f98878fffc
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 6 21:52:15 2006 +0000

    Hoist FcFileIsDir check out of FcFileScanConfig loop.
    reviewed by: plam

 ChangeLog   |	  6 ++++++
 src/fcdir.c |	 11 ++++-------
 2 files changed, 10 insertions(+), 7 deletions(-)

commit a0aa54f6ee032efbca25bdf734ba62dd642b04a1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 6 19:25:45 2006 +0000

    Don't rescan when trying to normalize a non-declared font dir. Don't
    add
	font dirs multiple times (even if they're aliased).
    reviewed by: plam

 ChangeLog   |	  9 +++++++
 src/fccfg.c |	 78
 +++++++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 61 insertions(+), 26 deletions(-)

commit 86e75dfb5d1434837537b40e829f00f9ffbb8183
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 6 14:44:46 2006 +0000

    Explain apples/oranges comparison and fix compilation error.
    reviewed by: plam

 ChangeLog  |	 7 +++++++
 src/fcfs.c |	 5 ++++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit f076169d19574c6c548764d574a33bc4fe022ffb
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Feb 6 14:14:21 2006 +0000

    Insert check for integer overflow in # of fonts.
    reviewed by: plam

 ChangeLog  |	 7 +++++++
 src/fcfs.c |	 2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 788c4af232f5677d73e8e2e77e123cf566530ccb
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Feb 5 04:11:08 2006 +0000

    Make 'make distcheck' work with automake 1.6.3.
    reviewed by: plam

 ChangeLog	      |   10 ++++++++++
 doc/Makefile.am      |    2 +-
 fc-cache/Makefile.am |    2 +-
 fc-cat/Makefile.am   |    2 +-
 fc-list/Makefile.am  |    2 +-
 5 files changed, 14 insertions(+), 4 deletions(-)

commit 68355f38774fe55d8010268291a170492b241a71
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Feb 5 02:57:21 2006 +0000

    src/fccache.c (FcGlobalCacheLoad, FcGlobalCacheSave,
    FcDirCacheConsume,
	FcDirCacheWrite)
    Check I/O call return values and eliminate unused variable warnings.
    reviewed by: plam

 ChangeLog	 |   13 ++++++++++
 fc-cat/fc-cat.c |    5 +--
 src/fccache.c	 |   66
 +++++++++++++++++++++++++++++++++++++++++-------------
 src/fcxml.c	 |    4 +-
 4 files changed, 67 insertions(+), 21 deletions(-)

commit c4c47a7654196f37b625f337192b235e558ab890
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Feb 4 00:09:42 2006 +0000

    src/fccfg.c (FcConfigAppFontAddFile, FcConfigAppFontAddDir)
    Fix memory leak.
    reviewed by: plam

 ChangeLog   |	  7 +++++++
 src/fccfg.c |	  2 ++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit a8e4d9eb395b45ab23f0c540f919ec432b46dea8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Feb 4 00:04:00 2006 +0000

    Gracefully handle the case where a cache asserts that it has
    a negative
	number of fonts, causing overflow.
    reviewed by: plam

 ChangeLog  |	 8 ++++++++
 src/fcfs.c |	29 +++++++++++++++--------------
 2 files changed, 23 insertions(+), 14 deletions(-)

commit 1af0f5741a95eed6f3a54140c360e0422fd13f62
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Feb 3 23:47:37 2006 +0000

    Fix double free in error case.

 ChangeLog     |    5 +++++
 src/fccache.c |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 80ba0571f3bfdee854d6e69f55664f552f4b75a3
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Jan 31 07:30:23 2006 +0000

    Stephan Kulow <coolo@suse.de> reviewed by: plam
    Replace 'stamp' target with mkinstalldirs.

 ChangeLog	      |    8 ++++++++
 fc-cache/Makefile.am |   13 +++----------
 2 files changed, 11 insertions(+), 10 deletions(-)

commit 28aefd013d1896ffbf389596109eaec729d5d9a5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Jan 31 07:16:22 2006 +0000

    Toast broken global cache files.
    reviewed by: plam

 ChangeLog     |    7 +++++++
 src/fccache.c |    4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 3616cbe251e47cf36018a7277d9ff78f1cb0965e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Jan 31 04:42:20 2006 +0000

    Actually use the directories that I added to the global cache. Fixes
    'make
	check'.

 ChangeLog     |    6 ++++++
 src/fccache.c |   11 +++++++++--
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 275cf6cd8350f8a9f29caabd5b1994c6324caaf6
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Jan 31 04:07:45 2006 +0000

    Don't stop scanning if a directory in fonts.conf doesn't exist,
    because
	subsequent directories might exist.
    reviewed by: plam

 ChangeLog	     |	  8 ++++++++
 fc-cache/fc-cache.c |	 20 ++++++++++++++------
 2 files changed, 22 insertions(+), 6 deletions(-)

commit 81d97094cf2a714417a9e73bb2f0f17f51ca3d95
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 30 16:31:56 2006 +0000

    Make global cache work again after putting dir names into global cache
    (I
	misplaced the recording of a file offset).

 ChangeLog     |    6 ++++++
 src/fccache.c |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 2c4e0124976724a7ae56bfee0ac4f7046c819ea8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 30 15:59:17 2006 +0000

    Update fc-cat to handle subdir lists in global cache file.
    Another FcCacheReadString return value check.

 ChangeLog	 |    9 +++++++++
 fc-cat/fc-cat.c |   10 ++++++++++
 src/fccache.c	 |   11 +++++++++--
 3 files changed, 28 insertions(+), 2 deletions(-)

commit c5411c4cae9389ad875fbbeedeaba0644f5e399f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 30 15:44:13 2006 +0000

    Make fccache more resilient to broken cache files by checking
    return value
	of FcCacheReadString all the time.
    reviewed by: plam

 ChangeLog     |    9 +++++++++
 src/fccache.c |   28 ++++++++++++++--------------
 2 files changed, 23 insertions(+), 14 deletions(-)

commit 946478e1a7f8c59a97c89f5c9029f30241a6cc0c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 30 14:43:04 2006 +0000

    Remove references to dead fontconfig(3) manpages in other fontconfig
	manpages.
    reviewed by: plam

 ChangeLog	     |	  9 +++++++++
 fc-lang/fc-lang.man |	  2 --
 fc-match/fc-match.1 |	  2 --
 3 files changed, 9 insertions(+), 4 deletions(-)

commit af7a965f945ab5aafab13fb7b6e8d96c911b24fd
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 30 04:51:22 2006 +0000

    Fix world's tiniest typo in code example.
    reviewed by: plam

 ChangeLog	    |	 7 +++++++
 doc/fcpattern.fncs |	 2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 30c4189deb8412793d175bce255561a882ad81b7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 30 04:47:17 2006 +0000

    Fix global cache reads of subdirectories.
    reviewed by: plam

 ChangeLog     |    7 +++++++
 src/fccache.c |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 971cf18018a4f41bca196dd81989e67672e52112
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 30 04:27:53 2006 +0000

    Add documentation for FcConfigNormalizeFontDir.
    Write directory information to global caches to fix make check
    (reported by
	Ronny V. Vindenes). This changes the global cache format again.

 ChangeLog	   |   13 +++++++++++++
 doc/fcconfig.fncs |   11 +++++++++++
 src/fccache.c	   |   25 +++++++++++++++++++++++--
 src/fcdir.c	   |	2 +-
 src/fcint.h	   |	2 ++
 5 files changed, 50 insertions(+), 3 deletions(-)

commit 97293e07dd688b3d81cd6e7ecd5df4cdef4c87d8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Jan 27 05:47:59 2006 +0000

    Move FcConfigNormalizeFontDir call so that it doesn't result in
    infinite
	recursion (reported by Ronny V. Vindenes).

 ChangeLog		 |    9 +++++++++
 fc-cache/fc-cache.c	 |    6 +++++-
 fontconfig/fontconfig.h |    4 ++++
 src/fccache.c		 |    8 --------
 src/fcint.h		 |    4 ----
 5 files changed, 18 insertions(+), 13 deletions(-)

commit 3cf9f5cec386ce97bb3cdd1dfe78d0d6999243ea
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Jan 27 00:27:37 2006 +0000

    Add a couple of missing normalizations to make fc-cache work right;
    only
	scan subdirectories once.

 ChangeLog     |    7 +++++++
 src/fccache.c |    8 ++++++++
 src/fccfg.c   |    4 ++--
 3 files changed, 17 insertions(+), 2 deletions(-)

commit 4073203deb00cb1497f7cc8c1a7de25534070d2c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Jan 26 16:11:41 2006 +0000

    Don't crash on non-existant directories in global cache.
    reviewed by: plam

 ChangeLog     |    7 +++++++
 src/fccache.c |    4 +++-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit f468f568b4aedef1606b0692addf47cb9f02b328
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Jan 26 16:09:12 2006 +0000

    Stop trampling the directory name when writing out caches. (with Mike
	Fabian:) Beef up FcConfigNormalizeFontDir to scan subdirs when
	necessary. Don't scan directories that can't be normalized.

 ChangeLog     |   11 +++++++++++
 src/fccache.c |   16 +++++++++++++---
 src/fccfg.c   |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/fcdir.c   |    6 +++++-
 src/fcxml.c   |    2 +-
 5 files changed, 82 insertions(+), 5 deletions(-)

commit 575a37b7975656f73162438635b4ba26e229b33f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Jan 25 14:52:49 2006 +0000

    Fix additional memory leaks reported by Ronny V. Vindenes: don't
    invoke
	FcValueSave on hashed static strings in FcPatternAddWithBinding.
    Add another st_dev check in FcDirCacheOpen.

 ChangeLog     |   11 +++++++++++
 src/fccache.c |   13 +++++++++++--
 src/fccfg.c   |    3 +--
 src/fcpat.c   |    9 ++++++++-
 4 files changed, 31 insertions(+), 5 deletions(-)

commit 16a71eff3ee0326db3794fa26548106a8a8697f6
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Jan 25 02:54:37 2006 +0000

    Treat zh-hk fonts differently from zh-tw fonts. This patch may cause
	fontconfig to treat A-X fonts differently from A-Y fonts;
	please mail
	the fontconfig list if this causes any problems.
    reviewed by: plam

 ChangeLog	    |	10 ++++++++++
 fc-lang/zh_hk.orth |	 2 +-
 src/fcfreetype.c   |	 2 +-
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 6f9fcb51861fe3066e44a23817f1c700f3475ac0
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Jan 25 02:33:46 2006 +0000

    Fix memory leaks reported by Ronny V. Vindenes.

 ChangeLog	  |    6 ++++++
 src/fccache.c	  |    9 ++++++++-
 src/fcfreetype.c |    8 +++++++-
 3 files changed, 21 insertions(+), 2 deletions(-)

commit 986e35979e56774c91f3214af9e8a6f71817dcfa
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Jan 19 19:20:30 2006 +0000

    Fix for unaligned memory accesses.
    reviewed by: plam

 ChangeLog   |	  9 ++++++++-
 src/fcpat.c |	 12 ++++++++----
 2 files changed, 16 insertions(+), 5 deletions(-)

commit 58bdd29619e6580477918f8c8d77aadbe5e427a4
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Jan 18 15:41:15 2006 +0000

    Properly order the FcConfigAddFontDir and FcConfigNormalizeFontDir
    calls to
	avoid crashes.
    reviewed by: plam

 ChangeLog   |	  8 ++++++++
 src/fcdir.c |	  4 +++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit eadadf489aff5f4a17a91f85909cb0dc27b2a494
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Jan 15 05:31:58 2006 +0000

    Fix segfault when consuming zero-length caches in fc-cat (which has no
	config, so FcConfigAddFontDir shouldn't be called.)

 ChangeLog     |    6 ++++++
 src/fccache.c |    3 ++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 8a0b0ed6d01e4e20ab6727211fe5823395a9b4c4
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Jan 14 21:23:03 2006 +0000

    Compare device numbers as well as inodes. Always normalize directory
    names
	before comparing them.
    Allocate extra space for appended '/' in directory name.
    reviewed by: plam

 ChangeLog		 |   19 +++++++++++++++++++
 fc-cache/fc-cache.c	 |    2 +-
 fc-cat/fc-cat.c	 |    6 +++++-
 fontconfig/fontconfig.h |    2 +-
 src/fccache.c		 |   19 ++++++++++++++-----
 src/fccfg.c		 |    7 ++++---
 src/fcdir.c		 |    2 +-
 src/fcint.h		 |    6 ++++--
 8 files changed, 49 insertions(+), 14 deletions(-)

commit df3efc11a9584e2099366c31ba64ac9346760321
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Jan 10 13:15:05 2006 +0000

    Explicitly add font dirs to config.fontDirs even if they're empty. Set
	current config in fc-cache.c. Fix treatment of cache directory
	as read
	from cache file; don't use string equality to determine if we
	have the
	right file, use inode equality.

 ChangeLog	     |	 12 +++++++++
 fc-cache/fc-cache.c |	  1 +
 src/fccache.c	     |	 64
 +++++++++++++++++++++++++++------------------------
 3 files changed, 47 insertions(+), 30 deletions(-)

commit cd9bca69702900ca9b24319c76b2dc9432bb548f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 9 13:58:04 2006 +0000

    Normalize font dirs by using the form, as given in fonts.conf,
    and recorded
	in FcConfig's fontDirs string set, as canonical.
    Actually update config.fontDirs as font directories are scanned.

 ChangeLog	     |	 14 ++++++++++++++
 fc-cache/fc-cache.c |	  2 +-
 fc-cat/fc-cat.c     |	  4 ++--
 src/fccache.c	     |	 21 ++++++++++++---------
 src/fccfg.c	     |	 23 +++++++++++++++++++++++
 src/fcdir.c	     |	  3 ++-
 src/fcint.h	     |	  6 +++++-
 7 files changed, 59 insertions(+), 14 deletions(-)

commit 5576a5873dc9cd6e11234df6e64dbff18afe6378
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Jan 8 10:58:30 2006 +0000

    Fix matching bug when multiple elements match; don't use the sum
    of all
	scores, but the best score.
    Also more perf opts, e.g. evaluate best over all font sets rather
    than on a
	per-set basis (and other changes).

 src/fcmatch.c |  243
 +++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 143 insertions(+), 100 deletions(-)

commit a6d3757d9802c8f5dc8632a8cf6703042f62e303
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Jan 8 10:58:05 2006 +0000

    Fix matching bug when multiple elements match; don't use the sum
    of all
	scores, but the best score.
    Also more perf opts, e.g. evaluate best over all font sets rather
    than on a
	per-set basis (and other changes).

 ChangeLog |	9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 05a98eaf4bd23fe1035660a9a2b1018abdfc9c6e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Jan 8 10:50:51 2006 +0000

    Properly skip past dir caches that contain zero fonts (as occurs
    in global
	caches.) Reported by Mike Fabian.

 ChangeLog     |    6 ++++++
 src/fccache.c |    4 ++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 5fe09702f4fc4ec6d55f30b80999ce2c219bd966
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Jan 7 06:36:24 2006 +0000

    Print out full pathname in fc-match -v as well. Reported by Frederic
	Crozat.
    Fix bug where fc-match crashes when given __DUMMY__ property to
    match on.
    (I added the __DUMMY__ string to enable callers of FcObjectToPtrLookup
    to
	distinguish an error return from a successful return. -PL)
    reviewed by: plam

 ChangeLog    |   18 ++++++++++++++++++
 src/fcdbg.c  |   21 ++++++++++++++++++++-
 src/fcname.c |   11 +++++++----
 3 files changed, 45 insertions(+), 5 deletions(-)

commit c60ec7cc6d1795922b742435965746e02e67f11c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Jan 5 15:12:22 2006 +0000

    Add self to AUTHORS list.
    Minor change to global cache file format to fix fc-cat bug reported by
	Frederic Crozat, and buglet with not globally caching directories
	with
	zero fonts cached.

 AUTHORS	 |    2 +
 ChangeLog	 |   18 +++++++++++++++
 fc-cat/fc-cat.c |   66
 +++++++++++++++++++++++++++++++-----------------------
 src/fccache.c	 |   31 ++++++++++++-------------
 src/fcint.h	 |    1 +
 src/fcpat.c	 |    2 +-
 6 files changed, 75 insertions(+), 45 deletions(-)

commit 52ac91f7c1a8a6433851cbde8ccade618f0218e4
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 2 17:20:23 2006 +0000

    Fix double-free which occurs because FcValueCanonicalize doesn't
    create an
	extra copy of the returned value, it only canonicalizes it.
    reviewed by: plam

 ChangeLog   |	 11 ++++++++++-
 src/fccfg.c |	  1 +
 2 files changed, 11 insertions(+), 1 deletions(-)

commit cea78a87910a88383699d5a386693d39aa3236f5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 2 17:18:22 2006 +0000

    Fix version of .cache file (currently 1 -> currently 2). Reported
    by Jim
	Osborn.

 ChangeLog |	6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit e9fd3c069aa415f9e7589dd1a871cd7727925364
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jan 2 17:13:48 2006 +0000

    Fix version of .cache file (currently 1 -> currently 2). Reported
    by Jim
	Osborn.

 doc/fontconfig-user.sgml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ebc157f9a1eb266d60d03ad3fa36dc2ba0250db1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Dec 21 20:00:20 2005 +0000

    Shut up GCC warnings on amd.
    reviewed by: plam

 ChangeLog   |	  7 +++++++
 src/fcpat.c |	  4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit 19ea60bc7c0186070d95f5effc815c546de1dcb0
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Dec 21 05:37:10 2005 +0000

    Avoid check on _fcBankId nullness and fix case where it used to crash.

 ChangeLog	 |    7 +++++++
 src/fccharset.c |    2 +-
 src/fcint.h	 |    2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 3bfae75d44db5ceae394194d2e6c7b81201ea685
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Dec 21 03:31:19 2005 +0000

    Bump version to 2.3.93.
    Use open instead of fopen (requested by Phil Race for Sun).
    src/fccache.c (FcDirCacheWrite);
    Fix GCC4 warning and Makefile brokenness for /var/cache/fontconfig
    dir.

 ChangeLog		 |   20 +++++++++++++++
 README			 |   17 +++++++++++-
 configure.in		 |    2 +-
 fc-cache/Makefile.am	 |    8 ++++++
 fontconfig/fontconfig.h |    2 +-
 src/fccache.c		 |   62
 ++++++++++++++++++++++++++++++++++++++--------
 src/fcxml.c		 |   13 +++++----
 7 files changed, 103 insertions(+), 21 deletions(-)

commit 6f767cec491d354150a11491905ba59cc77a2659
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Dec 20 20:35:47 2005 +0000

    Restore code to skip over PCF fonts that have no encoded
    characters. (We
	guess that a font is PCF by presence of the PIXEL_SIZE BDF
	property.)

 ChangeLog		     |	  8 ++++++++
 conf.d/10LohitGujarati.conf |	  5 +++++
 src/fcfreetype.c	     |	  9 ++++++---
 3 files changed, 19 insertions(+), 3 deletions(-)

commit a7683cafe10925d09855f927cb7602a90e10516f
Author: Carl Worth <cworth@cworth.org>
Date:	Tue Dec 13 17:50:50 2005 +0000

    Add a configuration file that disables hinting for the Lohit
    Gujarati font
	(since the hinting distort some glyphs quite badly).
    reviewed by: keithp

 ChangeLog		     |	  8 ++++++++
 conf.d/10LohitGujarati.conf |	  5 +++++
 conf.d/Makefile.am	     |	  1 +
 3 files changed, 14 insertions(+), 0 deletions(-)

commit ec760b178a7bb1a60fe2fe5e205ef82922fde5b6
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Dec 12 20:45:54 2005 +0000

    Read and write the original location as a fallback for the hashed
    cache
	file locations. This is mostly for users to be able to have
	per-directory cache files.

 ChangeLog     |    7 +++++++
 src/fccache.c |   41 ++++++++++++++++++++++++++++++++---------
 2 files changed, 39 insertions(+), 9 deletions(-)

commit 83b6739035fc17d97b8ce01d6a9b9ef6e78d694c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Dec 12 13:46:45 2005 +0000

    Improve error message when fc-cache can't write the cache. Add missing
	slash. Reported by Behdad. Incorporate Behdad's patch to create
	/var/cache/fontconfig when appropriate.

 ChangeLog	      |    9 +++++++++
 fc-cache/Makefile.am |    5 +++++
 fc-cache/fc-cache.c  |    4 +++-
 src/fccache.c	      |    2 +-
 4 files changed, 18 insertions(+), 2 deletions(-)

commit 368104c381815aa9a0c8c878f1d2be0cc5330f10
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Dec 12 13:20:41 2005 +0000

    Fix crash reported by Frederic Crozat when using libxml2.
    reviewed by: plam

 ChangeLog   |	  7 +++++++
 src/fcxml.c |	  3 +++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit ea44e2184198aba956e39ae63a4914544c9719fe
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Dec 9 16:36:45 2005 +0000

    Migrate cache files from fonts directories to
    /var/cache/fontconfig. This
	helps make fontconfig FHS-compliant, but requires that all
	caches get
	rebuilt.
    Also, autogen.sh now needs the additional parameter
    --localstatedir=/var.

 ChangeLog		 |   20 ++
 INSTALL		 |    2 +-
 configure.in		 |    7 +
 fc-cache/Makefile.am	 |    2 +
 fc-cat/Makefile.am	 |    2 +
 fc-cat/fc-cat.c	 |   13 +-
 fontconfig/fontconfig.h |    1 +
 src/Makefile.am	 |    2 +
 src/fccache.c		 |  523
 ++++++++++++++++++++++++++++++++++++++++++-----
 9 files changed, 519 insertions(+), 53 deletions(-)

commit 204da5a8b88a73e54a9bab0537db7ff4fe8c6374
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Dec 8 05:54:27 2005 +0000

    Because we've changed FcPatternAddString to use FcStrStaticName
    and not
	FcValueSave, explicitly handle the case of a null string.

 ChangeLog   |	  6 ++++++
 src/fcpat.c |	  7 +++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 982b598278315de60721740047a1b57f4a5895b8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Dec 7 03:55:25 2005 +0000

    Fix warnings.

 ChangeLog	 |    5 +++++
 fc-cat/fc-cat.c |    9 +++------
 2 files changed, 8 insertions(+), 6 deletions(-)

commit c6103dfb22de0664a6ab164d90d6959551e301c5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Dec 6 18:57:43 2005 +0000

    Don't assign types to user object names.

 ChangeLog    |    5 +++++
 src/fcname.c |    3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 9ede93f1dc375c1f4d7e71d821887c01a367d995
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Dec 5 16:08:01 2005 +0000

    Don't free strings that have been returned from FcStrStaticName.

 ChangeLog   |	  5 +++++
 src/fcpat.c |	 21 +++++++++++++++++++--
 2 files changed, 24 insertions(+), 2 deletions(-)

commit 6059daeddb7b44d9b2c0f4d94a08fb6ff79ff3ac
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Dec 1 07:12:45 2005 +0000

    Add codepath for reading global cache files as well.

 ChangeLog	 |    5 ++++
 fc-cat/fc-cat.c |   61
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+), 0 deletions(-)

commit 4edd0a0286c3c7fc3497afe8f5f68df118deb682
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Dec 1 06:27:07 2005 +0000

    file 10-fonts-persian.conf was initially added on branch
    fc-2_4_branch.

commit 2c6fead73fd6608fd50eb97c69a556fdac1b5c55
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Dec 1 06:27:07 2005 +0000

    Add config file for Persian fonts from Sharif FarsiWeb, Inc.
    reviewed by: plam

 ChangeLog		      |   10 +-
 conf.d/10-fonts-persian.conf |  545
 ++++++++++++++++++++++++++++++++++++++++++
 conf.d/Makefile.am	      |    1 +
 3 files changed, 555 insertions(+), 1 deletions(-)

commit cb6d97eb1baba6795bb8abdede69902b2440f371
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 30 22:13:21 2005 +0000

    Only add a config file to the set of config files once.
    reviewed by: plam

 ChangeLog   |	  7 +++++++
 src/fcxml.c |	  6 ++++++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 93a27747a485624d4a89550036e12eeec96d4558
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 29 15:04:06 2005 +0000

    src/fcint.h (FcCacheBankToIndex);
    Fix segfault by guarding array dereference.

 ChangeLog   |	  5 +++++
 src/fcint.h |	  2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit b8948e85420469c83098a6b97d7979189a8734d9
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 29 14:57:10 2005 +0000

    Refactor FcCacheBankToIndex into an inlineable part (in fcint.h) which
	checks the front of the list and a non-inlineable part which
	finds and
	moves the appropriate element to the front of the list.
    reviewed by: plam

 ChangeLog	   |   14 ++++++++++++++
 fc-lang/fc-lang.c |	5 ++++-
 src/fccache.c	   |   34 +++++++++++++++++-----------------
 src/fcint.h	   |	9 ++++++++-
 4 files changed, 43 insertions(+), 19 deletions(-)

commit 9fad72abaf3da6f3e4a691a0e1a852f6a7353d56
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 29 06:23:00 2005 +0000

    Make the perf guys hate me a bit less: hoist the directory-name
	FcConfigAcceptFont check for cached fonts up to directory
	cache read
	time, rather than running it for each font.

 ChangeLog     |    8 ++++++++
 src/fccache.c |    3 +++
 src/fccfg.c   |    6 ++----
 3 files changed, 13 insertions(+), 4 deletions(-)

commit 51af0509925e780eb3eb9014aac5e50b6bbbe0d1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 29 06:09:18 2005 +0000

    Don't make FcPatternFindFullFname available to fccfg, it's not
    really safe.
	Instead go through FcPatternGetString (sorry, perf guys.) Also,
	use
	globs for dirs as well.

 ChangeLog   |	  9 +++++++++
 src/fccfg.c |	  8 +++++---
 src/fcint.h |	  3 ---
 src/fcpat.c |	  5 ++++-
 4 files changed, 18 insertions(+), 7 deletions(-)

commit e0421d0289ae95a1c74e607f36c0d54f3d0dedd8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 29 00:21:05 2005 +0000

    Fix segfault.

 ChangeLog   |	  5 +++++
 src/fccfg.c |	  5 ++++-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit c4d3b6dad0ccb9b3ddfddb7305b4da26f494271d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 29 00:16:02 2005 +0000

    Update autogenerated config.* files.

 config/config.guess |	535
 ++++++++++++++++++++++++++-------------------------
 config/config.sub   |	 67 ++++---
 2 files changed, 314 insertions(+), 288 deletions(-)

commit ced3f0a0abd84de73753956ec18e7316eda33a37
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 29 00:14:42 2005 +0000

    Fix problem dating back at least to 2.3.2 where globs weren't
    being applied
	to patterns loaded from a cache.
    Fix some obvious spelling mistakes.

 ChangeLog		  |   13 +++++++++++++
 doc/fontconfig-user.sgml |   17 +++++++++--------
 src/fccfg.c		  |    3 ++-
 src/fcint.h		  |    3 +++
 src/fcpat.c		  |    4 +---
 5 files changed, 28 insertions(+), 12 deletions(-)

commit 1ed98a0c87931ae93ea3d46f3d0367a99218679c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Nov 28 10:54:11 2005 +0000

    Stephan Kulow <coolo@suse.de> reviewed by: plam
    Don't kill all fonts during match (oops!)

 ChangeLog     |   23 +++++++++++++++++++++++
 src/fcmatch.c |   39 ++++++++++++++++++++++++++++++++-------
 2 files changed, 55 insertions(+), 7 deletions(-)

commit aa472e5f1a83c5e09030b0c862a0c3e0df10dcaa
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Nov 28 01:40:53 2005 +0000

    Stephan Kulow <coolo@suse.de> Michael Matz <matz@suse.de> reviewed
    by: plam
    Rewrite FcFontSetMatch to a path-finding based algorithm, i.e. inline
	FcCompare into FcFontSetMatch and reorder the loops, adding
	a boolean
	array which blocks patterns from future consideration if
	they're known
	to not be best on some past criterion.

 src/fcmatch.c |  224
 ++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 159 insertions(+), 65 deletions(-)

commit 200a44fed0c28bcf83a65e32c320471d9335d3c5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Nov 26 05:05:14 2005 +0000

    Fix incorrect merge.
    reviewed by: plam

 ChangeLog     |    7 +++++++
 src/fcmatch.c |    6 +++---
 2 files changed, 10 insertions(+), 3 deletions(-)

commit cbe1df8150e4ed6e76bd258afe5a11529c909ddf
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 25 16:33:58 2005 +0000

    Don't do random matching when bad objects are passed into
	FcCompareValueList.

 ChangeLog     |    6 +++++
 src/fcmatch.c |   58
 ++++++++++++++++++++++++++++++++++++++++++--------------
 2 files changed, 49 insertions(+), 15 deletions(-)

commit 81fe99fdd0903ef8aa782fe427bc8f9510457ee9
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 25 16:04:44 2005 +0000

    Rename fcpatterns, fcpatternelts, fcvaluelists to _fcPatterns,
	_fcPatternElts, _fcValueLists for consistency.

 ChangeLog   |	 10 ++++++++++
 src/fcint.h |	  8 ++++----
 src/fcpat.c |	 50 +++++++++++++++++++++++++-------------------------
 3 files changed, 39 insertions(+), 29 deletions(-)

commit d854eaf8a9c395a1cbca83a7620e087109f6eb87
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 25 15:54:24 2005 +0000

    Pass the FcObjectPtr to FcCompareValueList, not the char * (perf).
    reviewed by: plam

 ChangeLog     |    7 +++++++
 src/fcmatch.c |   35 ++++++++++-------------------------
 2 files changed, 17 insertions(+), 25 deletions(-)

commit 61571f3f2e77ffb221da9af2705af1d383dd6ea0
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 25 15:50:34 2005 +0000

    Pass around FcCache *s to the Unserialize functions for extra
    consistency
	(and less overhead, for what that's worth).

 ChangeLog	 |   13 +++++++++++++
 src/fccache.c	 |    2 +-
 src/fccharset.c |   12 ++++++------
 src/fcfs.c	 |    2 +-
 src/fcint.h	 |   10 +++++-----
 src/fclang.c	 |    8 ++++----
 src/fcname.c	 |    2 +-
 src/fcpat.c	 |   32 ++++++++++++++++----------------
 8 files changed, 47 insertions(+), 34 deletions(-)

commit 9ab79bdfb7f8bfbe108d1c676b361f69f6a5b043
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 25 03:00:51 2005 +0000

    Inline the *PtrU functions to gain perf. Remove unneeded params
    for the
	FcCompare* functions.
    reviewed by: plam

 ChangeLog     |   12 +++++++++++-
 src/fcint.h   |   31 +++++++++++++++++++++++++++----
 src/fcmatch.c |   50 +++++++++++++++++---------------------------------
 src/fcname.c  |   12 +++---------
 src/fcpat.c   |   22 ++--------------------
 5 files changed, 60 insertions(+), 67 deletions(-)

commit 3f9f24e077cc079be362343be499ff0baf23e0a1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 25 02:16:42 2005 +0000

    Fix the debian changelog so that debian/rules works again, make it
    create a
	debian package for release 2.3.92-1. Acknowledge change in NMU of
	debian package.

 debian/changelog |   13 ++++++++++++
 debian/control   |    1 +
 debian/po/cs.po  |   57
 +++++++++++++++++++++++++++--------------------------
 3 files changed, 43 insertions(+), 28 deletions(-)

commit 1c9fdccab95c9c5eebd0f9d8488d3ac7c46cbe53
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 24 21:40:20 2005 +0000

    Move FC_BANK_DYNAMIC, FC_BANK_FIRST to internal header.
    Check for type validity during FcPatternAddWithBinding, don't
    verify type
	in FcFontMatch, don't call FcCanonicalize here (which always
	does a
	deep copy).
    reviewed by: plam

 ChangeLog		 |   13 +++++++++++++
 fontconfig/fontconfig.h |    3 ---
 src/fcint.h		 |    3 +++
 src/fcmatch.c		 |   22 +++++-----------------
 src/fcpat.c		 |   22 +++++++++++++++++-----
 5 files changed, 38 insertions(+), 25 deletions(-)

commit 4f8b266fd97e36961639c40d93225265c0f849c7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 24 20:20:26 2005 +0000

    Make FcCompareString and FcCompareFamily less expensive. Only add
    a value
	for FC_FAMILY if the proposed value is a string.
    reviewed by: plam

 ChangeLog     |   11 ++++++++++-
 src/fcmatch.c |   24 +++++++++++++++++-------
 src/fcpat.c   |    7 +++++++
 3 files changed, 34 insertions(+), 8 deletions(-)

commit b97a34b5924b1279dd831426a94016ea8b65ea8d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 24 19:38:05 2005 +0000

    Inline FcDebug invocations and only initialize once, in
    FcInit*. Improve
	debug msg in FcPatternPrint.
    reviewed by: plam

 ChangeLog    |   10 ++++++++++
 src/fcdbg.c  |   30 ++++++++++++------------------
 src/fcinit.c |    2 ++
 src/fcint.h  |    9 +++++++--
 4 files changed, 31 insertions(+), 20 deletions(-)

commit d2f459781cade98d1d07806d023e63f1fc289b0e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 23 17:01:27 2005 +0000

    Properly apply fcrozat's patch.

 fc-cat/fc-cat.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f7c4624f5624f4dc981f75a4f74446de04bf69d1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 23 16:36:26 2005 +0000

    2005-11-23 Frederic Crozat <fcrozat@mandriva.com>: reviewed by: plam
    Minor code warning cleanups.

 ChangeLog		 |    8 ++++++++
 fc-cat/fc-cat.c	 |    1 -
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)

commit b1297aa8977901075e95e40bc430fc823e1fb230
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 23 15:33:48 2005 +0000

    2005-11-23 Frederic Crozat <fcrozat@mandriva.com>: reviewed by: plam
    Make getopt_long accept -s parameter to fc-match as well.

 ChangeLog	     |	  7 +++++++
 fc-match/fc-match.c |	  2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 435fc66073ee83d17242bac2880e843489439cda
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 23 15:32:36 2005 +0000

    2005-11-23 Frederic Crozat <fcrozat@mandriva.com>: reviewed by: plam
    Make getopt_long accept -s parameter to fc-match as well.

 ChangeLog	     |	  7 +++++++
 fc-match/fc-match.c |	  2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit adac22f290f1780f6d1424d6f93cc4453d4d489c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 22 04:46:55 2005 +0000

    Manually perform inlining & partial redundancy elimination to
    reduce calls
	to FcValueListPtrU.
    Only invoke strlen() when really necessary.
    reviewed by: plam
    reviewed by: plam

 ChangeLog     |   16 ++++++++++++++++
 src/fcmatch.c |   17 +++++++++--------
 src/fcstr.c   |    8 ++------
 3 files changed, 27 insertions(+), 14 deletions(-)

commit 8c24aa6b45ce7fa0b872ca2e9c3b96e1a5b720e4
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Nov 19 22:38:39 2005 +0000

    Get rid of the use of freetype internal headers in fcfreetype.c, since
	those headers will go away with freetype 2.2. Replace with public
	domain ftglue code from pango. Note that the patch removes
	some extra
	error checking in FT_Get_BDF_Property() and comments out the
	skipping
	of empty pcf fonts.
    reviewed by: plam

 ChangeLog |	2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 246985e40e3296a6bb427026d8274fe8409f3776
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Nov 19 22:37:24 2005 +0000

    file ftglue.c was initially added on branch fc-2_4_branch.

commit 824c7bf02515cde1cc562eb6a64b9857d03913fc
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Nov 19 22:37:24 2005 +0000

    Get rid of the use of freetype internal headers in fcfreetype.c, since
	those headers will go away with freetype 2.2. Replace with public
	domain ftglue code from pango. Note that the patch removes
	some extra
	error checking in FT_Get_BDF_Property() and comments out the
	skipping
	of empty pcf fonts.
    reviewed by: plam

 src/ftglue.c |  349
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/ftglue.h |  159 ++++++++++++++++++++++++++
 2 files changed, 508 insertions(+), 0 deletions(-)

commit 8ebf7725a8607b39ff505029b2a41369d67eb736
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Nov 19 22:32:13 2005 +0000

    Get rid of the use of freetype internal headers in fcfreetype.c, since
	those headers will go away with freetype 2.2. Replace with public
	domain ftglue code from pango. Note that the patch removes
	some extra
	error checking in FT_Get_BDF_Property() and comments out the
	skipping
	of empty pcf fonts.
    reviewed by: plam

 ChangeLog	  |   13 +++++++++
 src/Makefile.am  |    4 ++-
 src/fcfreetype.c |   75
 +++++++++++++++++++++++++----------------------------
 3 files changed, 51 insertions(+), 41 deletions(-)

commit a151acedc056783957f9875b1a21f13d0bb8bfe2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Nov 19 16:24:53 2005 +0000

    Further fix of patch from 2005-11-04: miscounted numbers count
	(numbers_count); didn't strip duplicate numbers (langBankNumbers);
	and
	leafidx_offset and numbers_offset in fcLangCharSets are wrong.
    Removed leafidx_count and numbers_count since they are the same and
	replaced them with offset_count.
    reviewed by: plam

 ChangeLog	   |   12 ++++++++++++
 fc-lang/fc-lang.c |   21 +++++++++++++--------
 2 files changed, 25 insertions(+), 8 deletions(-)

commit 8f2a807810c006e771c0f7429ba218a1ffb1e6de
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 18 20:32:30 2005 +0000

    Don't crash when fc-cat invoked with no arguments.
    Fix invalid read access caused by premature free and GCC4 warnings in
	libxml2 codepath.
    reviewed by: plam
    reviewed by: plam

 ChangeLog	 |   17 ++++++++++++++++-
 fc-cat/fc-cat.c |    3 +++
 src/fcxml.c	 |   10 ++++++----
 3 files changed, 25 insertions(+), 5 deletions(-)

commit 82912b062b1bb902db54e5b79f4a2d6a33ccd8a0
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 18 04:21:10 2005 +0000

    List iteration not needed in FcConfigValues, since it's building
    up the
	list itself; we can just strip FcVoid elements during
	construction.
    reviewed by: plam

 ChangeLog   |	  9 +++++++++
 src/fccfg.c |	 17 ++++++-----------
 2 files changed, 15 insertions(+), 11 deletions(-)

commit 38b2ecad5af4f7f7a55023afafaae075ecd3c753
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 17 16:46:07 2005 +0000

    Fix crash on invalid constants in config files (forgot to update
    a pointer
	upon list iteration.)

 ChangeLog   |	  6 ++++++
 src/fccfg.c |	  1 +
 2 files changed, 7 insertions(+), 0 deletions(-)

commit f28472fdb4e51a06283161f9e7a645d5354a37d2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 17 16:17:05 2005 +0000

    Complain about invalid constants in config files.
    reviewed by: plam

 ChangeLog   |	  7 +++++++
 src/fcxml.c |	  4 ++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 1c5b6345b9023dee7962468fccb678b5f2e56ce3
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 17 15:43:39 2005 +0000

    Don't add current_arch_start more than once.
    Fix ordering of ALIGN with respect to saving block_ptr; add another
    ALIGN
	to fcfs.c.
    reviewed by: plam

 ChangeLog	 |   16 ++++++++++++++++
 src/fccache.c	 |    2 +-
 src/fccharset.c |   12 ++++++++----
 src/fcfs.c	 |   10 +++++++++-
 src/fcname.c	 |    6 ++++--
 src/fcpat.c	 |    1 +
 6 files changed, 39 insertions(+), 8 deletions(-)

commit 8e351527bb87798e9b796e12a3b1ee6229536a28
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 16 17:49:01 2005 +0000

    src/fccache.c (FcDirCacheProduce)
    Fix case where alignment bytes bumped up metadata->count causing
	unwarranted failures to write cache files. (Reported by Stephan
	Kulow).

 ChangeLog     |    7 +++++++
 src/fccache.c |   15 +++++++++++----
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 7fd7221e683d6c65b9199fd06d34d5215582748e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 16 15:55:17 2005 +0000

    Add *NeededBytesAlign(), which overestimates the padding which
    is later
	added by the new ALIGN macro. Fix alignment problems on ia64
	and s390
	by bumping up block_ptr appropriately. (Earlier version by Andreas
	Schwab).
    Use sysconf to determine proper PAGESIZE value; this appears to be
	POSIX-compliant. (reported by Andreas Schwab)
    reviewed by: plam

 ChangeLog	 |   23 +++++++++++++++++++++++
 src/fccache.c	 |   21 +++++++++++++--------
 src/fccharset.c |   11 +++++++++++
 src/fcfs.c	 |   10 ++++++++++
 src/fcint.h	 |   18 ++++++++++++++++++
 src/fclang.c	 |    8 ++++++++
 src/fcname.c	 |    8 ++++++++
 src/fcpat.c	 |   36 ++++++++++++++++++++++++++++++++++++
 8 files changed, 127 insertions(+), 8 deletions(-)

commit 82f35f8bb4fe58ebc839531f4a63544dc07f0f5d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 4 19:31:26 2005 +0000

    Fix bug 2878 (excessive relocations at startup for charsets,
    reported by
	Ross Burton): fc-lang/fc-lang now creates the static form of the
	langset, not the dynamic form, so that the charsets should now
	be in
	.rodata.

 ChangeLog	   |   11 +++++++++
 fc-lang/fc-lang.c |   59
 ++++++++++++++++++++++++++++++++++++++--------------
 src/fccharset.c   |   18 ++++++++++++++++
 src/fcint.h	   |	5 ++++
 src/fclang.c	   |   16 +++++++++++++-
 5 files changed, 92 insertions(+), 17 deletions(-)

commit 50544b13c19c6a4a9fe9cf26cdd2170ddacf86d1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 4 16:48:32 2005 +0000

    Add test for validity of directory caches that somehow got lost
    (reported
	by make distcheck).

 ChangeLog   |	  6 ++++++
 src/fcdir.c |	  2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit e6d3e251ee26f1267585cbbd5a95dc1f7290e225
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Nov 4 06:17:00 2005 +0000

    Bump version to 2.3.92.

 ChangeLog		 |    8 ++++++++
 README			 |   29 +++++++++++++++++++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 4 files changed, 37 insertions(+), 4 deletions(-)

commit ea9726b620bff44d45fa25c91a8ab7d31a813577
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 3 04:45:57 2005 +0000

    Fix argument ordering problem in call to FcPatternTransferFullFname.

 ChangeLog   |	  5 +++++
 src/fcpat.c |	  2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 7358dae49b328f5546d156246510601e2dd85d1c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Nov 3 04:23:22 2005 +0000

    Fix warnings and embarrassing double-free error.

 ChangeLog	  |    7 +++++++
 src/fcfreetype.c |    2 +-
 src/fcpat.c	  |   14 +++++---------
 3 files changed, 13 insertions(+), 10 deletions(-)

commit efa9f2bd077da0ccc432b80baf87c2a3e7340f6a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 2 15:57:36 2005 +0000

    Change the rule for artificial emboldening in fonts.conf.in. This
    enables
	the support for artificial emboldening included in cairo.
    reviewed by: plam

 ChangeLog     |    8 ++++++++
 fonts.conf.in |   18 ++++++++++++++----
 2 files changed, 22 insertions(+), 4 deletions(-)

commit d7b3ac63675983c92092703c9c7da0d9e3c0b2ad
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 2 15:29:53 2005 +0000

    Don't zero out full names for FC_REF_CONSTANT fonts; also, duplicate
    full
	names when transferring, and free full names when freeing the
	associated font. Reported by Jinghua Luo.

 ChangeLog   |	  8 ++++++++
 src/fcpat.c |	 18 ++++++++++++++----
 2 files changed, 22 insertions(+), 4 deletions(-)

commit 303bcf9b9df00ce2906db5c9414aeec96d1a55f9
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 2 07:37:00 2005 +0000

    Revert the previous patch and commit the correct patch: I forgot a
	canonicalization in FcValueListSerialize, so that it would
	choke on
	already-serialized input files. Duh!

 ChangeLog	     |	  8 ++++++++
 fc-cache/fc-cache.c |	  9 ---------
 src/fcpat.c	     |	  1 +
 3 files changed, 9 insertions(+), 9 deletions(-)

commit c6b75577f3bf3019399e0a439d9cccf55e53999f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 2 07:01:25 2005 +0000

    Forcibly rescan a directory before writing a fresh local cache
    file for
	that directory, fixing the losing-fonts problem reported by
	Mike Fabian
	and also apparently the font cache file corruption.

 ChangeLog	     |	  8 ++++++++
 fc-cache/fc-cache.c |	  9 +++++++++
 2 files changed, 17 insertions(+), 0 deletions(-)

commit 9090cb9eceec10581c9f927b2e895189d20d1d4c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 2 06:39:23 2005 +0000

    Fix thinko: actually, the whole global cache is stale if the global
    cache
	is older than the (newest) config file.

 ChangeLog     |    6 ++++++
 src/fccache.c |    6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 2b25f00c501a4baf2096a9cb68b0be961251cfda
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Nov 2 06:29:14 2005 +0000

    Declare the global cache of a directory's contents to be stale if the
	directory is newer than the (newest) configuration file. S:
	----------------------------------------------------------------------

 ChangeLog     |    8 ++++++++
 src/fccache.c |   12 +++++++++---
 src/fccfg.c   |   20 ++++++++++++++------
 src/fcint.h   |   11 ++++++++++-
 4 files changed, 41 insertions(+), 10 deletions(-)

commit 793154ed8d4b2d832f81a893273c6504bac3f0b3
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 1 06:57:25 2005 +0000

    Copy the full pathname whenever duplicating an FcPattern; otherwise,
	applications continue breaking.

 ChangeLog     |   10 ++++++++++
 src/fcint.h   |    4 ++--
 src/fclist.c  |    6 +-----
 src/fcmatch.c |    4 ++++
 src/fcpat.c   |   25 ++++++++++++++++++++++++-
 5 files changed, 41 insertions(+), 8 deletions(-)

commit d6946c1a11695eb55a3fe60db5480df94570b1ba
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 1 05:52:28 2005 +0000

    Fix small memory error (tried to free argv); use basename and dirname
	correctly (they can modify their arguments).

 ChangeLog	  |    7 +++++++
 fc-cat/fc-cat.c  |    4 +---
 src/fcfreetype.c |    2 +-
 3 files changed, 9 insertions(+), 4 deletions(-)

commit e77c17184a6172d6368dd3193c791c4027065bbd
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Nov 1 05:26:27 2005 +0000

    Reinstate basename patch, but keep a hash table linking FcPatterns
    to their
	fully-qualified font names for clients' benefit. Clients only
	pay for
	the font names once they request the FC_FILE property from an
	FcPattern, but the font name is malloc'd at that point (i.e. not
	mmapped: that's impossible, since it may vary between machines.)
	Clients do have to pay for a copy of the path name per cache file.
    Note that FcPatternGetString now does some rewriting if you ask for an
	FC_FILE, appending the pathname as appropriate.

 ChangeLog	  |   23 +++++++++++++
 fc-cat/fc-cat.c  |    7 ++--
 src/fccache.c	  |   40 ++++++++++++++++++++--
 src/fcfreetype.c |    5 ++-
 src/fcint.h	  |    9 +++++
 src/fclist.c	  |    8 ++++
 src/fcpat.c	  |   97
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 181 insertions(+), 8 deletions(-)

commit be99726f672cef086b4256ad34163f6f9ed9d4a5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Oct 31 06:02:00 2005 +0000

    Revert basename patch, which breaks fontconfig clients on my system.

 src/fcfreetype.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 720298e773876037dd9af384a9cc16956600b5e7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 26 06:34:29 2005 +0000

    Add FC_EMBEDDED_BITMAP object type to tell Xft/Cairo whether to load
	embedded bitmaps or not.
    reviewed by: plam

 ChangeLog		 |   11 +++++++++++
 fontconfig/fontconfig.h |    1 +
 fonts.conf.in		 |    4 ++++
 src/fcdefault.c	 |    1 +
 src/fcname.c		 |    1 +
 5 files changed, 18 insertions(+), 0 deletions(-)

commit 961d9b9993ae815d6ba723829724bf0685809091
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Oct 25 22:29:13 2005 +0000

    Only add basename to patterns' FC_FILE element, not any part of the
	dirname.

 ChangeLog	  |    6 ++++++
 src/fcfreetype.c |    3 ++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 573da729101bfb81d2cafb7e442bbf5395ae9eef
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Oct 22 15:12:05 2005 +0000

    Add some more consts, fixing more GCC4 warnings.

 ChangeLog	  |    5 +++++
 src/fcfreetype.c |   22 +++++++++++-----------
 2 files changed, 16 insertions(+), 11 deletions(-)

commit 904426816df300fad816238f0f27ef595a6a539b
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Oct 22 14:21:14 2005 +0000

    Support localized font family and style names. This has been
    reported to
	break old apps like xfd, but modern (gtk+/qt/mozilla) apps
	work fine.
    reviewed by: plam

 ChangeLog	 |    7 +++
 src/fcdefault.c |  110
 +++++++++++++++++++++++++++++++------------------------
 src/fcint.h	 |    4 ++
 src/fclist.c	 |   60 ++++++++++++++++++++++++++++-
 4 files changed, 130 insertions(+), 51 deletions(-)

commit e58b50e88cbe3b55695101a0988306ea4646bbe4
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Oct 21 20:24:30 2005 +0000

    Destroy the global cache file if it's terminally broken. (reported
    by Mike
	Fabian)

 ChangeLog     |    9 ++++++++-
 src/fccache.c |   16 +++++++++++++---
 2 files changed, 21 insertions(+), 4 deletions(-)

commit 2fa3f27e68834d55f0f451514a0658b247fddb0d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Oct 21 19:47:43 2005 +0000

    Prevent fc-list from escaping strings when printing them.

 ChangeLog		 |    7 +++++++
 fc-list/fc-list.c	 |    2 +-
 fontconfig/fontconfig.h |    3 +++
 src/fcname.c		 |   16 +++++++++++-----
 4 files changed, 22 insertions(+), 6 deletions(-)

commit 250c1cd422ce6260ff58f2699043556d93729ef7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Oct 20 20:50:21 2005 +0000

    Add valist sentinel markup for FcObjectSetBuild and FcPatternBuild.
    reviewed by: plam

 ChangeLog		 |    9 ++++++++-
 fontconfig/fontconfig.h |   12 ++++++++++--
 2 files changed, 18 insertions(+), 3 deletions(-)

commit 21696e5bf08b67b57155e5b12e054456fd2b03e2
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Oct 14 21:02:31 2005 +0000

    Add consts to variables so as to move arrays into .rodata.
    reviewed by: plam

 ChangeLog		     |	  8 ++++++++
 fc-glyphname/fc-glyphname.c |	  4 ++--
 src/fclang.c		     |	  4 ++--
 3 files changed, 12 insertions(+), 4 deletions(-)

commit 15d7bd0a16af189194b665e789331a8f8c86f20d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Oct 14 20:56:27 2005 +0000

    Check existence of directory cache file before attempting to unlink.
    reviewed by: plam

 ChangeLog     |    7 +++++++
 src/fccache.c |    4 +++-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 1178b569764caaf51d2dc55f1c2cf969a98cf61e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Oct 13 12:32:14 2005 +0000

    Fix flipped return value on unlink. (Reported by Mike Fabian)

 ChangeLog     |   14 ++++++++++++++
 src/fccache.c |    6 ++++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit 2eb843740672da9319c190c48aea2cd98dc92725
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 12 07:55:42 2005 +0000

    When fc-cache is run without --force, use directory cache files to
    speed up
	fc-cache run time.

 src/fccache.c |    4 ++--
 src/fcdir.c   |    3 +++
 src/fcint.h   |    3 +++
 3 files changed, 8 insertions(+), 2 deletions(-)

commit 23787a8f1b7a23c82f479b0e6906928b9920b9cc
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Oct 6 20:45:25 2005 +0000

    Add padding to make valgrind and glibc not hate each other when
    calling
	strlen().

 ChangeLog    |    8 ++++++++
 src/fcname.c |    5 +++--
 src/fcpat.c  |    5 +++--
 3 files changed, 14 insertions(+), 4 deletions(-)

commit 008385c5fb957c1547fa1a29537d0c9fb8e3b38a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 5 21:12:57 2005 +0000

    Use libtool -no-undefined flag on all platforms.
    reviewed by: plam & keithp

 ChangeLog	 |    7 +++++++
 src/Makefile.am |    3 +--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit edffd3b964cde0f2cde86cc5c0cef180843c44e5
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 5 21:12:25 2005 +0000

    Fix typo in manually applying patch.

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit affc7d1849c26db10b344cfbe834d0bba764f419
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 5 19:40:35 2005 +0000

    Modify config file to use Greek fonts before Asian fonts with
    Greek glyphs.
    reviewed by: plam & keithp

 ChangeLog     |    8 ++++++++
 fonts.conf.in |   10 +++++++---
 2 files changed, 15 insertions(+), 3 deletions(-)

commit 328929f5ea3f507426b0c021c11fef62794066df
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 5 19:38:40 2005 +0000

    Modify config file to use Greek fonts before Asian fonts with
    Greek glyphs.
    reviewed by: plam & keithp

 ChangeLog     |    8 ++++++++
 fonts.conf.in |   10 +++++++---
 2 files changed, 15 insertions(+), 3 deletions(-)

commit 1ed67f658c910ece44ab73bb5a1d08ea1c0246d3
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 5 19:32:41 2005 +0000

    Use libtool -no-undefined flag on all platforms.
    reviewed by: plam & keithp

 ChangeLog	 |    7 +++++++
 src/Makefile.am |    3 +--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 751932ddb10d5ce798c56d82bc1f40a443237ac1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 5 18:41:55 2005 +0000

    Implement move-to-front array for banks (perf regression reported
    by Ronny
	V. Vindenes).

 ChangeLog     |    6 ++++++
 src/fccache.c |   29 +++++++++++++++++++----------
 2 files changed, 25 insertions(+), 10 deletions(-)

commit 55c8fa4f08b86f4e9af97920a61943f5facd7822
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Oct 5 00:34:52 2005 +0000

    Add new API which unlinks directory caches and checks dir caches for
	existence of appropriate sections. Fix fc-cache to unlink
	stale cache
	files and save directory caches that lack relevant sections.

 ChangeLog		 |   11 +++++++++++
 fc-cache/fc-cache.c	 |    6 +++++-
 fontconfig/fontconfig.h |    6 ++++++
 src/fccache.c		 |   44
 ++++++++++++++++++++++++++++++++++----------
 4 files changed, 56 insertions(+), 11 deletions(-)

commit 6bf2380478f825a6135527133a03869e0ae18742
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Oct 3 19:51:11 2005 +0000

    Ensure that a directory cache has the appropriate section before
    reporting
	that it is valid (reported by Matthias Clasen).

 ChangeLog     |    6 ++++++
 src/fccache.c |   15 +++++++++++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit bc5784ff00230bf70e9cbe5c97e62e4f251e7000
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Oct 1 19:18:51 2005 +0000

    Bump version number to 2.3.91.

 README			 |   15 ++++++++++++++-
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 3 files changed, 16 insertions(+), 3 deletions(-)

commit e99f0f0a45b29ad195c96833c95771ccf7771fef
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 29 20:53:30 2005 +0000

    Use libxml2 if requested (with --enable-libxml2) or if expat is not
	available.
    reviewed by: plam

 ChangeLog	 |   11 ++++
 configure.in	 |  162
 +++++++++++++++++++++++++++++++------------------------
 src/Makefile.am |    3 +-
 src/fcxml.c	 |   71 ++++++++++++++++++++++++-
 4 files changed, 174 insertions(+), 73 deletions(-)

commit 649cc3616d11add9d5c39563f9f343614c2bb2eb
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 29 05:14:04 2005 +0000

    Fix multi-arch cache files: compute the position for the block to
    be added
	using info from OrigFile, not NewFile.

 ChangeLog     |    6 ++++++
 src/fccache.c |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit cd3109114ca6ee9ce2b454180dadea5aa04ce55d
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Sep 28 16:21:14 2005 +0000

    Cast results of sizeof() to unsigned int to get rid of warnings
    on x86_64
	(thanks Matthias Clasen).

 ChangeLog     |    8 +++++++-
 src/fccache.c |   38 +++++++++++++++++++-------------------
 2 files changed, 26 insertions(+), 20 deletions(-)

commit 9ecb9a9a063e4f94deb6da8fd15656c9a7e480e7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Sep 28 00:23:39 2005 +0000

    Update ChangeLog.

 ChangeLog |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

commit 1d879de2d968ef2bd6317ba3c7be0e62b263a708
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Sep 28 00:23:15 2005 +0000

    Use FcAtomic to rewrite cache files.

 src/fccache.c |  132
 ++++++++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 98 insertions(+), 34 deletions(-)

commit 099f9a86834060741dcbdf8b70e32f3a7338925f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Sep 27 15:52:58 2005 +0000

    Don't unlink the fonts.cache-2 file even if there's no data to
    write; just
	write an empty cache file. (thanks Lubos Lunak)

 src/fccache.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit 6aee8c6faa2906334b9d9f933440184a256d0b53
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Sep 27 05:43:08 2005 +0000

    Allocate room for the subdirectory names in each directory
    cache. Thanks to
	James Cloos for finding and diagnosing this bug!

 src/fccache.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 2633bc38431468ce528407ee576cb29b0d1212c8
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Sep 27 05:26:59 2005 +0000

    Fix .cvsignore file after copying across directories.

 fc-cat/.cvsignore |	4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d75bef7bc8b2bb4ed7750ce5083b1e65a709d75a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 21:42:32 2005 +0000

    Add comment about needing docbook-utils to run make distcheck;
    hope it'll
	save pain to others later.

 INSTALL |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 35c2c7f1e979449e67551588f3440ff15e5c806c
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 14:41:40 2005 +0000

    Update ChangeLog for 2.3.90.

 ChangeLog |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+), 0 deletions(-)

commit d8c22de1f1c809ac6b0e1b3caa2cd9ad8046311a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 05:59:19 2005 +0000

    file Makefile.am was initially added on branch fc-2_4_branch.

commit f28f090d2537fc7dcc4fe71a84020a53d14027b4
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 05:59:19 2005 +0000

    Add new command-line utility, fc-cat, to convert fonts.cache-2
    files into
	fonts.cache-1 files (e.g. for grepping and validation of the mmap
	codepath), as per James Cloos' request.
    Remove done 'TODO' comment.
    Updates for development release 2.3.90.

 Makefile.am		 |    2 +-
 README			 |    7 +-
 configure.in		 |    3 +-
 fc-cache/fc-cache.c	 |    1 -
 fc-cache/fc-cache.sgml  |    4 +-
 fc-cat/.cvsignore	 |    6 +
 fc-cat/Makefile.am	 |   55 ++++++++
 fc-cat/fc-cat.c	 |  336
 +++++++++++++++++++++++++++++++++++++++++++++++
 fc-cat/fc-cat.sgml	 |  139 +++++++++++++++++++
 fontconfig/fontconfig.h |    2 +-
 10 files changed, 548 insertions(+), 7 deletions(-)

commit a9698bed6553c12d397593292ee9e81054244e85
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 04:09:37 2005 +0000

    Update documentation -- fc-cache's man page now says that you need
    to run
	fc-cache once per cached architecture; add some documentation
	to the
	FcCache structure.
    Make fc-cache write out fonts.cache-2 files for directories with
    no fonts
	(i.e. only subdirectories).

 fc-cache/fc-cache.sgml |    7 +++++++
 src/fccache.c		|   13 ++++++++-----
 src/fcint.h		|    8 ++++----
 3 files changed, 19 insertions(+), 9 deletions(-)

commit e3ff8a4ea66b3738a72558520f33eb5b8d44442e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 02:33:55 2005 +0000

    Remove debugging printf (oops).

 src/fcpat.c |	  1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit bef069e19e72af1f7983e40a7ca5045f7d006bdd
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 02:08:40 2005 +0000

    Convert fromcode to char[12] from char *.

 src/fcfreetype.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit c7beacf91698e8b0dcba2e813052538ec56dd268
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 23 01:48:33 2005 +0000

    Small patch for output in case where lineno not defined.

 fc-lang/fc-lang.c |	2 +-
 src/fcint.h	   |   14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 67accef4d3e245c1dea341e633d82b14aa03432a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 22 23:45:53 2005 +0000

    Fix more gcc4 warnings:
    - Cast sizeof to int, to shut up signedness warnings in comparison.
    - Add consts where appropriate.
    reviewed by: Patrick Lam <plam@mit.edu>

 doc/edit-sgml.c	     |	  4 +-
 fc-case/fc-case.c	     |	  8 +-
 fc-glyphname/fc-glyphname.c |	 21 ++++---
 fc-lang/fc-lang.c	     |	 20 ++++--
 src/fccharset.c	     |	  3 +-
 src/fcdefault.c	     |	  6 +-
 src/fcfreetype.c	     |	 43 ++++++++------
 src/fcinit.c		     |	  2 +-
 src/fcmatch.c		     |	 18 +++---
 src/fcpat.c		     |	  3 +-
 src/fcxml.c		     |	138
 +++++++++++++++++++++---------------------
 11 files changed, 142 insertions(+), 124 deletions(-)

commit 141432505aecb158285ccc84ec5d7099e3c2efa7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 22 20:49:24 2005 +0000

    Fix bug when clients use FcNameRegisterObjectTypes; fontconfig was
	returning bogus (i.e. duplicate) FcObjectPtr values. Now use
	negative
	values for dynamic object strings and positive values for
	built-in and
	FcNameRegisterObjectType strings. Thanks to Matthias Clasen for
	pinpointing this bus!

 src/fcname.c |   37 ++++++++++++++++++++++++++++---------
 1 files changed, 28 insertions(+), 9 deletions(-)

commit 9fe2bd7ab07611559363d80efdf8d3efb4ea737e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 16 04:57:18 2005 +0000

    Add missing FcValueCanonicalize on call to FcPatternAdd.

 src/fcpat.c |	  3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 13cdf607533ad592b896b738c5642f3685fd8053
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 15 20:36:44 2005 +0000

    Revert ill-advised addition of FC_RENDER. Add strategy for handling
    objects
	that aren't hardcoded into fontconfig, but generated by fontconfig
	clients: keep another array of user-defined objects (indexed
	after the
	built-in objects).
    Fix compilation warning (uninitialized variable).
    Add comment.

 fontconfig/fontconfig.h |    1 -
 src/fccache.c		 |    1 +
 src/fccfg.c		 |    2 +-
 src/fcname.c		 |   98
 +++++++++++++++++++++++++++++++++++++----------
 4 files changed, 80 insertions(+), 22 deletions(-)

commit 0fa237d1e010a1ab9b8fb09079fbb364958d8cc7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Sep 11 05:17:28 2005 +0000

    Add a global binding for the 'render' pattern element used by Xft;
    the lack
	of said binding prevented programs from using FcPatterns
	through Xft.

 fontconfig/fontconfig.h |    1 +
 src/fcname.c		 |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 8245771d5a42dac36024411a0da047b9a7dc42c6
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Sep 11 02:16:09 2005 +0000

    Merge with HEAD and finish the GCC 4 cleanups (no more warnings!)

 ChangeLog		     |	 19 ++++
 doc/fontconfig-user.sgml    |	  4 +-
 fc-glyphname/fc-glyphname.c |	  4 +-
 fc-lang/fc-lang.c	     |	  2 +-
 fc-match/fc-match.c	     |	  8 +-
 fontconfig/fcprivate.h      |	  2 +-
 src/fccache.c		     |	 35 ++++----
 src/fccfg.c		     |	  2 +-
 src/fcdir.c		     |	  4 +-
 src/fcfreetype.c	     |	191
 +++++++++++++++++++++++-------------------
 src/fcint.h		     |	 10 +-
 src/fclist.c		     |	  2 +-
 src/fcpat.c		     |	 80 +++++++++---------
 src/fcstr.c		     |	  2 +-
 src/fcxml.c		     |	 11 ++-
 15 files changed, 209 insertions(+), 167 deletions(-)

commit 8cb4c56d9925bba17bce32c12f7e09d8f36b2e53
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Sep 7 15:38:46 2005 +0000

    Robustness fixes: check return values from read and lseek; fix
	uninitialized variables; ensure progress on FcCacheSkipToArch.

 src/fccache.c |   34 +++++++++++++++++++++++-----------
 1 files changed, 23 insertions(+), 11 deletions(-)

commit 03a212e525a34e2ceeac369bac669871d8cc681a
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Sep 3 04:56:56 2005 +0000

    Really fix the global cache: make sure we're reading and writing
    the same
	data format. Also match subdirectories when consuming cache
	information. Also check dates for global cache: a dir is out of
	date if
	it is newer than the global cache; scan it manually if that's
	the case.

 src/fccache.c |   55
 ++++++++++++++++++++++++++++++++++++++-----------------
 src/fccfg.c   |   23 ++++++++++++++++++++---
 src/fcint.h   |    1 +
 3 files changed, 59 insertions(+), 20 deletions(-)

commit f6ee3db5f02eb8f41e3941e892964175cad0a898
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Sep 2 06:16:49 2005 +0000

    Fix addressing in the global cache file, preventing infinite
    loops. Get rid
	of unused variables.

 src/fccache.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 07b3e5766332ad1b2ec0ae613476a123ec9c5453
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 1 18:29:28 2005 +0000

    Apply Matthias Clasen's patch to fix obvious bogosity (i.e. missing
	FcObjectPtrU).

 src/fcpat.c |	  2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0230c9f88706ee4629bca625f1acd133a4cb1d9f
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 1 06:59:44 2005 +0000

    Fix embarassing attempt to free a static buffer.

 src/fccache.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit 2304e38f9bc070ccd54f80187c208d93b6eeb373
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Sep 1 06:14:46 2005 +0000

    :
    Save subdirectory names in cache files to save time. This completely
	restores the original fontconfig API, BTW. Note that directories
	without fonts don't get a cache file; but then how many files
	would it
	have in that directory...

 fc-cache/fc-cache.c	 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 src/fccache.c		 |   40 ++++++++++++++++------------------------
 src/fcdir.c		 |    4 ++--
 src/fcint.h		 |    2 +-
 5 files changed, 21 insertions(+), 29 deletions(-)

commit 5e678e9459f71878d72f72d3765f7dc7e8f3f643
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Aug 31 15:12:41 2005 +0000

    Only load requested fonts for fc-cache, and cleanup memory handling:
	*Serialize no longer mutates original FcPatterns, it creates a
	new copy
	in the supplied buffer. Fix thinkos in global cache freeing and in
	FcCacheSkipToArch.

 fc-cache/fc-cache.c |	  3 +--
 src/fccache.c	     |	 36 ++++++++++++++++--------------------
 src/fcfs.c	     |	  3 ---
 3 files changed, 17 insertions(+), 25 deletions(-)

commit fd77c154afb039b6b19f8e29c28dce652b2d060e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Aug 30 23:03:42 2005 +0000

    Fix compilation error exposed with gcc 2.95.

 src/fccache.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit eb0cf67144258acbee0a5bf369b6dfb950fcebb9
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Aug 30 05:55:13 2005 +0000

    src/fcint.c
    The global cache now uses the same mmap-based cache infrastructure
    as the
	per-directory caches. Furthermore, the global cache is
	automatically
	updated (if possible) whenever fontconfig is used. Rip out
	remnants of
	the old cache infrastructure.

 fc-cache/fc-cache.c |	  3 -
 src/fccache.c	     | 1156
 ++++++++++++---------------------------------------
 src/fcdir.c	     |	144 ++-----
 src/fcint.h	     |	 97 +----
 4 files changed, 307 insertions(+), 1093 deletions(-)

commit 2dbe759762c3b7b779dbe52ef0d6ca50e51d4bf1
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sun Aug 28 05:20:23 2005 +0000

    Emit and verify machine signature (sizeof (stuff) + endianness)
    in cache
	files. Fix bugs in FcCacheBankToIndex.

 src/fccache.c |  152
 +++++++++++++++++++++++++++++++-------------------------
 src/fcint.h   |    2 +-
 2 files changed, 85 insertions(+), 69 deletions(-)

commit 7f37423d8c1acc8ece0555e66ae7f857c22a77a7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Sat Aug 27 02:34:24 2005 +0000

    Replace FcObjectStaticName by FcStrStaticName. Implement serialization
    of
	'object' table (strings pointed to by FcPatternElt->object and
	used as
	keys) and loading of object table from cache file if more
	strings are
	present in cache file than in current version of fontconfig. Hash
	the
	object table in memory.

 src/fccfg.c  |    4 +-
 src/fcfs.c   |   11 ++-
 src/fcint.h  |   31 ++++++-----
 src/fclist.c |    2 +-
 src/fcname.c |  181
 ++++++++++++++++++++++++++++++++++++++++++++++++----------
 src/fcpat.c  |   19 +++---
 6 files changed, 186 insertions(+), 62 deletions(-)

commit 1b7be377906048e4a3a8d6ab46ebaab8847a0573
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Aug 25 07:38:02 2005 +0000

    Reinstate the old global cache code. For the forseeable future, it's
	probably all right to use the global cache as it was previously
	and
	just store filenames and font info, as long as no mmap cache
	exists in
	the directory. Of course, if an mmap cache exists, use that
	instead.
    If a directory cache does not exist or is invalid, load the fonts
    for just
	that directory using the old codepath.
    Fix premature free of the FcPatterns belonging to the FcFontSet
    which we
	create from the mmapped files.

 src/fccache.c |  710
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/fccfg.c   |   21 +-
 src/fcint.h   |   53 +++++-
 3 files changed, 741 insertions(+), 43 deletions(-)

commit 4262e0b3853bc2153270eb33d09a063f852f3f90
Author: Patrick Lam <plam@MIT.EDU>
Date:	Wed Aug 24 06:21:30 2005 +0000

    Overhaul the serialization system to create one mmapable file per
    directory
	and distribute bytes for each directory from a single malloc
	for that
	directory. Store pointers as differences between the data
	pointed to
	and the pointer's address (s_off = s - v). Don't serialize data
	structures that never actually get serialized. Separate strings
	used
	for keys from strings used for values (in FcPatternElt and
	FcValue,
	respectively). Bump FC_CACHE_VERSION to 2.

 fc-cache/fc-cache.c	 |   12 +-
 fc-lang/fc-lang.c	 |    4 +-
 fontconfig/fcprivate.h  |    8 +-
 fontconfig/fontconfig.h |   51 +--
 src/fccache.c		 |  415 +++++++++++------
 src/fccfg.c		 |  109 +++--
 src/fccharset.c	 |  333 +++++--------
 src/fcdbg.c		 |   12 +-
 src/fcdir.c		 |   17 +-
 src/fcfs.c		 |  154 +++----
 src/fcinit.c		 |    3 -
 src/fcint.h		 |  276 ++++-------
 src/fclang.c		 |  213 ++++-----
 src/fclist.c		 |   57 +--
 src/fcmatch.c		 |   88 ++--
 src/fcmatrix.c		 |  100 +----
 src/fcname.c		 |  101 ++++-
 src/fcpat.c		 | 1218
 ++++++++++++++++++-----------------------------
 src/fcstr.c		 |  291 +-----------
 src/fcxml.c		 |   13 +-
 20 files changed, 1402 insertions(+), 2073 deletions(-)

commit 71f94d0768725eb171e04748d9f561f58b258ae7
Author: Keith Packard <keithp@keithp.com>
Date:	Mon Jul 25 20:39:19 2005 +0000

    Various GCC 4 cleanups for signed vs unsigned char
    Match only [0-9]*.conf files in <include>{directory}</include>
    elements to
	avoid loading *.rpmsave or .dpkg-old files. (otaylor)

 ChangeLog		     |	 19 ++++
 doc/fontconfig-user.sgml    |	  4 +-
 fc-glyphname/fc-glyphname.c |	  4 +-
 fc-lang/fc-lang.c	     |	  2 +-
 fc-match/fc-match.c	     |	  8 +-
 src/fccfg.c		     |	  2 +-
 src/fcfreetype.c	     |	191
 +++++++++++++++++++++++-------------------
 src/fcpat.c		     |	  2 +-
 src/fcstr.c		     |	  2 +-
 src/fcxml.c		     |	 11 ++-
 10 files changed, 144 insertions(+), 101 deletions(-)

commit 212c9f437e959fbdc5fe344c67b8c1cf8ca63edb
Author: Patrick Lam <plam@MIT.EDU>
Date:	Mon Jul 25 04:10:09 2005 +0000

    #ifdef out old cache stuff, replace with first version of new mmapping
	cache. Add *Read and *Write procedures which mmap in and write
	out the
	fontconfig data structures to disk. Currently, create cache
	in /tmp,
	with different sections for each architecture (as returned
	by uname's
	.machine field. Run the fc-cache binary to create a new cache
	file;
	fontconfig then uses this cache file on subsequent runs, saving
	lots of
	memory. Also fixes a few bugs and leaks.

 fc-cache/fc-cache.c |	 13 +-
 fc-lang/fc-lang.c   |	  6 +
 src/fccache.c	     | 1081
 ++++++++++++++-------------------------------------
 src/fccfg.c	     |	 16 +-
 src/fccharset.c     |	103 +++++-
 src/fcdir.c	     |	 17 +-
 src/fcfs.c	     |	 95 +++++
 src/fcinit.c	     |	  3 +
 src/fcint.h	     |	148 ++++---
 src/fclang.c	     |	 28 ++
 src/fcmatrix.c      |	 29 ++
 src/fcpat.c	     |	241 ++++++++++--
 src/fcstr.c	     |	 76 ++++-
 13 files changed, 963 insertions(+), 893 deletions(-)

commit e1b9d091c661b0e1d1e9f73c5c55ad53959c55c7
Author: Patrick Lam <plam@MIT.EDU>
Date:	Fri Jul 15 18:49:12 2005 +0000

    Forward port cworth's patch to branch.

 ChangeLog    |   15 ++++++++++++++
 src/fcinit.c |    2 +-
 src/fcint.h  |    2 +-
 src/fcpat.c  |   60
 +++++++++++++++++++++++++++++++++++++++------------------
 src/fcxml.c  |    1 +
 5 files changed, 59 insertions(+), 21 deletions(-)

commit 7850458d28ae2cb3b1d7fa9dd9fecd125cef5369
Author: Carl Worth <cworth@cworth.org>
Date:	Fri Jul 15 17:43:44 2005 +0000

    Rename FcPatternThawAll to FcPatternFini.
    Pull the FcObjectStateName hash table out to file scope, and add
	FcObjectStaticNameFini so that FcFini will cleanup this hash
	table as
	well.
    Clear FILE* to NULL after fclose.

 ChangeLog    |   15 +++++++++++++++
 src/fcinit.c |    2 +-
 src/fcint.h  |    2 +-
 src/fcpat.c  |   49 ++++++++++++++++++++++++++++++++++++-------------
 src/fcxml.c  |    1 +
 5 files changed, 54 insertions(+), 15 deletions(-)

commit 0fa680f0766a8f545b20a7935a19e9db5529f903
Author: Patrick Lam <plam@MIT.EDU>
Date:	Thu Jul 7 12:09:10 2005 +0000

    Convert ObjectPtr from a fat structure to a simple index into an
    id table;
	ids can be positive (for static strings) or negative (for dynamic
	strings). Static strings belong to a single buffer, while dynamic
	strings are independently allocated.

 fontconfig/fontconfig.h |    9 +-
 src/fccfg.c		 |    7 +-
 src/fcname.c		 |    2 +-
 src/fcpat.c		 |  560
 +++++++++++++++++++++++++++++++++--------------
 src/fcxml.c		 |    2 +-
 5 files changed, 408 insertions(+), 172 deletions(-)

commit cd2ec1a940888ebcbd323a8000d2fcced41ddf9e
Author: Patrick Lam <plam@MIT.EDU>
Date:	Tue Jun 28 03:41:02 2005 +0000

    Add functionality to allow fontconfig data structure serialization.
    This patch allows the fundamental fontconfig data structures to be
	serialized. I've converted everything from FcPattern down to be
	able to
	use *Ptr objects, which can be either static or dynamic (using
	a union
	which either contains a pointer or an index) and replaced
	storage of
	pointers in the heap with the appropriate *Ptr object. I then
	changed
	all writes of pointers to the heap with a *CreateDynamic call,
	which
	creates a dynamic Ptr object pointing to the same object as
	before.
	This way, the fundamental fontconfig semantics should be
	unchanged; I
	did not have to change external signatures this way, although
	I did
	change some internal signatures. When given a *Ptr object,
	just run *U
	to get back to a normal pointer; it gives the right answer
	regardless
	of whether we're using static or dynamic storage.
    I've also implemented a Fc*Serialize call. Calling FcFontSetSerialize
	converts the dynamic FcFontSets contained in the config object to
	static FcFontSets and also converts its dependencies
	(e.g. everything
	you'd need to write to disk) to static objects. Note that you
	have to
	call Fc*PrepareSerialize first; this call will count the number of
	objects that actually needs to be allocated, so that we can avoid
	realloc. The Fc*Serialize calls then check the static pointers for
	nullness, and allocate the buffers if necessary. I've tested the
	execution of fc-list and fc-match after Fc*Serialize and they
	appear to
	work the same way.

 fc-lang/fc-lang.c	 |   17 +-
 fontconfig/fcprivate.h  |    8 +-
 fontconfig/fontconfig.h |   50 +++-
 src/fccache.c		 |   32 ++
 src/fccfg.c		 |  135 ++++----
 src/fccharset.c	 |  371 ++++++++++++++++-----
 src/fcdbg.c		 |   26 +-
 src/fcfs.c		 |   36 ++
 src/fcint.h		 |  212 +++++++++++-
 src/fclang.c		 |  164 +++++++--
 src/fclist.c		 |  104 ++++---
 src/fcmatch.c		 |   69 +++--
 src/fcmatrix.c		 |   71 ++++-
 src/fcname.c		 |   35 +-
 src/fcpat.c		 |  866
 +++++++++++++++++++++++++++++++++++++----------
 src/fcstr.c		 |  219 +++++++++++--
 src/fcxml.c		 |   13 +-
 17 files changed, 1902 insertions(+), 526 deletions(-)

commit f1a42f6b5f9bcd774d09002509b2872c04025c1b
Author: Keith Packard <keithp@keithp.com>
Date:	Fri Jun 17 03:01:43 2005 +0000

    Make FcOpNotContains use FcStrStr for strings so that it matches
    semantics
	for !FcOpContains.
    reviewed by: keithp

 ChangeLog   |	  8 ++++++++
 src/fccfg.c |	  4 +++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit adc7abacbf0e2eae882d035f10117fb009b71bdd
Author: Keith Packard <keithp@keithp.com>
Date:	Fri May 20 16:21:39 2005 +0000

    Move fontconfig source package to libs as per override

 ChangeLog	  |    6 ++++++
 debian/changelog |    2 ++
 debian/control   |    2 +-
 3 files changed, 9 insertions(+), 1 deletions(-)

commit a65a77aecfd2182589fd5fe1a1ec1ef1f250c795
Author: Keith Packard <keithp@keithp.com>
Date:	Fri May 20 15:56:51 2005 +0000

    The ka.orth file requires several characters which are not used
    anymore in
	modern Georgian and which are missing in the free Georgian
	TrueType
	fonts downloadable at:
    http://aiet.qartuli.net/docs/georgian_on_linux_en.php
    reviewed by: Mike Fabian Bug: 3352

 ChangeLog	 |   11 +++++++++++
 fc-lang/ka.orth |    5 +++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 87c887464a6fc20310998146b8558179ebe18923
Author: Keith Packard <keithp@keithp.com>
Date:	Wed Apr 27 19:08:08 2005 +0000

    Update date to real 2.3.2 release date. Fix change attributions

 ChangeLog	  |   14 ++++++++++++++
 README		  |    5 +++--
 debian/changelog |    2 +-
 3 files changed, 18 insertions(+), 3 deletions(-)

commit 5c1853cd4c9bd511f0ae9f644a2a30025116987e
Author: Keith Packard <keithp@keithp.com>
Date:	Wed Apr 27 16:22:46 2005 +0000

    Bump so revision for 2.3.2
    Fix a few minor leaks in error cases.

 fc-cache/fc-cache.c |	 11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 1cb309adcb881409d669749bbca91056a0967ccf
Author: Keith Packard <keithp@keithp.com>
Date:	Sat Apr 23 04:32:23 2005 +0000

    Update for version 2.3.2

 ChangeLog		 |    8 ++++++++
 README			 |   11 +++++++++--
 configure.in		 |    2 +-
 debian/changelog	 |    7 +++++++
 fontconfig/fontconfig.h |    2 +-
 5 files changed, 26 insertions(+), 4 deletions(-)

commit 716ac8b8033794e2557ad567005dfff4dd95f031
Author: Keith Packard <keithp@keithp.com>
Date:	Thu Apr 21 19:03:53 2005 +0000

    Don't force bitmap font enable in default configuration; allows
    users to
	override this in ~/.fonts.conf
    Updated translations
    Destroy font configuration on exit to help valgrind
    Use own transcoding routines in preference to iconv which appears
    to have
	leaks in some translators. Call iconv_close after using iconv
	(oops).
    Prefer unicode encoding of Euro char as some fonts mis-encode Euro
    in other
	ones.
    Must fetch bitmap glyphs to get width values to check for
	monospace/dual-width fonts.

 ChangeLog		    |	36 ++++++++++
 debian/fontconfig.postinst |	 8 ++-
 debian/po/cs.po	    |  154
 ++++++++++++++++++--------------------------
 debian/po/da.po	    |	94 +++++++++-----------------
 debian/po/de.po	    |	71 ++++++---------------
 debian/po/es.po	    |	77 ++++++----------------
 debian/po/fr.po	    |	77 ++++++----------------
 debian/po/ja.po	    |  150
 ++++++++----------------------------------
 debian/po/nl.po	    |	71 ++++++---------------
 debian/po/pt.po	    |	71 ++++++---------------
 debian/po/pt_BR.po	    |	77 ++++++----------------
 debian/po/templates.pot    |	66 ++++---------------
 debian/po/tr.po	    |	71 ++++++---------------
 debian/po/zh_CN.po	    |	71 ++++++---------------
 fc-cache/fc-cache.c	    |	 1 +
 fonts.conf.in		    |	37 ++++-------
 src/fcfreetype.c	    |	84 ++++++++++++++----------
 17 files changed, 404 insertions(+), 812 deletions(-)

commit 2ff4f0760a700bf7c6e1ed4c5072a524b02243ca
Author: Ross Burton <ross@burtonini.com>
Date:	Wed Apr 13 09:11:52 2005 +0000

    Check that a pattern isn't already frozen in FcPatternFreeze

 ChangeLog   |	  5 +++++
 src/fcpat.c |	  3 +++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit ae7d0f35938693d250f09165fb6486b9e0f4b9bd
Author: Ross Burton <ross@burtonini.com>
Date:	Thu Mar 31 19:16:49 2005 +0000

    Put all FcPattern objects though FcObjectStaticName and do pointer
    trather
	than string compares

 ChangeLog     |    8 ++++++++
 src/fclist.c  |    5 +++--
 src/fcmatch.c |    2 +-
 src/fcpat.c   |    3 ++-
 4 files changed, 14 insertions(+), 4 deletions(-)

commit 156032744ee08a5d6a60e1bc1c2e0fc3702567d7
Author: Tor Lillqvist <tml@iki.fi>
Date:	Thu Mar 17 08:57:11 2005 +0000

    Add the .dll to the dll name.

 ChangeLog	       |    4 ++++
 src/fontconfig.def.in |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 5f347d9cd50069a50174cc243acab64ee4e537a9
Author: Keith Packard <keithp@keithp.com>
Date:	Thu Mar 10 22:06:20 2005 +0000

    Update to reflect configuration changes
    Fix Autohint vs Autohinter mistake
    Adopt changes from Josselin Mouette for configuration descriptions
    Update
	debian to version 2.3.1-2

 ChangeLog		     |	 11 +++++++++++
 debian/README.Debian	     |	 19 ++++++++++---------
 debian/changelog	     |	 10 ++++++++++
 debian/fontconfig.postinst  |	  2 +-
 debian/fontconfig.templates |	 39
 ++++++++-------------------------------
 5 files changed, 40 insertions(+), 41 deletions(-)

commit 8c74026071aae6ad70a96b81398498dcb28c0255
Author: Keith Packard <keithp@keithp.com>
Date:	Wed Mar 9 04:57:42 2005 +0000

    Update debian for 2.3.1

 ChangeLog	  |    6 ++++++
 debian/changelog |   11 +++++++++++
 debian/rules	  |    1 +
 3 files changed, 18 insertions(+), 0 deletions(-)

commit 79da4fe91ff0cee974e1ec7003857fb47c0f55d5
Author: Tor Lillqvist <tml@iki.fi>
Date:	Wed Mar 9 00:47:11 2005 +0000

    Get the DLL from "bin" where modern libtools put it, not "lib".
    Check also drive letter prefix on Win32.

 ChangeLog	   |	8 ++++++++
 fontconfig-zip.in |	2 +-
 src/fccfg.c	   |	4 +++-
 3 files changed, 12 insertions(+), 2 deletions(-)

commit d49dde9f900777f8482290dbafc6acb52a2b9432
Author: Keith Packard <keithp@keithp.com>
Date:	Tue Mar 8 23:39:02 2005 +0000

    Update for 2.3.1

 ChangeLog		 |    7 +++++++
 README			 |   12 ++++++++++--
 configure.in		 |    2 +-
 fontconfig/fontconfig.h |    2 +-
 4 files changed, 19 insertions(+), 4 deletions(-)

commit 76a8dfa3378fc1bd0397a95f2da56d5c6fb2540c
Author: Keith Packard <keithp@keithp.com>
Date:	Sat Mar 5 23:50:55 2005 +0000

    Include space and remove numbers from valid script tags. This
    ensures that
	tags like 'lao ' work while rejecting those which have any digits.
